SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


DROP TABLE IF EXISTS `#__action_logs`;
CREATE TABLE IF NOT EXISTS `#__action_logs` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `message_language_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `log_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `extension` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `item_id` int(11) NOT NULL DEFAULT '0',
  `ip_address` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0.0.0.0',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_user_id_logdate` (`user_id`,`log_date`),
  KEY `idx_user_id_extension` (`user_id`,`extension`),
  KEY `idx_extension_item_id` (`extension`,`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__action_logs_extensions`;
CREATE TABLE IF NOT EXISTS `#__action_logs_extensions` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `extension` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__action_logs_extensions` (`id`, `extension`) VALUES
(1, 'com_banners'),
(2, 'com_cache'),
(3, 'com_categories'),
(4, 'com_config'),
(5, 'com_contact'),
(6, 'com_content'),
(7, 'com_installer'),
(8, 'com_media'),
(9, 'com_menus'),
(10, 'com_messages'),
(11, 'com_modules'),
(12, 'com_newsfeeds'),
(13, 'com_plugins'),
(14, 'com_redirect'),
(15, 'com_tags'),
(16, 'com_templates'),
(17, 'com_users'),
(18, 'com_checkin');

DROP TABLE IF EXISTS `#__action_logs_users`;
CREATE TABLE IF NOT EXISTS `#__action_logs_users` (
  `user_id` int(11) UNSIGNED NOT NULL,
  `notify` tinyint(1) UNSIGNED NOT NULL,
  `extensions` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`user_id`),
  KEY `idx_notify` (`notify`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__action_log_config`;
CREATE TABLE IF NOT EXISTS `#__action_log_config` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `type_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `id_holder` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title_holder` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `text_prefix` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__action_log_config` (`id`, `type_title`, `type_alias`, `id_holder`, `title_holder`, `table_name`, `text_prefix`) VALUES
(1, 'article', 'com_content.article', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(2, 'article', 'com_content.form', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(3, 'banner', 'com_banners.banner', 'id', 'name', '#__banners', 'PLG_ACTIONLOG_JOOMLA'),
(4, 'user_note', 'com_users.note', 'id', 'subject', '#__user_notes', 'PLG_ACTIONLOG_JOOMLA'),
(5, 'media', 'com_media.file', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(6, 'category', 'com_categories.category', 'id', 'title', '#__categories', 'PLG_ACTIONLOG_JOOMLA'),
(7, 'menu', 'com_menus.menu', 'id', 'title', '#__menu_types', 'PLG_ACTIONLOG_JOOMLA'),
(8, 'menu_item', 'com_menus.item', 'id', 'title', '#__menu', 'PLG_ACTIONLOG_JOOMLA'),
(9, 'newsfeed', 'com_newsfeeds.newsfeed', 'id', 'name', '#__newsfeeds', 'PLG_ACTIONLOG_JOOMLA'),
(10, 'link', 'com_redirect.link', 'id', 'old_url', '#__redirect_links', 'PLG_ACTIONLOG_JOOMLA'),
(11, 'tag', 'com_tags.tag', 'id', 'title', '#__tags', 'PLG_ACTIONLOG_JOOMLA'),
(12, 'style', 'com_templates.style', 'id', 'title', '#__template_styles', 'PLG_ACTIONLOG_JOOMLA'),
(13, 'plugin', 'com_plugins.plugin', 'extension_id', 'name', '#__extensions', 'PLG_ACTIONLOG_JOOMLA'),
(14, 'component_config', 'com_config.component', 'extension_id', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(15, 'contact', 'com_contact.contact', 'id', 'name', '#__contact_details', 'PLG_ACTIONLOG_JOOMLA'),
(16, 'module', 'com_modules.module', 'id', 'title', '#__modules', 'PLG_ACTIONLOG_JOOMLA'),
(17, 'access_level', 'com_users.level', 'id', 'title', '#__viewlevels', 'PLG_ACTIONLOG_JOOMLA'),
(18, 'banner_client', 'com_banners.client', 'id', 'name', '#__banner_clients', 'PLG_ACTIONLOG_JOOMLA'),
(19, 'application_config', 'com_config.application', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA');

DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE IF NOT EXISTS `#__assets` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) UNSIGNED NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=250 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 447, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":{"6":1},"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 1, 2, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 3, 6, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 7, 8, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 9, 10, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 11, 12, 1, 'com_config', 'com_config', '{}'),
(7, 1, 13, 18, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8, 1, 19, 310, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 311, 312, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 313, 314, 1, 'com_installer', 'com_installer', '{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 315, 316, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 317, 318, 1, 'com_login', 'com_login', '{}'),
(13, 1, 319, 320, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 321, 322, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 323, 324, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1}}'),
(16, 1, 325, 326, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 327, 328, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 329, 382, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 383, 392, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(20, 1, 393, 394, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 395, 396, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 397, 398, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 399, 400, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 401, 404, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(25, 1, 405, 412, 1, 'com_weblinks', 'com_weblinks', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(26, 1, 413, 414, 1, 'com_wrapper', 'com_wrapper', '{}'),
(27, 8, 20, 41, 2, 'com_content.category.2', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(28, 3, 4, 5, 2, 'com_banners.category.3', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(29, 7, 14, 15, 2, 'com_contact.category.4', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(30, 19, 384, 385, 2, 'com_newsfeeds.category.5', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(31, 25, 406, 407, 2, 'com_weblinks.category.6', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(32, 24, 402, 403, 1, 'com_users.notes.category.7', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(33, 1, 415, 416, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(34, 1, 417, 418, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(35, 8, 42, 85, 2, 'com_content.category.8', 'Home', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(36, 35, 49, 50, 3, 'com_content.article.1', 'Home. Morbi tincidunt sodales neque eu rutrum', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(37, 35, 43, 44, 3, 'com_content.article.2', 'Home.  Aliquam erat volutpat. Pellentesque non libero', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(38, 35, 45, 46, 3, 'com_content.article.3', 'Home. Class aptent taciti sociosqu ad litora torquent', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(39, 35, 47, 48, 3, 'com_content.article.4', 'Home. Praesent et enim a nisl commodo sodales non', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(40, 8, 86, 139, 2, 'com_content.category.9', 'About', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(41, 7, 16, 17, 2, 'com_contact.category.10', 'Website Administrators', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(42, 8, 140, 145, 2, 'com_content.category.11', 'Policies', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(43, 42, 141, 142, 3, 'com_content.article.5', 'Privacy policy', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(44, 42, 143, 144, 3, 'com_content.article.6', 'Terms of use', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(45, 27, 21, 22, 3, 'com_content.article.7', 'Archive.  Aliquam erat volutpat. Pellentesque non libero', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(46, 27, 23, 24, 3, 'com_content.article.8', 'Archive. Class aptent taciti sociosqu ad litora torquent', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(47, 27, 25, 26, 3, 'com_content.article.9', 'Archive. Morbi tincidunt sodales neque eu rutrum', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(48, 27, 27, 28, 3, 'com_content.article.10', 'Archive. Praesent et enim a nisl commodo sodales non', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(49, 27, 29, 30, 3, 'com_content.article.11', 'Archive. Cras ligula nisi, interdum et vulputate nec', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(50, 27, 31, 32, 3, 'com_content.article.12', 'Archive. Nullam mauris arcu, malesuada eu consectetur non', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(51, 27, 33, 34, 3, 'com_content.article.13', 'Archive. Enim mi posuere augue, id porttitor leo sapien sed libero', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(52, 35, 51, 52, 3, 'com_content.article.14', 'Home. In hac habitasse platea dictumst. In in sem libero', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(53, 8, 146, 175, 2, 'com_content.category.12', 'Blog', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(54, 53, 147, 152, 3, 'com_content.category.13', 'Donec eu elit in nisi', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(55, 53, 153, 156, 3, 'com_content.category.14', 'In neque arcu vulputate', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(56, 53, 157, 160, 3, 'com_content.category.15', 'Quisque gravida purus vitae', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(57, 53, 161, 166, 3, 'com_content.category.16', 'Vivamus luctus lectus sit', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(58, 53, 167, 170, 3, 'com_content.category.17', 'Vivamus congue turpis in augue', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(60, 53, 171, 174, 3, 'com_content.category.19', 'Curabitur eu dignissim velit', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(62, 54, 148, 149, 4, 'com_content.article.15', 'Sed in lacus ut enim adipiscing aliquet nulla venenatis.', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(63, 54, 150, 151, 4, 'com_content.article.16', 'Sed in lacus ut enim adipiscing aliquet nulla venenatis.', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(64, 19, 386, 387, 2, 'com_newsfeeds.category.21', 'News', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(65, 19, 388, 389, 2, 'com_newsfeeds.category.22', 'Blogs', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(66, 19, 390, 391, 2, 'com_newsfeeds.category.23', 'Gallery', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(67, 25, 408, 409, 2, 'com_weblinks.category.24', 'Advertising', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(68, 25, 410, 411, 2, 'com_weblinks.category.25', 'Educational', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(69, 35, 53, 60, 3, 'com_content.category.26', 'Slider', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(70, 69, 54, 55, 4, 'com_content.article.17', 'Slide 1', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(71, 69, 56, 57, 4, 'com_content.article.18', 'Slide 2', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(72, 69, 58, 59, 4, 'com_content.article.19', 'Slide 3', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(73, 35, 61, 74, 3, 'com_content.category.27', 'Carousel', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(74, 73, 62, 63, 4, 'com_content.article.20', 'Skylights  Installing', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(75, 73, 64, 65, 4, 'com_content.article.21', 'Chimneys Cleaning', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(76, 73, 66, 67, 4, 'com_content.article.22', 'Cleaning', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(77, 73, 68, 69, 4, 'com_content.article.23', 'Industrial Roofing', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(78, 73, 70, 71, 4, 'com_content.article.24', 'Residential Roofing', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(79, 73, 72, 73, 4, 'com_content.article.25', 'Gutter Cleaning​​​​​​​', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(80, 8, 176, 189, 2, 'com_content.category.28', 'Services', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(81, 8, 190, 217, 2, 'com_content.category.29', 'Gallery', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(82, 92, 192, 193, 4, 'com_content.article.26', 'Suspendisse ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(83, 92, 196, 197, 4, 'com_content.article.27', 'Nulla aliquet libero', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(84, 92, 198, 199, 4, 'com_content.article.28', 'Enim ultrices ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(85, 93, 202, 203, 4, 'com_content.article.29', 'Vivamus libero', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(86, 93, 204, 205, 4, 'com_content.article.30', 'Ut at erat eu', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(89, 93, 206, 207, 4, 'com_content.article.33', 'Aenean quis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(91, 92, 194, 195, 4, 'com_content.article.35', 'Morbi eleifend', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(92, 81, 191, 200, 3, 'com_content.category.30', 'First category', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(93, 81, 201, 208, 3, 'com_content.category.31', 'Second category', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(94, 81, 209, 216, 3, 'com_content.category.32', 'Third category', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(95, 55, 154, 155, 4, 'com_content.article.36', 'Nemo enim ipsam voluptatem quia voluptas sit asatur aut.', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(96, 57, 164, 165, 4, 'com_content.article.37', 'Omnis iste natus error sit voluptatem accusanti dolorem.', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(97, 56, 158, 159, 4, 'com_content.article.38', 'Omnis iste natus error sit voluptatem accusanti dolorem.', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(98, 57, 162, 163, 4, 'com_content.article.39', 'Quis autem vel eum iure reprehenderit qui in ea voluptate.', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(99, 60, 172, 173, 4, 'com_content.article.40', 'Nemo enim ipsam voluptatem quia voluptas sit asatur aut.', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100, 58, 168, 169, 4, 'com_content.article.41', 'Quis autem vel eum iure reprehenderit qui in ea voluptate.', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(101, 40, 87, 100, 3, 'com_content.category.33', 'History', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(102, 40, 101, 114, 3, 'com_content.category.34', 'Team', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(103, 40, 115, 128, 3, 'com_content.category.35', 'FAQs', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(104, 40, 129, 138, 3, 'com_content.category.36', 'Testimonials', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(105, 101, 88, 89, 4, 'com_content.article.42', '1998', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(106, 101, 90, 91, 4, 'com_content.article.43', '2001', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(107, 101, 92, 93, 4, 'com_content.article.44', '2006', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(108, 101, 94, 95, 4, 'com_content.article.45', '2009', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(109, 101, 96, 97, 4, 'com_content.article.46', '2011', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(110, 101, 98, 99, 4, 'com_content.article.47', '2012', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(111, 102, 102, 103, 4, 'com_content.article.48', 'Carol Adams', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(112, 102, 104, 105, 4, 'com_content.article.49', 'Jason Parker', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(113, 102, 106, 107, 4, 'com_content.article.50', 'Sharon Wright', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(114, 102, 108, 109, 4, 'com_content.article.51', 'Richard Phillips', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(115, 102, 110, 111, 4, 'com_content.article.52', 'Steven Mitchell', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(116, 102, 112, 113, 4, 'com_content.article.53', 'Elizabeth Carter', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(117, 104, 130, 131, 4, 'com_content.article.54', 'George Martin', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(118, 104, 132, 133, 4, 'com_content.article.55', 'Donna Phillips', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(119, 104, 134, 135, 4, 'com_content.article.56', 'Kenneth Edwards', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(120, 104, 136, 137, 4, 'com_content.article.57', 'Robert Smith', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(121, 103, 116, 117, 4, 'com_content.article.58', 'Question 1. Aenean varius varius tincidunt.', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(122, 103, 118, 119, 4, 'com_content.article.59', 'Question 2.  Donec quis erat id risus scelerisque', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(123, 103, 120, 121, 4, 'com_content.article.60', 'Question 3. Vestibulum fermentum, massa nec', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(124, 103, 122, 123, 4, 'com_content.article.61', 'Question 4. Ut sed sapien eu libero faucibus posuere', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(125, 103, 124, 125, 4, 'com_content.article.62', 'Question 5. Duis leo libero, vehicula dictum convallis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(126, 103, 126, 127, 4, 'com_content.article.63', 'Question 6. Vivamus molestie blandit libero', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(132, 94, 212, 213, 4, 'com_content.article.68', 'Lorem ipsum', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(133, 94, 210, 211, 4, 'com_content.article.69', 'Porta arcu sed', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(134, 94, 214, 215, 4, 'com_content.article.70', 'Cras sed', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(135, 1, 419, 420, 1, 'com_komento', 'com_komento', '{}'),
(136, 1, 421, 422, 1, 'com_tags', 'com_tags', '{"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(138, 8, 218, 221, 2, 'com_content.category.37', 'Help', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(139, 138, 219, 220, 3, 'com_content.article.71', 'Template settings', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(150, 18, 330, 331, 2, 'com_modules.module.126', 'Image swoop', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(151, 18, 332, 333, 2, 'com_modules.module.103', 'Superfish menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(155, 18, 334, 335, 2, 'com_modules.module.125', 'Footer menu 1', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(157, 18, 336, 337, 2, 'com_modules.module.115', 'Login form', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(158, 18, 338, 339, 2, 'com_modules.module.109', 'Social media', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(160, 18, 340, 341, 2, 'com_modules.module.119', 'Roof systems', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(161, 18, 342, 343, 2, 'com_modules.module.16', 'Login form', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(162, 18, 344, 345, 2, 'com_modules.module.121', 'Top menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(163, 1, 431, 432, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(164, 1, 433, 434, 1, 'com_ajax', 'com_ajax', '{}'),
(165, 1, 435, 436, 1, 'com_postinstall', 'com_postinstall', '{}'),
(166, 1, 437, 438, 1, 'com_kunena', 'com_kunena', '{}'),
(167, 18, 346, 347, 2, 'com_modules.module.120', 'Our latest projects', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(168, 18, 348, 349, 2, 'com_modules.module.88', 'Search', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(169, 18, 350, 351, 2, 'com_modules.module.128', 'Search', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(170, 27, 35, 36, 3, 'com_content.article.72', 'Top menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(171, 8, 222, 235, 2, 'com_content.category.38', 'Posts', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(172, 8, 236, 245, 2, 'com_content.category.39', 'Icon posts', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(173, 8, 246, 249, 2, 'com_content.category.40', 'Video', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(174, 8, 250, 257, 2, 'com_content.category.41', 'Years of experience in all the aspects  of roofing services', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(175, 8, 258, 265, 2, 'com_content.category.42', 'Residential roofing services', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(176, 8, 266, 275, 2, 'com_content.category.43', 'Roof systems', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(177, 8, 276, 283, 2, 'com_content.category.44', 'What’s new?', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(178, 177, 277, 278, 3, 'com_content.article.73', 'Accusantium doloremque ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(179, 177, 279, 280, 3, 'com_content.article.74', 'Totam rem aperiam', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(180, 177, 281, 282, 3, 'com_content.article.75', 'Inventore veritatis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(181, 18, 352, 353, 2, 'com_modules.module.129', 'What’s new?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(182, 175, 259, 260, 3, 'com_content.article.76', 'Aperiam, eaque ipsa', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(183, 175, 261, 262, 3, 'com_content.article.77', 'Inventore veritatis et', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(184, 175, 263, 264, 3, 'com_content.article.78', 'Veritatis et architecto beat', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(185, 80, 177, 178, 3, 'com_content.article.79', '24-Hour repair service', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(186, 80, 179, 180, 3, 'com_content.article.80', 'New installation', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(187, 80, 181, 182, 3, 'com_content.article.81', 'Roof maintenance', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(188, 80, 183, 184, 3, 'com_content.article.82', 'Consulting services', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(189, 80, 185, 186, 3, 'com_content.article.83', 'Roof inspections', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(190, 80, 187, 188, 3, 'com_content.article.84', 'Re-roofing', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(191, 18, 354, 355, 2, 'com_modules.module.130', 'Services', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(192, 176, 267, 268, 3, 'com_content.article.85', 'Epsum factorial non', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(193, 176, 269, 270, 3, 'com_content.article.86', 'Epsum factorial non', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(194, 176, 271, 272, 3, 'com_content.article.87', 'Epsum factorial non', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(195, 176, 273, 274, 3, 'com_content.article.88', 'Epsum factorial non', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(196, 18, 356, 357, 2, 'com_modules.module.131', 'Footer menu 2', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(197, 18, 358, 359, 2, 'com_modules.module.132', 'Footer menu 3', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(198, 27, 37, 38, 3, 'com_content.article.89', 'Contacts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(199, 18, 360, 361, 2, 'com_modules.module.133', 'Contacts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(202, 27, 39, 40, 3, 'com_content.article.90', 'Map', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(204, 8, 284, 297, 2, 'com_content.category.45', 'Home Icon Posts', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(205, 204, 285, 286, 3, 'com_content.article.91', 'Accusantium doloremque ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(206, 204, 287, 288, 3, 'com_content.article.92', 'Totam rem aperiam', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(207, 204, 289, 290, 3, 'com_content.article.93', 'Inventore veritatis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(208, 204, 291, 292, 3, 'com_content.article.94', 'Eaque ipsa quae abillo', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(209, 204, 293, 294, 3, 'com_content.article.95', 'Veritatis et quasi architecto', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(210, 204, 295, 296, 3, 'com_content.article.96', 'Beatae vitae dicta sunt', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(211, 212, 299, 300, 3, 'com_content.article.97', 'Robert Nelson', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(212, 8, 298, 301, 2, 'com_content.category.46', 'Blockquote', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(213, 18, 362, 363, 2, 'com_modules.module.137', 'Blockquote', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(214, 18, 364, 365, 2, 'com_modules.module.138', 'Years of experience in all the aspects  of roofing services', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(215, 174, 251, 252, 3, 'com_content.article.98', 'Roof Replacement Cost 2017: Materials & Labor', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(216, 174, 253, 254, 3, 'com_content.article.99', 'Roofing Calculator – Estimate your Roofing Costs', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(217, 174, 255, 256, 3, 'com_content.article.100', 'Best Roofing Materials for Homes 2017, Plus Costs​​​​​​​', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(218, 173, 247, 248, 3, 'com_content.article.101', 'Keeping Hoveowners Nice & Dry for Over a Decade!', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(219, 18, 366, 367, 2, 'com_modules.module.139', 'Our Roofing experts say', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(220, 18, 368, 369, 2, 'com_modules.module.140', 'Home posts', '{}'),
(221, 171, 223, 224, 3, 'com_content.article.102', 'Skylights', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(222, 171, 225, 226, 3, 'com_content.article.103', 'Residential Roofing', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(223, 171, 227, 228, 3, 'com_content.article.104', 'Waterproofing​​​​​​​', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(224, 171, 229, 230, 3, 'com_content.article.105', 'Gutter Cleaning​​​​​​​', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(225, 171, 231, 232, 3, 'com_content.article.106', 'Industrial Roofing​​​​​​​', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(226, 171, 233, 234, 3, 'com_content.article.107', 'Commercial Roofing​​​​​​​', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(227, 18, 370, 371, 2, 'com_modules.module.141', 'Clients we work with', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(228, 8, 302, 309, 2, 'com_content.category.47', 'Top posts', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(229, 228, 303, 304, 3, 'com_content.article.108', 'OUR HISTORY', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(230, 228, 305, 306, 3, 'com_content.article.109', 'OUR PEOPLE', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(231, 228, 307, 308, 3, 'com_content.article.110', 'OUR PROMISE', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(232, 18, 372, 373, 2, 'com_modules.module.142', 'Top posts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(233, 172, 237, 238, 3, 'com_content.article.111', 'Quality materials', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(234, 172, 239, 240, 3, 'com_content.article.112', 'Superior workmanship', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(235, 172, 241, 242, 3, 'com_content.article.113', 'Outstanding value', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(236, 172, 243, 244, 3, 'com_content.article.114', 'Support', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(237, 18, 374, 375, 2, 'com_modules.module.143', 'Icon posts', '{}'),
(238, 1, 439, 440, 1, 'com_fields', 'com_fields', '{}'),
(239, 1, 441, 442, 1, 'com_associations', 'com_associations', '{}'),
(240, 1, 443, 444, 1, 'com_privacy', 'com_privacy', '{}'),
(241, 1, 445, 446, 1, 'com_actionlogs', 'com_actionlogs', '{}'),
(242, 35, 75, 84, 3, 'com_content.category.48', 'Clients', '{}'),
(243, 242, 76, 77, 4, 'com_content.article.115', 'client1', '{}'),
(244, 242, 78, 79, 4, 'com_content.article.116', 'client2', '{}'),
(245, 242, 80, 81, 4, 'com_content.article.117', 'client3', '{}'),
(246, 242, 82, 83, 4, 'com_content.article.118', 'client4', '{}'),
(247, 18, 376, 377, 2, 'com_modules.module.144', 'Clients We Work With', '{}'),
(248, 18, 378, 379, 2, 'com_modules.module.145', 'Home map', '{}'),
(249, 18, 380, 381, 2, 'com_modules.module.146', 'Contacts', '{}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE IF NOT EXISTS `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE IF NOT EXISTS `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `custombannercode` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sticky` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `params` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE IF NOT EXISTS `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `contact` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `extrainfo` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE IF NOT EXISTS `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) UNSIGNED NOT NULL,
  `banner_id` int(10) UNSIGNED NOT NULL,
  `count` int(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE IF NOT EXISTS `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `path` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `extension` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_alias` (`alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 91, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 577, '2011-01-01 00:00:01', 0, '0000-00-00 00:00:00', 0, '*', 1),
(2, 27, 1, 1, 2, 1, 'uncategorised', 'com_content', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 577, '2011-01-01 00:00:01', 0, '0000-00-00 00:00:00', 2, '*', 1),
(3, 28, 1, 47, 48, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 577, '2011-01-01 00:00:01', 0, '0000-00-00 00:00:00', 0, '*', 1),
(4, 29, 1, 49, 50, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 577, '2011-01-01 00:00:01', 0, '0000-00-00 00:00:00', 0, '*', 1),
(5, 30, 1, 51, 52, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 577, '2011-01-01 00:00:01', 0, '0000-00-00 00:00:00', 0, '*', 1),
(6, 31, 1, 53, 54, 1, 'uncategorised', 'com_weblinks', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 577, '2011-01-01 00:00:01', 0, '0000-00-00 00:00:00', 0, '*', 1),
(7, 32, 1, 55, 56, 1, 'uncategorised', 'com_users.notes', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 577, '2011-01-01 00:00:01', 0, '0000-00-00 00:00:00', 0, '*', 1),
(8, 35, 1, 3, 10, 1, 'home', 'com_content', 'Home', 'home', '', '<p>Home Category description. Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-04 13:42:09', 78, '2012-09-28 08:19:35', 0, '*', 1),
(9, 40, 1, 11, 20, 1, 'about', 'com_content', 'About', 'about', '', '<p><strong>\'About Us\' category description.</strong> Ut sapien enim, rhoncus sit amet fermentum at, sagittis ac massa. Fusce quis odio sit amet ipsum gravida faucibus vel et turpis. Aliquam a dui pretium elit feugiat interdum. Suspendisse tortor velit, bibendum vitae sollicitudin non, congue quis risus. Aliquam lacus nibh, viverra ut porta ac, luctus sit amet orci. Etiam euismod lacinia lectus et pulvinar. Integer dictum, dui id fermentum auctor, sem nunc ultricies ipsum, sed sagittis est justo nec neque. Integer sit amet justo elit, a dictum nisl.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-04 14:40:44', 0, '0000-00-00 00:00:00', 279, '*', 1),
(10, 41, 1, 57, 58, 1, 'website-administrators', 'com_contact', 'Website Administrators', 'website-administrators', '', '<p>\'Website Administrators\' contact category description. Ut sapien enim, rhoncus sit amet fermentum at, sagittis ac massa. Fusce quis odio sit amet ipsum gravida faucibus vel et turpis. Aliquam a dui pretium elit feugiat interdum. Suspendisse tortor velit, bibendum vitae sollicitudin non, congue quis risus. Aliquam lacus nibh, viverra ut porta ac, luctus sit amet orci. Etiam euismod lacinia lectus et pulvinar. Integer dictum, dui id fermentum auctor, sem nunc ultricies ipsum, sed sagittis est justo nec neque. Integer sit amet justo elit, a dictum nisl.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-04 14:42:31', 0, '0000-00-00 00:00:00', 0, '*', 1),
(11, 42, 1, 45, 46, 1, 'policies', 'com_content', 'Policies', 'policies', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-05 11:11:52', 0, '0000-00-00 00:00:00', 0, '*', 1),
(12, 53, 1, 31, 44, 1, 'blog', 'com_content', 'Blog', 'blog', '', '<p><strong>Blog category description</strong>. In neque arcu, vulputate vitae dignissim id, placerat adipiscing lorem. Nulla consectetur adipiscing metus vel pulvinar. Aenean molestie mauris non diam tincidunt faucibus. Integer odio dui, iaculis in congue eleifend, faucibus nec diam. Maecenas ac est odio, at dignissim dolor. Quisque gravida, purus vitae varius sagittis, odio erat venenatis nibh, eu interdum diam est eu sem. Vivamus luctus lectus sit amet lectus egestas cursus.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"theme1948:blogview","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-06 08:55:07', 846, '2012-10-19 07:46:52', 407, '*', 1),
(13, 54, 12, 32, 33, 2, 'blog/donec-eu-elit-in-nisi', 'com_content', 'Donec eu elit in nisi', 'donec-eu-elit-in-nisi', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-06 08:55:45', 846, '2014-04-24 08:16:18', 14, '*', 1),
(14, 55, 12, 34, 35, 2, 'blog/in-neque-arcu-vulputate', 'com_content', 'In neque arcu vulputate', 'in-neque-arcu-vulputate', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-06 08:56:04', 846, '2014-04-24 08:16:22', 8, '*', 1),
(15, 56, 12, 36, 37, 2, 'blog/quisque-gravida-purus-vitae', 'com_content', 'Quisque gravida purus vitae', 'quisque-gravida-purus-vitae', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-06 08:56:16', 846, '2014-04-24 08:16:25', 6, '*', 1),
(16, 57, 12, 38, 39, 2, 'blog/vivamus-luctus-lectus-sit', 'com_content', 'Vivamus luctus lectus sit', 'vivamus-luctus-lectus-sit', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-06 08:56:16', 846, '2014-04-24 08:16:29', 28, '*', 1),
(17, 58, 12, 40, 41, 2, 'blog/vivamus-congue-turpis-in-augue', 'com_content', 'Vivamus congue turpis in augue', 'vivamus-congue-turpis-in-augue', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-06 08:56:47', 846, '2014-04-24 08:16:41', 6, '*', 1),
(19, 60, 12, 42, 43, 2, 'blog/curabitur-eu-dignissim-velit', 'com_content', 'Curabitur eu dignissim velit', 'curabitur-eu-dignissim-velit', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-06 08:56:47', 846, '2014-04-24 08:17:00', 8, '*', 1),
(21, 64, 1, 59, 60, 1, 'news', 'com_newsfeeds', 'News', 'news', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-19 12:02:51', 0, '0000-00-00 00:00:00', 0, '*', 1),
(22, 65, 1, 61, 62, 1, 'blogs', 'com_newsfeeds', 'Blogs', 'blogs', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-19 12:02:57', 0, '0000-00-00 00:00:00', 0, '*', 1),
(23, 66, 1, 63, 64, 1, 'gallery', 'com_newsfeeds', 'Gallery', 'gallery', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-19 12:03:08', 0, '0000-00-00 00:00:00', 0, '*', 1),
(24, 67, 1, 65, 66, 1, 'advertising', 'com_weblinks', 'Advertising', 'advertising', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-19 12:11:03', 0, '0000-00-00 00:00:00', 0, '*', 1),
(25, 68, 1, 67, 68, 1, 'educational', 'com_weblinks', 'Educational', 'educational', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-19 12:11:16', 0, '0000-00-00 00:00:00', 0, '*', 1),
(26, 69, 8, 4, 5, 2, 'home/slider', 'com_content', 'Slider', 'slider', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-24 09:05:27', 78, '2012-09-28 08:18:57', 0, '*', 1),
(27, 73, 8, 6, 7, 2, 'home/carousel', 'com_content', 'Carousel', 'carousel', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-25 07:05:42', 78, '2012-09-28 08:20:16', 7, '*', 1),
(28, 80, 1, 21, 22, 1, 'services', 'com_content', 'Services', 'services', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-28 08:18:26', 0, '0000-00-00 00:00:00', 29, '*', 1),
(29, 81, 1, 23, 30, 1, 'gallery', 'com_content', 'Gallery', 'gallery', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"theme1948:gallery","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-09-28 08:23:55', 78, '2012-09-28 09:28:57', 249, '*', 1),
(30, 92, 29, 24, 25, 2, 'gallery/first-category', 'com_content', 'First category', 'first-category', '', '<p><b>Lorem ipsum dolor sit amet, consectetur</b> adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna.</p>\r\n\r\n<p>Praesent rhoncus condimentum viverra. Nam tincidunt molestie mauris eu tincidunt. Nullam aliquet odio sed eros vulputate eleifend vitae et lorem. Vivamus dapibus velit in justo sagittis semper. Aenean et faucibus felis.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/gallery\\/gallery-img1.jpg"}', '', '', '{"author":"","robots":""}', 577, '2012-09-28 12:24:08', 846, '2014-03-04 08:08:59', 77, '*', 1),
(31, 93, 29, 26, 27, 2, 'gallery/second-category', 'com_content', 'Second category', 'second-category', '', '<p><b>Lorem ipsum dolor sit amet, consectetur</b> adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna.</p>\r\n\r\n<p>Praesent rhoncus condimentum viverra. Nam tincidunt molestie mauris eu tincidunt. Nullam aliquet odio sed eros vulputate eleifend vitae et lorem. Vivamus dapibus velit in justo sagittis semper. Aenean et faucibus felis.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/gallery\\/gallery-img10.jpg"}', '', '', '{"author":"","robots":""}', 577, '2012-09-28 12:24:23', 846, '2013-12-04 09:36:04', 20, '*', 1),
(32, 94, 29, 28, 29, 2, 'gallery/third-category', 'com_content', 'Third category', 'third-category', '', '<p><b>Lorem ipsum dolor sit amet, consectetur</b> adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna.</p>\r\n\r\n<p>Praesent rhoncus condimentum viverra. Nam tincidunt molestie mauris eu tincidunt. Nullam aliquet odio sed eros vulputate eleifend vitae et lorem. Vivamus dapibus velit in justo sagittis semper. Aenean et faucibus felis.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/gallery\\/gallery-img2.jpg"}', '', '', '{"author":"","robots":""}', 577, '2012-09-28 12:24:38', 846, '2013-12-04 09:36:14', 15, '*', 1),
(33, 101, 9, 12, 13, 2, 'about/history', 'com_content', 'History', 'history', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-10-01 14:40:15', 0, '0000-00-00 00:00:00', 34, '*', 1),
(34, 102, 9, 14, 15, 2, 'about/team', 'com_content', 'Team', 'team', '', '<p><strong>Etiam turpis velit</strong>, commodo et congue et, eleifend at odio. Cras quis mauris sit amet lacus tincidunt mattis at a leo. Donec vulputate placerat sodales. Quisque a faucibus turpis. In eu ante facilisis, malesuada est vel, ornare lorem. Morbi ut enim lacus. Quisque iaculis dui ligula, vitae pellentesque nibh posuere vitae. Nulla scelerisque accumsan urna sit amet euismod. In vel tincidunt sapien. Suspendisse tincidunt erat eu lacus placerat, id rhoncus turpis malesuada. Nunc in faucibus tortor, ac mollis ipsum. Suspendisse potenti. Sed ullamcorper euismod dolor et euismod. Aenean gravida massa in aliquet consequat.</p>\r\n<p><strong>Nulla sed nisl ornare, hendrerit</strong> mi in, ultricies libero. Ut turpis urna, blandit vitae magna consectetur, malesuada adipiscing sem. Quisque euismod urna enim, vitae pulvinar nunc dapibus sit amet. Donec vel accumsan ipsum. Curabitur faucibus nec augue id feugiat. Mauris imperdiet at lectus vel venenatis. Nulla eget enim sed nisl congue adipiscing. Ut faucibus diam turpis, non porttitor felis viverra et. Aenean condimentum consectetur est, id egestas dui tincidunt a. Vivamus cursus aliquet semper. Maecenas nec orci non purus consectetur cursus. Nulla a diam eros. Vestibulum egestas iaculis turpis, sed laoreet sapien auctor at. Nulla commodo felis ac lorem malesuada viverra.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-10-01 14:40:49', 94, '2013-09-17 12:45:09', 50, '*', 1),
(35, 103, 9, 16, 17, 2, 'about/faqs', 'com_content', 'FAQs', 'faqs', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-10-01 14:41:08', 0, '0000-00-00 00:00:00', 28, '*', 1),
(36, 104, 9, 18, 19, 2, 'about/testimonials', 'com_content', 'Testimonials', 'testimonials', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2012-10-01 14:41:22', 0, '0000-00-00 00:00:00', 21, '*', 1),
(37, 138, 1, 69, 70, 1, 'help', 'com_content', 'Help', 'help', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2013-10-03 08:39:42', 0, '0000-00-00 00:00:00', 0, '*', 1),
(38, 171, 1, 71, 72, 1, 'posts', 'com_content', 'Posts', 'posts', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 10:09:45', 0, '0000-00-00 00:00:00', 0, '*', 1),
(39, 172, 1, 73, 74, 1, 'icon-posts', 'com_content', 'Icon posts', 'icon-posts', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 10:10:02', 0, '0000-00-00 00:00:00', 0, '*', 1),
(40, 173, 1, 75, 76, 1, 'video', 'com_content', 'Video', 'video', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 10:10:18', 0, '0000-00-00 00:00:00', 0, '*', 1),
(41, 174, 1, 77, 78, 1, 'years-of-experience-in-all-the-aspects-of-roofing-services', 'com_content', 'Years of experience in all the aspects  of roofing services', 'years-of-experience-in-all-the-aspects-of-roofing-services', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 10:10:28', 0, '0000-00-00 00:00:00', 0, '*', 1),
(42, 175, 1, 79, 80, 1, 'residential-roofing-services', 'com_content', 'Residential roofing services', 'residential-roofing-services', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 10:11:07', 0, '0000-00-00 00:00:00', 0, '*', 1),
(43, 176, 1, 81, 82, 1, 'roof-systems', 'com_content', 'Roof systems', 'roof-systems', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 10:11:14', 0, '0000-00-00 00:00:00', 0, '*', 1),
(44, 177, 1, 83, 84, 1, 'what-s-new', 'com_content', 'What’s new?', 'what-s-new', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 10:11:45', 0, '0000-00-00 00:00:00', 0, '*', 1),
(45, 204, 1, 85, 86, 1, 'home-icon-posts', 'com_content', 'Home Icon Posts', 'home-icon-posts', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 12:22:34', 0, '0000-00-00 00:00:00', 0, '*', 1),
(46, 212, 1, 87, 88, 1, 'blockquote', 'com_content', 'Blockquote', 'blockquote', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-24 13:48:10', 0, '0000-00-00 00:00:00', 0, '*', 1),
(47, 228, 1, 89, 90, 1, 'top-posts', 'com_content', 'Top posts', 'top-posts', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 577, '2014-04-25 06:12:33', 0, '0000-00-00 00:00:00', 0, '*', 1),
(48, 242, 8, 8, 9, 2, 'home/clients', 'com_content', 'Clients', 'clients', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 846, '2019-08-02 09:32:36', 0, '2019-08-02 09:32:36', 0, '*', 1);

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE IF NOT EXISTS `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `con_position` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` mediumtext COLLATE utf8mb4_unicode_ci,
  `suburb` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `postcode` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `telephone` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fax` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `misc` longtext COLLATE utf8mb4_unicode_ci,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email_to` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `default_con` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `mobile` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `webpage` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sortname1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sortname2` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sortname3` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `language` varchar(7) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `metakey` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `featured` tinyint(3) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Website Owner', 'website-owner', 'website owner', '138 Atlantis Ln', 'Kingsport', 'Illinois', 'U.S.', '121164', '+1 800 559 6580', ' +1 504 889 9898', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident. </p>', '', 'mail@demolink.org', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_tags":"","show_name":"0","show_position":"0","show_email":"1","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"","show_telephone":"1","show_mobile":"0","show_fax":"1","show_webpage":"","show_misc":"1","show_image":"0","allow_vcard":"1","show_articles":"0","show_profile":"1","show_links":"0","linka_name":"","linka":false,"linkb_name":"","linkb":false,"linkc_name":"","linkc":false,"linkd_name":"","linkd":false,"linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 846, 10, 1, '+1 959 603 6035', 'http://demolink.org', '', '', '', '*', '2012-09-04 14:45:26', 577, '', '2014-03-13 10:08:03', 846, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 31, 163);

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE IF NOT EXISTS `#__content` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `introtext` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `fulltext` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `urls` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attribs` varchar(5120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `featured` tinyint(3) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`),
  KEY `idx_alias` (`alias`(191))
) ENGINE=InnoDB AUTO_INCREMENT=119 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(1, 36, 'Home. Morbi tincidunt sodales neque eu rutrum', 'home-morbi-tincidunt-sodales-neque-eu-rutrum', '\r\n<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 1, 8, '2012-09-04 13:43:03', 577, '', '2012-10-03 10:00:18', 78, 0, '0000-00-00 00:00:00', '2012-09-04 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(2, 37, 'Home.  Aliquam erat volutpat. Pellentesque non libero', 'home-aliquam-erat-volutpat-pellentesque-non-libero', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 1, 8, '2012-09-04 13:43:03', 577, '', '2014-03-06 12:08:28', 846, 0, '0000-00-00 00:00:00', '2012-09-04 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 'joomla, sample data', '', 1, 40, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(3, 38, 'Home. Class aptent taciti sociosqu ad litora torquent', 'home-class-aptent-taciti-sociosqu-ad-litora-torquent-2', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 1, 8, '2012-09-04 13:43:03', 577, '', '2012-09-05 13:42:00', 636, 0, '0000-00-00 00:00:00', '2012-09-04 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 'joomla, sample data', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(4, 39, 'Home. Praesent et enim a nisl commodo sodales non', 'home-praesent-et-enim-a-nisl-commodo-sodales-non', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 1, 8, '2012-09-04 13:43:03', 577, '', '2012-09-05 13:42:46', 636, 0, '0000-00-00 00:00:00', '2012-09-04 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(5, 43, 'Privacy policy', 'privacy-policy', '<p>Praesent vestibulum molestie lacus aenean nonummy hendrerit mauris. Phasellus porta. Fusce suscipit varius mi. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla dui. Fusce feugiat malesuada odio. Morbi nunc odio, gravida at cursus nec, luctus a, lorem. Maecenas tristique orci ac sem. Duis ultricies pharetra magna. Donec accumsan malesuada orci. Donec sit amet eros. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris fermentum dictum magna. Sed laoreet aliquam leo. Ut tellus dolor, dapibus eget, elementum vel, cursus eleifend, elit. Aenean auctor wisi et urna. Aliquam erat volutpat. Duis ac turpis. Integer rutrum ante eu lacus.</p>\r\n<h4>Mauris fermentum dictum magna.</h4>\r\n<p>Phasellus porta. Fusce suscipit varius mi. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla dui. Fusce feugiat malesuada odio. Morbi nunc odio, gravida at, cursus nec, luctus a, lorem. Maecenas tristique orci ac sem. Duis ultricies pharetra magna. Donec accumsan malesuada orci. Donec sit amet eros. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris fermentum dictum magna. Sed laoreet aliquam leo. Ut tellus dolor, dapibus eget, elementum vel, cursus eleifend, elit. Aenean auctor wisi et urna. Aliquam erat volutpat. Duis ac turpis. Integer rutrum ante eu lacus.</p>\r\n<h4>Quisque nulla. Vestibulum libero nisl, porta vel, scelerisque eget, malesuada.</h4>\r\n<p>Aenean nec eros. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum. Donec in velit vel ipsum auctor pulvinar. Proin ullamcorper urna et felis. Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam.</p>\r\n<p>In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius.</p>\r\n<h4>Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis</h4>\r\n<p>Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur. Praesent vestibulum molestie lacus. Aenean nonummy hendrerit mauris. Phasellus porta. Fusce suscipit varius mi. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla dui. Fusce feugiat malesuada odio. Morbi nunc odio, gravida at, cursus nec, luctus a, lorem. Maecenas tristique orci ac sem. Duis ultricies pharetra magna. Donec accumsan malesuada orci.</p>\r\n<h4>Nemo enim ipsam voluptatem quia voluptas sit aspernatur</h4>\r\n<p>Mauris fermentum dictum magna. Sed laoreet aliquam leo. Ut tellus dolor, dapibus eget, elementum vel, cursus eleifend, elit. Aenean auctor wisi et urna. Aliquam erat volutpat. Duis ac turpis. Integer rutrum ante eu lacus. Quisque nulla. Vestibulum libero nisl, porta vel, scelerisque eget, malesuada at, neque. Vivamus eget nibh. Etiam cursus leo vel metus. Nulla facilisi. Aenean nec eros. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede.</p>\r\n<p>E-mail: <a href="mailto:info@demolink.org">info@demolink.org</a></p>', '', 1, 11, '2012-09-05 11:13:37', 577, '', '2013-12-04 09:33:55', 846, 0, '0000-00-00 00:00:00', '2012-09-05 11:13:37', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 40, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(6, 44, 'Terms of use', 'privacy-policy-2', '<p>Praesent vestibulum molestie lacus aenean nonummy hendrerit mauris. Phasellus porta. Fusce suscipit varius mi. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla dui. Fusce feugiat malesuada odio. Morbi nunc odio, gravida at cursus nec, luctus a, lorem. Maecenas tristique orci ac sem. Duis ultricies pharetra magna. Donec accumsan malesuada orci. Donec sit amet eros. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris fermentum dictum magna. Sed laoreet aliquam leo. Ut tellus dolor, dapibus eget, elementum vel, cursus eleifend, elit. Aenean auctor wisi et urna. Aliquam erat volutpat. Duis ac turpis. Integer rutrum ante eu lacus.</p>\r\n<h4>Mauris fermentum dictum magna.</h4>\r\n<p>Phasellus porta. Fusce suscipit varius mi. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla dui. Fusce feugiat malesuada odio. Morbi nunc odio, gravida at, cursus nec, luctus a, lorem. Maecenas tristique orci ac sem. Duis ultricies pharetra magna. Donec accumsan malesuada orci. Donec sit amet eros. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris fermentum dictum magna. Sed laoreet aliquam leo. Ut tellus dolor, dapibus eget, elementum vel, cursus eleifend, elit. Aenean auctor wisi et urna. Aliquam erat volutpat. Duis ac turpis. Integer rutrum ante eu lacus.</p>\r\n<h4>Quisque nulla. Vestibulum libero nisl, porta vel, scelerisque eget, malesuada.</h4>\r\n<p>Aenean nec eros. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum. Donec in velit vel ipsum auctor pulvinar. Proin ullamcorper urna et felis. Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam.</p>\r\n<p>In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius.</p>\r\n<h4>Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis</h4>\r\n<p>Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur. Praesent vestibulum molestie lacus. Aenean nonummy hendrerit mauris. Phasellus porta. Fusce suscipit varius mi. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla dui. Fusce feugiat malesuada odio. Morbi nunc odio, gravida at, cursus nec, luctus a, lorem. Maecenas tristique orci ac sem. Duis ultricies pharetra magna. Donec accumsan malesuada orci.</p>\r\n<h4>Nemo enim ipsam voluptatem quia voluptas sit aspernatur</h4>\r\n<p>Mauris fermentum dictum magna. Sed laoreet aliquam leo. Ut tellus dolor, dapibus eget, elementum vel, cursus eleifend, elit. Aenean auctor wisi et urna. Aliquam erat volutpat. Duis ac turpis. Integer rutrum ante eu lacus. Quisque nulla. Vestibulum libero nisl, porta vel, scelerisque eget, malesuada at, neque. Vivamus eget nibh. Etiam cursus leo vel metus. Nulla facilisi. Aenean nec eros. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede.</p>', '', 1, 11, '2012-09-05 11:13:37', 577, '', '2013-12-04 09:35:05', 846, 0, '0000-00-00 00:00:00', '2012-09-05 11:13:37', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(7, 45, 'Archive.  Aliquam erat volutpat. Pellentesque non libero', 'archive-aliquam-erat-volutpat-pellentesque-non-libero', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n<p>Nullam commodo blandit nunc id luctus. Morbi tincidunt sodales neque eu rutrum. Aliquam imperdiet ante nec augue aliquet eu rutrum eros tempor. Nulla sit amet risus eu ante dapibus malesuada. Donec volutpat dolor nec eros elementum ornare. Phasellus nec fringilla lectus. Nam eget sagittis nisl. Morbi erat metus, accumsan ultricies pharetra sodales, sagittis eu mi. Donec felis sapien, rutrum commodo viverra vel, ullamcorper id nunc. Fusce tristique nibh in leo egestas tristique. Phasellus elementum pharetra est, sed sollicitudin sapien vulputate nec. Praesent consectetur adipiscing egestas. Vivamus interdum imperdiet augue, pretium sagittis lacus imperdiet quis.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 2, 2, '2012-08-04 13:43:03', 577, '', '2013-04-26 10:58:59', 846, 0, '0000-00-00 00:00:00', '2012-08-04 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":"","tags":null}', 0, '*', '', ''),
(8, 46, 'Archive. Class aptent taciti sociosqu ad litora torquent', 'home-class-aptent-taciti-sociosqu-ad-litora-torquent-2', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n<p>Nullam commodo blandit nunc id luctus. Morbi tincidunt sodales neque eu rutrum. Aliquam imperdiet ante nec augue aliquet eu rutrum eros tempor. Nulla sit amet risus eu ante dapibus malesuada. Donec volutpat dolor nec eros elementum ornare. Phasellus nec fringilla lectus. Nam eget sagittis nisl. Morbi erat metus, accumsan ultricies pharetra sodales, sagittis eu mi. Donec felis sapien, rutrum commodo viverra vel, ullamcorper id nunc. Fusce tristique nibh in leo egestas tristique. Phasellus elementum pharetra est, sed sollicitudin sapien vulputate nec. Praesent consectetur adipiscing egestas. Vivamus interdum imperdiet augue, pretium sagittis lacus imperdiet quis.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 2, 2, '2012-09-04 13:43:03', 577, '', '2013-04-26 10:59:15', 846, 0, '0000-00-00 00:00:00', '2012-09-04 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 5, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":"","tags":null}', 0, '*', '', ''),
(9, 47, 'Archive. Morbi tincidunt sodales neque eu rutrum', 'home-morbi-tincidunt-sodales-neque-eu-rutrum', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n<p>Nullam commodo blandit nunc id luctus. Morbi tincidunt sodales neque eu rutrum. Aliquam imperdiet ante nec augue aliquet eu rutrum eros tempor. Nulla sit amet risus eu ante dapibus malesuada. Donec volutpat dolor nec eros elementum ornare. Phasellus nec fringilla lectus. Nam eget sagittis nisl. Morbi erat metus, accumsan ultricies pharetra sodales, sagittis eu mi. Donec felis sapien, rutrum commodo viverra vel, ullamcorper id nunc. Fusce tristique nibh in leo egestas tristique. Phasellus elementum pharetra est, sed sollicitudin sapien vulputate nec. Praesent consectetur adipiscing egestas. Vivamus interdum imperdiet augue, pretium sagittis lacus imperdiet quis.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 2, 2, '2012-07-22 13:43:03', 577, '', '2013-04-26 10:59:59', 846, 0, '0000-00-00 00:00:00', '2012-07-22 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 6, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":"","tags":null}', 0, '*', '', ''),
(10, 48, 'Archive. Praesent et enim a nisl commodo sodales non', 'home-praesent-et-enim-a-nisl-commodo-sodales-non', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n<p>Nullam commodo blandit nunc id luctus. Morbi tincidunt sodales neque eu rutrum. Aliquam imperdiet ante nec augue aliquet eu rutrum eros tempor. Nulla sit amet risus eu ante dapibus malesuada. Donec volutpat dolor nec eros elementum ornare. Phasellus nec fringilla lectus. Nam eget sagittis nisl. Morbi erat metus, accumsan ultricies pharetra sodales, sagittis eu mi. Donec felis sapien, rutrum commodo viverra vel, ullamcorper id nunc. Fusce tristique nibh in leo egestas tristique. Phasellus elementum pharetra est, sed sollicitudin sapien vulputate nec. Praesent consectetur adipiscing egestas. Vivamus interdum imperdiet augue, pretium sagittis lacus imperdiet quis.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 2, 2, '2012-06-17 13:43:03', 577, '', '2013-04-26 11:00:23', 846, 0, '0000-00-00 00:00:00', '2012-06-17 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 7, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":"","tags":null}', 0, '*', '', ''),
(11, 49, 'Archive. Cras ligula nisi, interdum et vulputate nec', 'archive-cras-ligula-nisi-interdum-et-vulputate-nec', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n<p>Nullam commodo blandit nunc id luctus. Morbi tincidunt sodales neque eu rutrum. Aliquam imperdiet ante nec augue aliquet eu rutrum eros tempor. Nulla sit amet risus eu ante dapibus malesuada. Donec volutpat dolor nec eros elementum ornare. Phasellus nec fringilla lectus. Nam eget sagittis nisl. Morbi erat metus, accumsan ultricies pharetra sodales, sagittis eu mi. Donec felis sapien, rutrum commodo viverra vel, ullamcorper id nunc. Fusce tristique nibh in leo egestas tristique. Phasellus elementum pharetra est, sed sollicitudin sapien vulputate nec. Praesent consectetur adipiscing egestas. Vivamus interdum imperdiet augue, pretium sagittis lacus imperdiet quis.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 2, 2, '2012-03-01 13:43:03', 577, '', '2013-10-30 06:56:36', 846, 0, '0000-00-00 00:00:00', '2012-03-01 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"images\\/blog\\/blog-thumb1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/blog\\/blog-img1.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 8, '', '', 1, 12, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(12, 50, 'Archive. Nullam mauris arcu, malesuada eu consectetur non', 'archive-nullam-mauris-arcu-malesuada-eu-consectetur-non', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n<p>Nullam commodo blandit nunc id luctus. Morbi tincidunt sodales neque eu rutrum. Aliquam imperdiet ante nec augue aliquet eu rutrum eros tempor. Nulla sit amet risus eu ante dapibus malesuada. Donec volutpat dolor nec eros elementum ornare. Phasellus nec fringilla lectus. Nam eget sagittis nisl. Morbi erat metus, accumsan ultricies pharetra sodales, sagittis eu mi. Donec felis sapien, rutrum commodo viverra vel, ullamcorper id nunc. Fusce tristique nibh in leo egestas tristique. Phasellus elementum pharetra est, sed sollicitudin sapien vulputate nec. Praesent consectetur adipiscing egestas. Vivamus interdum imperdiet augue, pretium sagittis lacus imperdiet quis.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 2, 2, '2012-05-27 13:43:03', 577, '', '2013-04-26 11:00:11', 846, 0, '0000-00-00 00:00:00', '2012-05-27 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 9, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":"","tags":null}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(13, 51, 'Archive. Enim mi posuere augue, id porttitor leo sapien sed libero', 'archive-enim-mi-posuere-augue-id-porttitor-leo-sapien-sed-libero', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n<p>Nullam commodo blandit nunc id luctus. Morbi tincidunt sodales neque eu rutrum. Aliquam imperdiet ante nec augue aliquet eu rutrum eros tempor. Nulla sit amet risus eu ante dapibus malesuada. Donec volutpat dolor nec eros elementum ornare. Phasellus nec fringilla lectus. Nam eget sagittis nisl. Morbi erat metus, accumsan ultricies pharetra sodales, sagittis eu mi. Donec felis sapien, rutrum commodo viverra vel, ullamcorper id nunc. Fusce tristique nibh in leo egestas tristique. Phasellus elementum pharetra est, sed sollicitudin sapien vulputate nec. Praesent consectetur adipiscing egestas. Vivamus interdum imperdiet augue, pretium sagittis lacus imperdiet quis.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 2, 2, '2012-04-17 13:43:03', 577, '', '2013-04-26 10:59:47', 846, 0, '0000-00-00 00:00:00', '2012-04-17 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 10, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":"","tags":null}', 0, '*', '', ''),
(14, 52, 'Home. In hac habitasse platea dictumst. In in sem libero', 'home-in-hac-habitasse-platea-dictumst-in-in-sem-libero', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n', '\r\n<p>Nam nec lectus ut orci porta volutpat id at purus. Sed sagittis congue dapibus. Proin dolor metus, pharetra ut pulvinar nec, condimentum quis libero. Sed fermentum tortor ac elit tristique vel dapibus sem porta. Suspendisse aliquet posuere ultrices. Proin facilisis libero lacinia erat pretium faucibus. In tortor nunc, posuere eget commodo et, eleifend vel risus.</p>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam erat volutpat. Pellentesque non libero dui, vitae pharetra urna. Vestibulum accumsan pulvinar magna sed consectetur. Nulla congue condimentum aliquam. Donec non libero lectus, id mollis nisi. Morbi turpis magna, varius in ullamcorper nec, suscipit sagittis nibh. Nam elementum aliquam turpis eget egestas. Cras ligula nisi, interdum et vulputate nec, sagittis a tellus. In hac habitasse platea dictumst. In in sem libero. Fusce cursus, metus eu commodo hendrerit, arcu nibh consequat lectus, nec suscipit eros urna in ipsum. Praesent et enim a nisl commodo sodales non id neque. Ut sodales dignissim massa vitae hendrerit. Sed porttitor purus ut ante fermentum quis mollis velit pellentesque.</p>\r\n<p>Etiam nisi felis, fermentum vitae ultrices non, euismod in magna. In mattis velit ut eros tristique a congue erat consequat. Suspendisse consequat, justo eu gravida semper, ligula turpis dignissim dolor, vitae lacinia velit metus id libero. Nullam consectetur rhoncus magna, quis pharetra tortor bibendum quis. Curabitur ac ante nisl. Nullam mauris arcu, malesuada eu consectetur non, eleifend quis est. Nullam dictum, leo vulputate elementum porttitor, enim mi posuere augue, id porttitor leo sapien sed libero. Quisque est velit, aliquam bibendum vestibulum eget, tristique a odio.</p>', 1, 8, '2012-09-04 13:43:03', 577, '', '2014-03-06 12:08:52', 846, 0, '0000-00-00 00:00:00', '2012-09-04 13:43:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 13, 0, '', '', 1, 19, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(15, 62, 'Sed in lacus ut enim adipiscing aliquet nulla venenatis.', 'aenean-nec-semper-sem-ut-quis', '<p>Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum.</p>\r\n\r\n', '\r\n\r\n<p>Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet.</p>\r\n\r\n<p>Nulla venenatis. In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Neque porro quisquam est, qui.</p>', 1, 13, '2012-09-26 09:02:00', 577, '', '2014-04-24 08:45:03', 846, 0, '0000-00-00 00:00:00', '2012-09-26 09:02:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/blog\\/blog-img7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 19, 0, '', '', 1, 80, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(16, 63, 'Sed in lacus ut enim adipiscing aliquet nulla venenatis.', 'mattis-sed-laoreet-ac-ultrices', '<p>Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum.</p>\r\n\r\n', '\r\n\r\n<p>Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet.</p>\r\n\r\n<p>Nulla venenatis. In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Neque porro quisquam est, qui.</p>', 1, 13, '2012-12-01 09:02:00', 577, '', '2014-04-24 08:45:06', 846, 0, '0000-00-00 00:00:00', '2012-12-01 09:02:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 29, 0, '', '', 1, 22, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(17, 70, 'Slide 1', 'slide-1', '<h2>Commercial and</br> Residential Roofing</h2>\r\n<a href="#" class="btn">Contact Us</a>', '', 1, 26, '2012-09-24 09:20:56', 577, '', '2019-08-02 04:47:32', 846, 0, '0000-00-00 00:00:00', '2012-09-24 09:20:56', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/slider\\/slide-1.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, -1, '', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(18, 71, 'Slide 2', 'slide-2', '<h2>Commercial and</br> Residential Roofing</h2>\r\n<a href="#" class="btn">Contact Us</a>', '', 1, 26, '2012-09-24 09:20:56', 577, '', '2019-08-02 04:50:10', 846, 0, '0000-00-00 00:00:00', '2012-09-24 09:20:56', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/slider\\/slide-2.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(19, 72, 'Slide 3', 'slide-3', '<h2>Commercial and</br> Residential Roofing</h2>\r\n<a href="#" class="btn">Contact Us</a>', '', 1, 26, '2012-09-24 09:20:56', 577, '', '2019-08-02 04:54:56', 846, 0, '0000-00-00 00:00:00', '2012-09-24 09:20:56', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/slider\\/slide-3.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(20, 74, 'Skylights  Installing', 'skylights-installing', '', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 27, '2012-09-25 07:19:20', 577, '', '2019-07-30 02:50:52', 846, 846, '2019-08-16 12:29:03', '2012-09-25 07:19:20', '0000-00-00 00:00:00', '{"image_intro":"images\\/carousel\\/carousel-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 15, 1, '', '', 1, 42, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(21, 75, 'Chimneys Cleaning', 'chimneys-cleaning', '', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 27, '2012-09-25 07:19:20', 577, '', '2019-07-30 02:51:06', 846, 0, '0000-00-00 00:00:00', '2012-09-25 07:19:20', '0000-00-00 00:00:00', '{"image_intro":"images\\/carousel\\/carousel-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 2, '', '', 1, 20, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(22, 76, 'Cleaning', 'cleaning', '', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 27, '2012-09-25 07:19:20', 577, '', '2019-07-30 02:51:34', 846, 0, '0000-00-00 00:00:00', '2012-09-25 07:19:20', '0000-00-00 00:00:00', '{"image_intro":"images\\/carousel\\/carousel-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 3, '', '', 1, 33, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(23, 77, 'Industrial Roofing', 'industrial-roofing', '', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 27, '2012-09-25 07:19:20', 577, '', '2019-07-30 02:51:44', 846, 0, '0000-00-00 00:00:00', '2012-09-25 07:19:20', '0000-00-00 00:00:00', '{"image_intro":"images\\/carousel\\/carousel-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 4, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(24, 78, 'Residential Roofing', 'residential-roofing', '', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 27, '2012-09-25 07:19:20', 577, '', '2019-07-30 02:52:20', 846, 0, '0000-00-00 00:00:00', '2012-09-25 07:19:20', '0000-00-00 00:00:00', '{"image_intro":"images\\/carousel\\/carousel-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 5, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(25, 79, 'Gutter Cleaning​​​​​​​', 'gutter-cleaning', '', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 27, '2012-09-25 07:19:20', 577, '', '2019-07-30 02:52:32', 846, 0, '0000-00-00 00:00:00', '2012-09-25 07:19:20', '0000-00-00 00:00:00', '{"image_intro":"images\\/carousel\\/carousel-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(26, 82, 'Suspendisse ', 'suspendisse', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 30, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:51:10', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 1, '', '', 1, 74, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(27, 83, 'Nulla aliquet libero', 'nulla-aliquet-libero', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 30, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:50:32', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 3, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(28, 84, 'Enim ultrices ', 'enim-ultrices', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 30, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:49:57', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 4, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(29, 85, 'Vivamus libero', 'gallery-vivamus-libero', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 31, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:49:40', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 5, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(30, 86, 'Ut at erat eu', 'ut-at-erat-eu', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 31, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:50:47', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 6, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(33, 89, 'Aenean quis', 'aenean-quis', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 31, '2012-09-28 08:28:47', 577, '', '2013-04-26 08:45:44', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 7, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":"","tags":null}', 0, '*', '', ''),
(35, 91, 'Morbi eleifend', 'morbi-eleifend', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 30, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:50:27', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 2, '', '', 1, 36, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(36, 95, 'Nemo enim ipsam voluptatem quia voluptas sit asatur aut.', 'in-neque-arcu-vulputate-vitae', '<p>Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum.</p>\r\n\r\n', '\r\n\r\n<p>Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet.</p>\r\n\r\n<p>Nulla venenatis. In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Neque porro quisquam est, qui.</p>', 1, 14, '2012-12-12 09:02:00', 577, '', '2014-04-24 08:45:17', 846, 0, '0000-00-00 00:00:00', '2012-12-12 09:02:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 33, 0, '', '', 1, 18, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(37, 96, 'Omnis iste natus error sit voluptatem accusanti dolorem.', 'donec-eu-elit-in-nisi-placerat', '<p>Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum.</p>\r\n\r\n', '\r\n\r\n<p>Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet.</p>\r\n\r\n<p>Nulla venenatis. In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Neque porro quisquam est, qui.</p>', 1, 16, '2012-12-27 09:02:00', 577, '', '2014-04-24 09:19:13', 846, 0, '0000-00-00 00:00:00', '2012-12-27 09:02:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 21, 0, '', '', 1, 325, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(38, 97, 'Omnis iste natus error sit voluptatem accusanti dolorem.', 'placerat-adipiscing-lorem', '<p>Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum.</p>\r\n\r\n', '\r\n\r\n<p>Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet.</p>\r\n\r\n<p>Nulla venenatis. In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Neque porro quisquam est, qui.</p>', 1, 15, '2012-11-02 09:02:00', 577, '', '2014-04-24 08:45:04', 846, 0, '0000-00-00 00:00:00', '2012-11-02 09:02:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 24, 0, '', '', 1, 24, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(39, 98, 'Quis autem vel eum iure reprehenderit qui in ea voluptate.', 'nulla-consectetur-adipiscing-metus', '<p>Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum.</p>\r\n\r\n', '\r\n\r\n<p>Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet.</p>\r\n\r\n<p>Nulla venenatis. In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Neque porro quisquam est, qui.</p>', 1, 16, '2012-11-22 09:02:00', 577, '', '2014-04-24 08:45:05', 846, 0, '0000-00-00 00:00:00', '2012-11-22 09:02:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 28, 0, '', '', 1, 14, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(40, 99, 'Nemo enim ipsam voluptatem quia voluptas sit asatur aut.', 'proin-eget-quam-urna-vitae', '<p>Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum.</p>\r\n\r\n', '\r\n\r\n<p>Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet.</p>\r\n\r\n<p>Nulla venenatis. In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Neque porro quisquam est, qui.</p>', 1, 19, '2012-10-02 09:02:00', 577, '', '2014-04-24 08:45:04', 846, 0, '0000-00-00 00:00:00', '2012-10-02 09:02:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 14, 0, '', '', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(41, 100, 'Quis autem vel eum iure reprehenderit qui in ea voluptate.', 'vestibulum-commodo-mollis', '<p>Suspendisse sollicitudin velit sed leo. Ut pharetra augue nec augue. Nam elit magna, hendrerit sit amet, tincidunt ac, viverra sed, nulla. Donec porta diam eu massa. Quisque diam lorem, interdum vitae, dapibus ac, scelerisque vitae, pede. Donec eget tellus non erat lacinia fermentum.</p>\r\n\r\n', '\r\n\r\n<p>Vestibulum iaculis lacinia est. Proin dictum elementum velit. Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor. Aliquam congue fermentum nisl. Mauris accumsan nulla vel diam. Sed in lacus ut enim adipiscing aliquet.</p>\r\n\r\n<p>Nulla venenatis. In pede mi, aliquet sit amet, euismod in, auctor ut, ligula. Aliquam dapibus tincidunt metus. Praesent justo dolor, lobortis quis, lobortis dignissim, pulvinar ac, lorem. Vestibulum sed ante. Donec sagittis euismod purus. Neque porro quisquam est, qui.</p>', 1, 17, '2012-09-10 09:02:00', 577, '', '2014-04-24 08:45:02', 846, 0, '0000-00-00 00:00:00', '2012-09-10 09:02:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 16, 0, '', '', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(42, 105, '1998', '1998', '<p>Curabitur elementum ultricies tristique. Nullam eu scelerisque felis. Phasellus id urna non lectus rutrum adipiscing in vehicula enim. Pellentesque felis odio, placerat vel varius in, vehicula eu libero. Praesent lobortis pharetra ligula a scelerisque. Nulla nec nisi et purus vulputate sagittis. Donec sed ante nec augue suscipit luctus vitae feugiat tellus. Nullam auctor vehicula dui, vel pulvinar quam facilisis vel. Sed fermentum laoreet lacus eu laoreet.</p>\r\n\r\n', '\r\n\r\n<p>Phasellus vitae risus non erat euismod porttitor non et magna. Etiam dignissim leo quam, hendrerit sagittis leo. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla facilisi. Aliquam sem lorem, commodo sed rhoncus at, laoreet accumsan nisl. Vestibulum mi magna, blandit vitae molestie in, vulputate ut leo. Sed pulvinar leo pharetra felis aliquam sed hendrerit diam eleifend.</p>\r\n\r\n<p>Nullam nec risus in lectus convallis tempus. Suspendisse purus turpis, imperdiet vitae pretium et, tincidunt sit amet quam. Nullam rhoncus aliquet varius. Etiam in neque non sapien lobortis porta eu id ipsum. Etiam eget malesuada risus. Morbi interdum porta consequat. Nullam tincidunt lobortis sem sed interdum. Nulla viverra, massa convallis bibendum imperdiet, dui est sollicitudin elit, sit amet blandit dui lectus ac diam. Curabitur tristique suscipit bibendum. Donec elit metus, tempor id pharetra sit amet, luctus non justo. Aliquam sit amet rutrum nunc. Curabitur justo dolor, hendrerit eget adipiscing vitae, volutpat sit amet elit. Etiam lobortis orci non purus ullamcorper facilisis tempor velit bibendum. Cras hendrerit interdum tellus, at ultrices eros pulvinar ut. Vivamus elementum egestas felis, at lobortis odio dapibus quis. Vivamus ipsum turpis, scelerisque eget bibendum vulputate, rhoncus id diam.</p>', 1, 33, '2012-10-01 14:43:44', 577, '', '2013-04-26 08:44:39', 846, 0, '0000-00-00 00:00:00', '2012-10-01 14:43:44', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, -1, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":"","tags":null}', 0, '*', '', ''),
(43, 106, '2001', '2001', '<p>Curabitur elementum ultricies tristique. Nullam eu scelerisque felis. Phasellus id urna non lectus rutrum adipiscing in vehicula enim. Pellentesque felis odio, placerat vel varius in, vehicula eu libero. Praesent lobortis pharetra ligula a scelerisque. Nulla nec nisi et purus vulputate sagittis. Donec sed ante nec augue suscipit luctus vitae feugiat tellus. Nullam auctor vehicula dui, vel pulvinar quam facilisis vel. Sed fermentum laoreet lacus eu laoreet.</p>\r\n\r\n', '\r\n\r\n<p>Phasellus vitae risus non erat euismod porttitor non et magna. Etiam dignissim leo quam, hendrerit sagittis leo. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla facilisi. Aliquam sem lorem, commodo sed rhoncus at, laoreet accumsan nisl. Vestibulum mi magna, blandit vitae molestie in, vulputate ut leo. Sed pulvinar leo pharetra felis aliquam sed hendrerit diam eleifend.</p>\r\n\r\n<p>Nullam nec risus in lectus convallis tempus. Suspendisse purus turpis, imperdiet vitae pretium et, tincidunt sit amet quam. Nullam rhoncus aliquet varius. Etiam in neque non sapien lobortis porta eu id ipsum. Etiam eget malesuada risus. Morbi interdum porta consequat. Nullam tincidunt lobortis sem sed interdum. Nulla viverra, massa convallis bibendum imperdiet, dui est sollicitudin elit, sit amet blandit dui lectus ac diam. Curabitur tristique suscipit bibendum. Donec elit metus, tempor id pharetra sit amet, luctus non justo. Aliquam sit amet rutrum nunc. Curabitur justo dolor, hendrerit eget adipiscing vitae, volutpat sit amet elit. Etiam lobortis orci non purus ullamcorper facilisis tempor velit bibendum. Cras hendrerit interdum tellus, at ultrices eros pulvinar ut. Vivamus elementum egestas felis, at lobortis odio dapibus quis. Vivamus ipsum turpis, scelerisque eget bibendum vulputate, rhoncus id diam.</p>', 1, 33, '2012-10-01 14:44:22', 577, '', '2013-03-19 13:54:01', 985, 0, '0000-00-00 00:00:00', '2012-10-01 14:44:22', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(44, 107, '2006', '2006', '<p>Curabitur elementum ultricies tristique. Nullam eu scelerisque felis. Phasellus id urna non lectus rutrum adipiscing in vehicula enim. Pellentesque felis odio, placerat vel varius in, vehicula eu libero. Praesent lobortis pharetra ligula a scelerisque. Nulla nec nisi et purus vulputate sagittis. Donec sed ante nec augue suscipit luctus vitae feugiat tellus. Nullam auctor vehicula dui, vel pulvinar quam facilisis vel. Sed fermentum laoreet lacus eu laoreet.</p>\r\n\r\n', '\r\n\r\n<p>Phasellus vitae risus non erat euismod porttitor non et magna. Etiam dignissim leo quam, hendrerit sagittis leo. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla facilisi. Aliquam sem lorem, commodo sed rhoncus at, laoreet accumsan nisl. Vestibulum mi magna, blandit vitae molestie in, vulputate ut leo. Sed pulvinar leo pharetra felis aliquam sed hendrerit diam eleifend.</p>\r\n\r\n<p>Nullam nec risus in lectus convallis tempus. Suspendisse purus turpis, imperdiet vitae pretium et, tincidunt sit amet quam. Nullam rhoncus aliquet varius. Etiam in neque non sapien lobortis porta eu id ipsum. Etiam eget malesuada risus. Morbi interdum porta consequat. Nullam tincidunt lobortis sem sed interdum. Nulla viverra, massa convallis bibendum imperdiet, dui est sollicitudin elit, sit amet blandit dui lectus ac diam. Curabitur tristique suscipit bibendum. Donec elit metus, tempor id pharetra sit amet, luctus non justo. Aliquam sit amet rutrum nunc. Curabitur justo dolor, hendrerit eget adipiscing vitae, volutpat sit amet elit. Etiam lobortis orci non purus ullamcorper facilisis tempor velit bibendum. Cras hendrerit interdum tellus, at ultrices eros pulvinar ut. Vivamus elementum egestas felis, at lobortis odio dapibus quis. Vivamus ipsum turpis, scelerisque eget bibendum vulputate, rhoncus id diam.</p>', 1, 33, '2012-10-01 14:44:33', 577, '', '2013-03-19 13:54:01', 985, 0, '0000-00-00 00:00:00', '2012-10-01 14:44:33', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(45, 108, '2009', '2009', '<p>Curabitur elementum ultricies tristique. Nullam eu scelerisque felis. Phasellus id urna non lectus rutrum adipiscing in vehicula enim. Pellentesque felis odio, placerat vel varius in, vehicula eu libero. Praesent lobortis pharetra ligula a scelerisque. Nulla nec nisi et purus vulputate sagittis. Donec sed ante nec augue suscipit luctus vitae feugiat tellus. Nullam auctor vehicula dui, vel pulvinar quam facilisis vel. Sed fermentum laoreet lacus eu laoreet.</p>\r\n\r\n', '\r\n\r\n<p>Phasellus vitae risus non erat euismod porttitor non et magna. Etiam dignissim leo quam, hendrerit sagittis leo. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla facilisi. Aliquam sem lorem, commodo sed rhoncus at, laoreet accumsan nisl. Vestibulum mi magna, blandit vitae molestie in, vulputate ut leo. Sed pulvinar leo pharetra felis aliquam sed hendrerit diam eleifend.</p>\r\n\r\n<p>Nullam nec risus in lectus convallis tempus. Suspendisse purus turpis, imperdiet vitae pretium et, tincidunt sit amet quam. Nullam rhoncus aliquet varius. Etiam in neque non sapien lobortis porta eu id ipsum. Etiam eget malesuada risus. Morbi interdum porta consequat. Nullam tincidunt lobortis sem sed interdum. Nulla viverra, massa convallis bibendum imperdiet, dui est sollicitudin elit, sit amet blandit dui lectus ac diam. Curabitur tristique suscipit bibendum. Donec elit metus, tempor id pharetra sit amet, luctus non justo. Aliquam sit amet rutrum nunc. Curabitur justo dolor, hendrerit eget adipiscing vitae, volutpat sit amet elit. Etiam lobortis orci non purus ullamcorper facilisis tempor velit bibendum. Cras hendrerit interdum tellus, at ultrices eros pulvinar ut. Vivamus elementum egestas felis, at lobortis odio dapibus quis. Vivamus ipsum turpis, scelerisque eget bibendum vulputate, rhoncus id diam.</p>', 1, 33, '2012-10-01 14:44:52', 577, '', '2013-03-19 13:54:01', 985, 0, '0000-00-00 00:00:00', '2012-10-01 14:44:52', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(46, 109, '2011', '2011', '<p>Curabitur elementum ultricies tristique. Nullam eu scelerisque felis. Phasellus id urna non lectus rutrum adipiscing in vehicula enim. Pellentesque felis odio, placerat vel varius in, vehicula eu libero. Praesent lobortis pharetra ligula a scelerisque. Nulla nec nisi et purus vulputate sagittis. Donec sed ante nec augue suscipit luctus vitae feugiat tellus. Nullam auctor vehicula dui, vel pulvinar quam facilisis vel. Sed fermentum laoreet lacus eu laoreet.</p>\r\n\r\n', '\r\n\r\n<p>Phasellus vitae risus non erat euismod porttitor non et magna. Etiam dignissim leo quam, hendrerit sagittis leo. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla facilisi. Aliquam sem lorem, commodo sed rhoncus at, laoreet accumsan nisl. Vestibulum mi magna, blandit vitae molestie in, vulputate ut leo. Sed pulvinar leo pharetra felis aliquam sed hendrerit diam eleifend.</p>\r\n\r\n<p>Nullam nec risus in lectus convallis tempus. Suspendisse purus turpis, imperdiet vitae pretium et, tincidunt sit amet quam. Nullam rhoncus aliquet varius. Etiam in neque non sapien lobortis porta eu id ipsum. Etiam eget malesuada risus. Morbi interdum porta consequat. Nullam tincidunt lobortis sem sed interdum. Nulla viverra, massa convallis bibendum imperdiet, dui est sollicitudin elit, sit amet blandit dui lectus ac diam. Curabitur tristique suscipit bibendum. Donec elit metus, tempor id pharetra sit amet, luctus non justo. Aliquam sit amet rutrum nunc. Curabitur justo dolor, hendrerit eget adipiscing vitae, volutpat sit amet elit. Etiam lobortis orci non purus ullamcorper facilisis tempor velit bibendum. Cras hendrerit interdum tellus, at ultrices eros pulvinar ut. Vivamus elementum egestas felis, at lobortis odio dapibus quis. Vivamus ipsum turpis, scelerisque eget bibendum vulputate, rhoncus id diam.</p>', 1, 33, '2012-10-01 14:45:01', 577, '', '2013-03-19 13:54:01', 985, 0, '0000-00-00 00:00:00', '2012-10-01 14:45:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(47, 110, '2012', '2012', '<p>Curabitur elementum ultricies tristique. Nullam eu scelerisque felis. Phasellus id urna non lectus rutrum adipiscing in vehicula enim. Pellentesque felis odio, placerat vel varius in, vehicula eu libero. Praesent lobortis pharetra ligula a scelerisque. Nulla nec nisi et purus vulputate sagittis. Donec sed ante nec augue suscipit luctus vitae feugiat tellus. Nullam auctor vehicula dui, vel pulvinar quam facilisis vel. Sed fermentum laoreet lacus eu laoreet.</p>\r\n\r\n', '\r\n\r\n<p>Phasellus vitae risus non erat euismod porttitor non et magna. Etiam dignissim leo quam, hendrerit sagittis leo. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla facilisi. Aliquam sem lorem, commodo sed rhoncus at, laoreet accumsan nisl. Vestibulum mi magna, blandit vitae molestie in, vulputate ut leo. Sed pulvinar leo pharetra felis aliquam sed hendrerit diam eleifend.</p>\r\n\r\n<p>Nullam nec risus in lectus convallis tempus. Suspendisse purus turpis, imperdiet vitae pretium et, tincidunt sit amet quam. Nullam rhoncus aliquet varius. Etiam in neque non sapien lobortis porta eu id ipsum. Etiam eget malesuada risus. Morbi interdum porta consequat. Nullam tincidunt lobortis sem sed interdum. Nulla viverra, massa convallis bibendum imperdiet, dui est sollicitudin elit, sit amet blandit dui lectus ac diam. Curabitur tristique suscipit bibendum. Donec elit metus, tempor id pharetra sit amet, luctus non justo. Aliquam sit amet rutrum nunc. Curabitur justo dolor, hendrerit eget adipiscing vitae, volutpat sit amet elit. Etiam lobortis orci non purus ullamcorper facilisis tempor velit bibendum. Cras hendrerit interdum tellus, at ultrices eros pulvinar ut. Vivamus elementum egestas felis, at lobortis odio dapibus quis. Vivamus ipsum turpis, scelerisque eget bibendum vulputate, rhoncus id diam.</p>', 1, 33, '2012-10-01 14:45:37', 577, '', '2013-03-19 13:53:59', 985, 0, '0000-00-00 00:00:00', '2012-10-01 14:45:37', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 5, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(48, 111, 'Carol Adams', 'carol-adams', '<p><strong class="muted"> Position: </strong>Tempus a ullamcorper <br /> <strong class="muted">Location:</strong> New York, NY</p>\r\n<p>Quisque vel sapien nec lacus adipiscing bibendum. Nullam porta laoreet dolor. Aliquam velit est, tempus a ullamcorper et, lacinia mattis mi. Cras arcu nulla, blandit id cursus et, ultricies eu leo. Vestibulum gravida suscipit laoreet. Morbi fringilla, tellus a pretium aliquet, orci leo venenatis ligula, ut varius urna nisi euismod mauris. </p>\r\n', '\r\n<p><span style="line-height: 1.3em;">Ut tincidunt magna urna, ac semper lectus laoreet eu. Donec neque risus, gravida eu eros quis, fringilla lacinia odio. Morbi at neque a purus ultricies pretium at in arcu. Suspendisse posuere metus erat, a volutpat lorem varius non. Ut vestibulum lectus ac justo accumsan dapibus. Mauris porta non turpis vitae scelerisque. Praesent ac lobortis leo. Phasellus mattis odio eget tellus vestibulum, et viverra diam viverra. </span><span style="line-height: 1.3em;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent quis orci orci. Maecenas at semper nisl. </span></p>', 1, 34, '2012-10-02 06:35:45', 577, '', '2013-09-18 11:47:01', 94, 0, '0000-00-00 00:00:00', '2012-10-02 06:35:45', '0000-00-00 00:00:00', '{"image_intro":"images\\/team\\/team-1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/team\\/team-1.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 5, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(49, 112, 'Jason Parker', 'jason-parker', '<p><strong class="muted"> Position: </strong> Donec neque risus <br /> <strong class="muted">Location: </strong>Boise, ID</p>\r\n<p>Quisque vel sapien nec lacus adipiscing bibendum. Nullam porta laoreet dolor. Aliquam velit est, tempus a ullamcorper et, lacinia mattis mi. Cras arcu nulla, blandit id cursus et, ultricies eu leo. Vestibulum gravida suscipit laoreet. Morbi fringilla, tellus a pretium aliquet, orci leo venenatis ligula, ut varius urna nisi euismod mauris. </p>\r\n', '\r\n<p><span style="line-height: 1.3em;">Ut tincidunt magna urna, ac semper lectus laoreet eu. Donec neque risus, gravida eu eros quis, fringilla lacinia odio. Morbi at neque a purus ultricies pretium at in arcu. Suspendisse posuere metus erat, a volutpat lorem varius non. Ut vestibulum lectus ac justo accumsan dapibus. Mauris porta non turpis vitae scelerisque. Praesent ac lobortis leo. Phasellus mattis odio eget tellus vestibulum, et viverra diam viverra. </span><span style="line-height: 1.3em;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent quis orci orci. Maecenas at semper nisl. </span></p>', 1, 34, '2012-10-02 06:36:13', 577, '', '2013-09-18 11:47:36', 94, 0, '0000-00-00 00:00:00', '2012-10-02 06:36:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/team\\/team-2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/team\\/team-2.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 4, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(50, 113, 'Sharon Wright', 'sharon-wright', '<p><strong class="muted"> Position: </strong>Turpis vitae scelerisque <br /> <strong class="muted">Location:</strong> Olympia, WA</p>\r\n<p>Quisque vel sapien nec lacus adipiscing bibendum. Nullam porta laoreet dolor. Aliquam velit est, tempus a ullamcorper et, lacinia mattis mi. Cras arcu nulla, blandit id cursus et, ultricies eu leo. Vestibulum gravida suscipit laoreet. Morbi fringilla, tellus a pretium aliquet, orci leo venenatis ligula, ut varius urna nisi euismod mauris. </p>\r\n', '\r\n<p><span style="line-height: 1.3em;">Ut tincidunt magna urna, ac semper lectus laoreet eu. Donec neque risus, gravida eu eros quis, fringilla lacinia odio. Morbi at neque a purus ultricies pretium at in arcu. Suspendisse posuere metus erat, a volutpat lorem varius non. Ut vestibulum lectus ac justo accumsan dapibus. Mauris porta non turpis vitae scelerisque. Praesent ac lobortis leo. Phasellus mattis odio eget tellus vestibulum, et viverra diam viverra. </span><span style="line-height: 1.3em;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent quis orci orci. Maecenas at semper nisl. </span></p>', 1, 34, '2012-10-02 06:36:55', 577, '', '2013-09-18 11:49:56', 94, 0, '0000-00-00 00:00:00', '2012-10-02 06:36:55', '0000-00-00 00:00:00', '{"image_intro":"images\\/team\\/team-3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/team\\/team-3.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(51, 114, 'Richard Phillips', 'richard-phillips', '<p><strong class="muted"> Position: </strong>Morbi at neque a purus <br /> <strong class="muted">Location:</strong> Atlanta, GA</p>\r\n<p>Quisque vel sapien nec lacus adipiscing bibendum. Nullam porta laoreet dolor. Aliquam velit est, tempus a ullamcorper et, lacinia mattis mi. Cras arcu nulla, blandit id cursus et, ultricies eu leo. Vestibulum gravida suscipit laoreet. Morbi fringilla, tellus a pretium aliquet, orci leo venenatis ligula, ut varius urna nisi euismod mauris. </p>\r\n', '\r\n<p><span style="line-height: 1.3em;">Ut tincidunt magna urna, ac semper lectus laoreet eu. Donec neque risus, gravida eu eros quis, fringilla lacinia odio. Morbi at neque a purus ultricies pretium at in arcu. Suspendisse posuere metus erat, a volutpat lorem varius non. Ut vestibulum lectus ac justo accumsan dapibus. Mauris porta non turpis vitae scelerisque. Praesent ac lobortis leo. Phasellus mattis odio eget tellus vestibulum, et viverra diam viverra. </span><span style="line-height: 1.3em;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent quis orci orci. Maecenas at semper nisl. </span></p>', 1, 34, '2012-10-02 06:37:35', 577, '', '2013-09-18 11:47:46', 94, 0, '0000-00-00 00:00:00', '2012-10-02 06:37:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/team\\/team-4.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/team\\/team-4.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(52, 115, 'Steven Mitchell', 'steven-mitchell', '<p><strong class="muted"> Position: </strong>Maecenas at semper <br /> <strong class="muted">Location:</strong> Trenton, NJ</p>\r\n<p>Quisque vel sapien nec lacus adipiscing bibendum. Nullam porta laoreet dolor. Aliquam velit est, tempus a ullamcorper et, lacinia mattis mi. Cras arcu nulla, blandit id cursus et, ultricies eu leo. Vestibulum gravida suscipit laoreet. Morbi fringilla, tellus a pretium aliquet, orci leo venenatis ligula, ut varius urna nisi euismod mauris. </p>\r\n', '\r\n<p><span style="line-height: 1.3em;">Ut tincidunt magna urna, ac semper lectus laoreet eu. Donec neque risus, gravida eu eros quis, fringilla lacinia odio. Morbi at neque a purus ultricies pretium at in arcu. Suspendisse posuere metus erat, a volutpat lorem varius non. Ut vestibulum lectus ac justo accumsan dapibus. Mauris porta non turpis vitae scelerisque. Praesent ac lobortis leo. Phasellus mattis odio eget tellus vestibulum, et viverra diam viverra. </span><span style="line-height: 1.3em;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent quis orci orci. Maecenas at semper nisl. </span></p>', 1, 34, '2012-10-02 06:38:10', 577, '', '2013-09-18 11:48:23', 94, 0, '0000-00-00 00:00:00', '2012-10-02 06:38:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/team\\/team-5.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/team\\/team-5.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(53, 116, 'Elizabeth Carter', 'elizabeth-carter', '<p><strong class="muted"> Position: </strong>Aliquam velit est <br /> <strong class="muted">Location:</strong> New York, NY</p>\r\n<p>Quisque vel sapien nec lacus adipiscing bibendum. Nullam porta laoreet dolor. Aliquam velit est, tempus a ullamcorper et, lacinia mattis mi. Cras arcu nulla, blandit id cursus et, ultricies eu leo. Vestibulum gravida suscipit laoreet. Morbi fringilla, tellus a pretium aliquet, orci leo venenatis ligula, ut varius urna nisi euismod mauris. </p>\r\n', '\r\n<p><span style="line-height: 1.3em;">Ut tincidunt magna urna, ac semper lectus laoreet eu. Donec neque risus, gravida eu eros quis, fringilla lacinia odio. Morbi at neque a purus ultricies pretium at in arcu. Suspendisse posuere metus erat, a volutpat lorem varius non. Ut vestibulum lectus ac justo accumsan dapibus. Mauris porta non turpis vitae scelerisque. Praesent ac lobortis leo. Phasellus mattis odio eget tellus vestibulum, et viverra diam viverra. </span><span style="line-height: 1.3em;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent quis orci orci. Maecenas at semper nisl. </span></p>', 1, 34, '2012-10-02 06:38:56', 577, '', '2013-09-18 11:40:50', 94, 0, '0000-00-00 00:00:00', '2012-10-02 06:38:56', '0000-00-00 00:00:00', '{"image_intro":"images\\/team\\/team-6.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/team\\/team-6.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 26, 0, '', '', 1, 48, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(54, 117, 'George Martin', 'george-martin', '<blockquote>\r\n<p>Praesent dictum dapibus nisl id convallis. Nam condimentum mattis eros. Nulla aliquet commodo leo, et porta metus placerat pharetra. Cras vulputate aliquet massa in commodo. Ut dapibus tincidunt rhoncus. Aenean sit amet nunc odio. Maecenas rhoncus libero eu arcu accumsan eleifend.</p>\r\n<small>George Martin</small>\r\n</blockquote>\r\n\r\n\r\n', '', 1, 36, '2012-10-02 07:06:21', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-10-02 07:06:21', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(55, 118, 'Donna Phillips', 'donna-phillips', '<blockquote>\r\n<p>Curabitur faucibus tincidunt mi, a convallis est eleifend eget. Nulla eleifend bibendum quam ac fringilla. In tincidunt lobortis viverra. Pellentesque ipsum nunc, malesuada tempus volutpat vel, ullamcorper eu nulla. Maecenas dignissim eleifend nunc, sed consequat neque semper quis. Nam posuere mattis suscipit. Mauris lorem quam, posuere eu congue et, luctus sed sapien. Sed et massa ac nibh elementum pretium. Vestibulum consectetur, diam vel placerat aliquam, elit ipsum tincidunt lacus, id auctor neque mauris sed dui. Quisque ac leo a magna molestie consequat id sit amet est.</p>\r\n<small>Donna Phillips</small>\r\n</blockquote>\r\n', '', 1, 36, '2012-10-02 07:06:59', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-10-02 07:06:59', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(56, 119, 'Kenneth Edwards', 'kenneth-edwards', '<blockquote>\r\n<p>Pellentesque ut ligula sed diam porta ultricies vitae ut eros. Aenean tempor justo quis dui sollicitudin suscipit. Nam quam erat, aliquet ut vulputate vitae, cursus vitae risus. Morbi facilisis faucibus leo non sodales. Fusce non risus sed purus vestibulum sodales. Fusce gravida aliquet tellus id scelerisque. Nulla feugiat sollicitudin iaculis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas pulvinar tincidunt mattis. Integer aliquam, enim consectetur rutrum blandit, leo justo sagittis velit, ut cursus sapien nisl ac sem. Cras dapibus lacus non lorem dignissim at sodales massa tempor.</p>\r\n<small>Kenneth Edwards</small>\r\n</blockquote>\r\n', '', 1, 36, '2012-10-02 07:07:31', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-10-02 07:07:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(57, 120, 'Robert Smith', 'robert-smith', '<blockquote>\r\n<p>Praesent dictum dapibus nisl id convallis. Nam condimentum mattis eros. Nulla aliquet commodo leo, et porta metus placerat pharetra. Cras vulputate aliquet massa in commodo. Ut dapibus tincidunt rhoncus. Aenean sit amet nunc odio. Maecenas rhoncus libero eu arcu accumsan eleifend.</p>\r\n<small>Robert Smith</small>\r\n</blockquote>\r\n', '', 1, 36, '2012-10-02 07:07:58', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-10-02 07:07:58', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(58, 121, 'Question 1. Aenean varius varius tincidunt.', 'question-1-aenean-varius-varius-tincidunt', '<p>Aenean varius varius tincidunt. Donec quis erat id risus scelerisque condimentum. Maecenas urna ante, consequat vitae tristique vitae, aliquet ultricies justo. Sed venenatis ornare lectus sit amet luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aenean laoreet dolor vel dui cursus et ultrices neque tincidunt. Ut semper tortor vitae quam euismod imperdiet. Aenean leo leo, imperdiet ut congue nec, blandit vitae odio. Nulla eleifend ullamcorper mauris, id feugiat magna lacinia ac. Pellentesque ultrices justo non leo interdum non fringilla quam dictum.</p>', '', 1, 35, '2012-10-04 14:06:51', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-10-04 14:06:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(59, 122, 'Question 2.  Donec quis erat id risus scelerisque', 'question-2-donec-quis-erat-id-risus-scelerisque', '<p> Donec quis erat id risus scelerisque condimentum. Maecenas urna ante, consequat vitae tristique vitae, aliquet ultricies justo. Sed venenatis ornare lectus sit amet luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aenean laoreet dolor vel dui cursus et ultrices neque tincidunt. Ut semper tortor vitae quam euismod imperdiet. Aenean leo leo, imperdiet ut congue nec, blandit vitae odio. Nulla eleifend ullamcorper mauris, id feugiat magna lacinia ac.</p>', '', 1, 35, '2012-10-04 14:06:51', 577, '', '2012-10-04 14:29:41', 278, 0, '0000-00-00 00:00:00', '2012-10-04 14:06:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(60, 123, 'Question 3. Vestibulum fermentum, massa nec', 'question-3-vestibulum-fermentum-massa-nec', '<p>Vestibulum fermentum, massa nec dictum auctor, turpis sapien mollis lorem, eget sagittis nibh lectus sed libero. Maecenas luctus, lectus at luctus adipiscing, leo libero cursus lacus, in convallis elit risus ut massa. Nunc egestas tincidunt luctus. Nam vitae mi nisl, ut congue risus. Duis consectetur sem in massa interdum quis euismod libero tristique. Vivamus dignissim ullamcorper lorem.</p>', '', 1, 35, '2012-10-04 14:06:51', 577, '', '2012-10-04 14:30:17', 278, 0, '0000-00-00 00:00:00', '2012-10-04 14:06:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(61, 124, 'Question 4. Ut sed sapien eu libero faucibus posuere', 'question-4-ut-sed-sapien-eu-libero-faucibus-posuere', '<p>Ut sed sapien eu libero faucibus posuere. Donec dapibus varius diam, at tincidunt elit suscipit eget. Sed non ante eget quam ultricies laoreet. In cursus, lacus ac viverra posuere, tortor sapien consectetur nisl, posuere lacinia metus nisi laoreet lorem.</p>', '', 1, 35, '2012-10-04 14:06:51', 577, '', '2012-10-04 14:31:24', 278, 0, '0000-00-00 00:00:00', '2012-10-04 14:06:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(62, 125, 'Question 5. Duis leo libero, vehicula dictum convallis', 'question-5-duis-leo-libero-vehicula-dictum-convallis', '<p>Duis leo libero, vehicula dictum convallis a, lobortis ac magna. Nunc ac lorem nunc, ut consectetur augue. Suspendisse eu elit sodales lectus mattis faucibus in nec elit. Aliquam erat volutpat. Mauris at sapien nisl. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer sit amet ligula eu dui viverra convallis vel in est. Cras consequat lectus vel libero ornare at semper tellus pulvinar.</p>', '', 1, 35, '2012-10-04 14:06:51', 577, '', '2012-10-04 14:31:49', 278, 0, '0000-00-00 00:00:00', '2012-10-04 14:06:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(63, 126, 'Question 6. Vivamus molestie blandit libero', 'question-6-vivamus-molestie-blandit-libero', '<p>Vivamus molestie blandit libero, a placerat tellus pharetra vel. Curabitur sollicitudin tristique magna sit amet elementum. Aenean ut augue sed ipsum mollis vestibulum sodales sit amet tellus. Vestibulum vitae ante ac nunc hendrerit imperdiet. Donec interdum lorem non velit lobortis a egestas tellus iaculis. </p>', '', 1, 35, '2012-10-04 14:06:51', 577, '', '2012-10-04 14:32:15', 278, 0, '0000-00-00 00:00:00', '2012-10-04 14:06:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(68, 132, 'Lorem ipsum', 'lorem-ipsum', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 32, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:50:02', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img8.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 9, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(69, 133, 'Porta arcu sed', 'gallery-porta-arcu-sed', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 32, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:50:36', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img9.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 8, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(70, 134, 'Cras sed', 'cras-sed', '<p>Suspendisse ac magna facilisis diam varius vestibulum sed ac eros. Morbi eleifend turpis non risus sagittis nec feugiat arcu sollicitudin. </p>\r\n', '\r\n\r\n<p>Nulla aliquet libero ut enim ultrices rutrum. Vivamus libero justo, congue in varius id, pretium quis magna. Ut at erat eu quam aliquam ultricies ut cursus velit. Nullam velit odio, adipiscing vel eleifend ac, tempor nec felis. Fusce vitae luctus nunc. Etiam vel tellus ut lorem cursus pharetra. Nam eu ipsum est. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel condimentum dui. Mauris lobortis, ipsum vel volutpat ultricies, lorem velit sollicitudin eros, a convallis lectus erat ut risus. Nam vel nibh et dui aliquet auctor porttitor a urna. Vestibulum in odio orci, vitae sagittis leo.</p>\r\n\r\n<p>Cras vel turpis a lorem congue dignissim ut ut tellus. Aenean quis varius libero. Nulla ultricies metus et sapien vestibulum laoreet. Suspendisse porta arcu sed sem tincidunt malesuada. Sed cursus gravida leo nec adipiscing. Quisque justo tortor, adipiscing sit amet dictum eget, auctor commodo leo. Nunc fermentum, urna a scelerisque rutrum, sem nisi fermentum turpis, nec ullamcorper neque mauris sed lectus. Aenean at lacus sapien, vitae hendrerit dui. Vestibulum ac ultricies quam. Curabitur posuere ornare scelerisque. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras sed tincidunt lorem.</p>\r\n', 1, 32, '2012-09-28 08:28:47', 577, '', '2013-02-01 15:49:51', 846, 0, '0000-00-00 00:00:00', '2012-09-28 08:28:47', '0000-00-00 00:00:00', '{"image_intro":"images\\/gallery\\/gallery-thumb10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/gallery\\/gallery-img10.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:gallery","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 10, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(71, 139, 'Template settings', 'template-settings', '<h2><span style="color: #135cae; font-family: Helvetica, Arial, sans-serif; font-size: 13px; font-weight: bold; line-height: 1.3em;">Modules configuration table</span></h2>\r\n<p>This table shows theme module settings. Please make sure you have read <a href="http://info.template-help.com/help/quick-start-guide/joomla-templates/v2-4/index_en.html#modules_config" target="_blank">theme documentation. </a> </p>\r\n\r\n<div id="mod_table">\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>1</b> - Login form</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_login</li>\r\n				<li><b>Position:</b> modal</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> yes</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>2</b> - Search</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_search</li>\r\n				<li><b>Position:</b> navigation</li>\r\n				<li><b>Class Suffix:</b> search-block</li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 2</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>3</b> - Superfish menu</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_superfish_menu</li>\r\n				<li><b>Position:</b> navigation</li>\r\n				<li><b>Class Suffix:</b> navigation</li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>4</b> - Social media</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_menu</li>\r\n				<li><b>Position:</b> top</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>5</b> - Login form</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_login</li>\r\n				<li><b>Position:</b> aside-right</li>\r\n				<li><b>Class Suffix:</b> aside</li>\r\n				<li><b>Show Title:</b> yes</li>\r\n				<li><b>Order:</b> 5</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> FAQs<br />Testimonials</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>6</b> - Search</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_search</li>\r\n				<li><b>Position:</b> aside-right</li>\r\n				<li><b>Class Suffix:</b> aside</li>\r\n				<li><b>Show Title:</b> yes</li>\r\n				<li><b>Order:</b> 6</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> FAQs<br />Testimonials</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>7</b> - Roof systems</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_news_adv</li>\r\n				<li><b>Position:</b> content-bottom</li>\r\n				<li><b>Class Suffix:</b> team</li>\r\n				<li><b>Show Title:</b> yes</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> Services</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>8</b> - Our latest projects</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_caroufredsel</li>\r\n				<li><b>Position:</b> content-top</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> yes</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>9</b> - Top menu</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_single</li>\r\n				<li><b>Position:</b> top</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us<br />Contacts<br />Privacy policy<br />Terms of use<br />Sign in<br />Sign out<br />Profile<br />Register<br />Blog<br />Submit article<br />Facebook<br />Google plus<br />Twitter<br />Linkedin<br />Mail<br />Services<br />FAQs<br />Gallery<br />Team<br />Testimonials<br />History<br />Testimonials<br />First gallery<br />Gallery categories<br />Third gallery<br />Second gallery<br />Blog categories<br />Donec eu elit in nisi<br />In neque arcu vulputate<br />Quisque gravida purus vitae<br />Vivamus luctus lectus sit<br />Vivamus congue turpis in augue<br />Curabitur eu dignissim velit<br />Login form<br />Username reminder request<br />Password reset<br />Lorem<br />Ipsum<br />Dolor<br />Archives<br />User registration<br />Template settings<br />Template settings<br />Lopersium<br />Polery<br />Tags<br />Imilorety<br />Porews<br />Poreyni<br />Neem<br />Zoopew<br />Desh<br />Poireus<br />Iulorew<br />Uller<br />Qwuu<br />Forum<br />Index<br />Recent Topics<br />New Topic<br />No Replies<br />My Topics<br />Profile<br />Help<br />Search<br />Forum</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>10</b> - Footer menu 1</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_menu</li>\r\n				<li><b>Position:</b> bottom</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 3</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>11</b> - Image swoop</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_image_swoop</li>\r\n				<li><b>Position:</b> header</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 3</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>12</b> - Search</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_search</li>\r\n				<li><b>Position:</b> 404-search</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>13</b> - What’s new?</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_news_adv</li>\r\n				<li><b>Position:</b> maintop</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> yes</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> Testimonials<br />Template settings</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>14</b> - Services</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_news_adv</li>\r\n				<li><b>Position:</b> maintop</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 0</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> Services</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>15</b> - Footer menu 2</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_menu</li>\r\n				<li><b>Position:</b> bottom</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 4</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>16</b> - Footer menu 3</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_menu</li>\r\n				<li><b>Position:</b> bottom</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 5</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>17</b> - Contacts</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_single</li>\r\n				<li><b>Position:</b> bottom</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 6</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>18</b> - Copyright menu</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_menu</li>\r\n				<li><b>Position:</b> footer</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> All</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>19</b> - Map</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_single</li>\r\n				<li><b>Position:</b> copyright</li>\r\n				<li><b>Class Suffix:</b> map</li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>20</b> - Blockquote</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_news_adv</li>\r\n				<li><b>Position:</b> bottom</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 2</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>21</b> - Years of experience in all the aspects  of roofing services</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_news_adv</li>\r\n				<li><b>Position:</b> bottom</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> yes</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>22</b> - Our Roofing experts say</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_single</li>\r\n				<li><b>Position:</b> content-bottom</li>\r\n				<li><b>Class Suffix:</b> video</li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>23</b> - Home posts</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_news_adv</li>\r\n				<li><b>Position:</b> showcase</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>24</b> - Clients we work with</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_menu</li>\r\n				<li><b>Position:</b> feature</li>\r\n				<li><b>Class Suffix:</b> </li>\r\n				<li><b>Show Title:</b> yes</li>\r\n				<li><b>Order:</b> 1</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>25</b> - Top posts</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_news_adv</li>\r\n				<li><b>Position:</b> showcase</li>\r\n				<li><b>Class Suffix:</b> top</li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 2</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n\r\n	<div class=\'module row-fluid\'>\r\n		<div class=\'span3\'><b>26</b> - Icon posts</div>\r\n\r\n		<div class=\'span4\'>\r\n			<ul>\r\n				<li><b>Type:</b> mod_articles_news_adv</li>\r\n				<li><b>Position:</b> feature</li>\r\n				<li><b>Class Suffix:</b> center</li>\r\n				<li><b>Show Title:</b> no</li>\r\n				<li><b>Order:</b> 2</li>				\r\n			</ul>\r\n		</div>\r\n		<div class=\'span5\'>\r\n			<ul>\r\n				<li><b>Pages:</b> About Us</li>\r\n				<li></li>\r\n				<li><b>Additional info:</b> &nbsp;</li>\r\n			</ul>\r\n		</div>\r\n		<div class=\'clearfix\'></div>\r\n	</div>\r\n</div>', '', 1, 37, '2013-10-03 08:40:25', 577, '', '2014-04-25 08:36:56', 846, 0, '0000-00-00 00:00:00', '2013-10-03 08:40:25', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 22, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(72, 170, 'Top menu', 'top-menu', '<ul class="top_menu">\r\n	<li><separator>24/7 Support:</separator></li>\r\n	<li class="phone"><separator><i class="fa fa-phone"></i> +1 959 603 6035</separator></li>\r\n	<li class="mail"><i class="fa fa-envelope-o"></i> <a href="mailto:mail@demolink.org">mail@demolink.org</a></li>\r\n</ul>', '', 1, 2, '2014-04-24 05:37:12', 577, '', '2019-07-31 00:57:15', 846, 0, '0000-00-00 00:00:00', '2014-04-24 05:37:12', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(73, 178, 'Accusantium doloremque ', 'accusantium-doloremque', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 44, '2014-04-24 10:13:01', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-04-24 10:13:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/new\\/icon1.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(74, 179, 'Totam rem aperiam', 'totam-rem-aperiam', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 44, '2014-04-24 10:13:01', 577, '', '2014-04-24 10:14:10', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:13:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/new\\/icon2.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(75, 180, 'Inventore veritatis', 'inventore-veritatis', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 44, '2014-04-24 10:13:01', 577, '', '2014-04-24 10:14:20', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:13:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/new\\/icon3.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(76, 182, 'Aperiam, eaque ipsa', 'aperiam-eaque-ipsa', '<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit afugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci.</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 42, '2014-04-24 10:21:32', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-04-24 10:21:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page2-img1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page2-img1.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(77, 183, 'Inventore veritatis et', 'inventore-veritatis-et', '<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit afugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci.</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 42, '2014-04-24 10:21:32', 577, '', '2014-04-24 10:23:02', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:21:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page2-img2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page2-img2.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(78, 184, 'Veritatis et architecto beat', 'veritatis-et-architecto-beat', '<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit afugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci.</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 42, '2014-04-24 10:21:32', 577, '', '2014-04-24 10:23:22', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:21:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page2-img3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page2-img3.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(79, 185, '24-Hour repair service', '24-hour-repair-service', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 28, '2014-04-24 10:28:32', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/services\\/icon1.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(80, 186, 'New installation', 'new-installation', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 28, '2014-04-24 10:28:32', 577, '', '2014-04-24 10:30:41', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/services\\/icon2.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(81, 187, 'Roof maintenance', 'roof-maintenance', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 28, '2014-04-24 10:28:32', 577, '', '2014-04-24 10:30:50', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/services\\/icon3.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(82, 188, 'Consulting services', 'consulting-services', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 28, '2014-04-24 10:28:32', 577, '', '2014-04-24 10:30:59', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/services\\/icon4.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(83, 189, 'Roof inspections', 'roof-inspections', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 28, '2014-04-24 10:28:32', 577, '', '2014-04-24 10:31:09', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/services\\/icon5.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(84, 190, 'Re-roofing', 're-roofing', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 28, '2014-04-24 10:28:32', 577, '', '2014-04-24 10:31:19', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/services\\/icon6.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(85, 192, 'Epsum factorial non', 'epsum-factorial-non', '<p>Nemo enim ipsam voluptatem quia volus sit aspernar aut odit afugit, sed quia consequuntur magni dolores eos qui ratione volupt sequi nesciunt. Neque porro autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie cou feugiat nulla. Praesent vestibulum molestie lacusenean nonummy unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam remune aperiamen.</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 43, '2014-04-24 10:39:01', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-04-24 10:39:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page2-img4.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page2-img4.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(86, 193, 'Epsum factorial non', 'epsum-factorial-none', '<p>Nemo enim ipsam voluptatem quia volus sit aspernar aut odit afugit, sed quia consequuntur magni dolores eos qui ratione volupt sequi nesciunt. Neque porro autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie cou feugiat nulla. Praesent vestibulum molestie lacusenean nonummy unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam remune aperiamen.</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 43, '2014-04-24 10:39:01', 577, '', '2014-04-24 10:41:24', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:39:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page2-img5.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page2-img5.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(87, 194, 'Epsum factorial non', 'epsum-factorial-non-r', '<p>Nemo enim ipsam voluptatem quia volus sit aspernar aut odit afugit, sed quia consequuntur magni dolores eos qui ratione volupt sequi nesciunt. Neque porro autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie cou feugiat nulla. Praesent vestibulum molestie lacusenean nonummy unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam remune aperiamen.</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 43, '2014-04-24 10:39:01', 577, '', '2014-04-24 10:41:29', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:39:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page2-img6.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page2-img6.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(88, 195, 'Epsum factorial non', 'epsum-factorial-non-t', '<p>Nemo enim ipsam voluptatem quia volus sit aspernar aut odit afugit, sed quia consequuntur magni dolores eos qui ratione volupt sequi nesciunt. Neque porro autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie cou feugiat nulla. Praesent vestibulum molestie lacusenean nonummy unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam remune aperiamen.</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 43, '2014-04-24 10:39:01', 577, '', '2014-04-24 10:41:32', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:39:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page2-img7.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page2-img7.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(89, 198, 'Contacts', 'contacts', '<ul class="footer fright">\r\n	<li><span>Contact</span></li>\r\n	<li><b>Telephone:</b> + 1 959 603 6035</li>\r\n	<li><b>FAX:</b> + 1 504 889 9898</li>\r\n	<li class="footer-mail"><b>E-mail:</b> <a href="mailto:mail@demolink.org">mail@demolink.org</a></li>\r\n	<li><span>Headquarter</span></li>\r\n	<li>8901 Marmora Road</li>\r\n	<li>Glasgow, DO4 89GR.</li>\r\n</ul>', '', 1, 2, '2014-04-24 11:30:23', 577, '', '2019-08-05 09:47:03', 846, 0, '0000-00-00 00:00:00', '2014-04-24 11:30:23', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(90, 202, 'Map', 'map', '<div class="map_wrapper">{mosmap}</div>', '', 1, 2, '2014-04-24 11:59:13', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-04-24 11:59:13', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(91, 205, 'Accusantium doloremque ', 'accusantium-doloremque', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 45, '2014-04-24 12:23:29', 577, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-04-24 12:23:29', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/home\\/icon1.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(92, 206, 'Totam rem aperiam', 'totam-rem-aperiam', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 45, '2014-04-24 12:23:29', 577, '', '2014-04-24 12:26:07', 846, 0, '0000-00-00 00:00:00', '2014-04-24 12:23:29', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/home\\/icon2.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(93, 207, 'Inventore veritatis', 'inventore-veritatis', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 45, '2014-04-24 12:23:29', 577, '', '2014-04-24 12:26:15', 846, 0, '0000-00-00 00:00:00', '2014-04-24 12:23:29', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/home\\/icon3.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(94, 208, 'Eaque ipsa quae abillo', 'eaque-ipsa-quae-abillo', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 45, '2014-04-24 12:23:29', 577, '', '2014-04-24 12:26:23', 846, 0, '0000-00-00 00:00:00', '2014-04-24 12:23:29', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/home\\/icon4.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(95, 209, 'Veritatis et quasi architecto', 'veritatis-et-quasi-architecto', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 45, '2014-04-24 12:23:29', 577, '', '2014-04-24 12:26:32', 846, 0, '0000-00-00 00:00:00', '2014-04-24 12:23:29', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/home\\/icon5.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(96, 210, 'Beatae vitae dicta sunt', 'beatae-vitae-dicta-sunt', '<p>Sed ut perspis unde omnis iste natus error sit volupta tusantium doloremque laudantium, totam rem.</p>', '', 1, 45, '2014-04-24 12:23:29', 577, '', '2014-04-24 12:26:40', 846, 0, '0000-00-00 00:00:00', '2014-04-24 12:23:29', '0000-00-00 00:00:00', '{"image_intro":"images\\/icon\\/home\\/icon6.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(97, 211, 'Robert Nelson', 'robert-nelson', '<p>My company is located in a small commercial office building, inhabited by just a handful of businesses. So when the big storm happened, we were all shocked to see the roof being broken and leaking. \r\nBut thanks to an emergency roof repairing service…</p>', '', 1, 46, '2014-04-24 13:47:44', 577, '', '2019-08-05 08:57:48', 846, 0, '0000-00-00 00:00:00', '2014-04-24 13:47:44', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/avatar.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(98, 215, 'Roof Replacement Cost 2017: Materials & Labor', 'roof-replacement-cost-2017-materials-labor', '<p>The ability to manage money competently is especially valuable quality in the conditions of financial crisis, when the purchasing power of the population is shrinking, inflation is rising, and currency exchange rates are ..</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 41, '2019-05-03 10:21:32', 577, '', '2019-07-30 02:58:21', 846, 0, '0000-00-00 00:00:00', '2019-05-03 10:21:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page1-img4.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page1-img4.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(99, 216, 'Roofing Calculator – Estimate your Roofing Costs', 'roofing-calculator-estimate-your-roofing-costs', '<p>Search of staff is not an easy task. According to the departmental heads\' of personnel management words, in order to find a personnel who will correspond to the relevant customer needs and requirements, it is ...</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 41, '2019-05-03 10:21:32', 577, '', '2019-07-30 02:58:15', 846, 846, '2019-08-16 11:50:35', '2019-05-03 10:21:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page1-img5.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page1-img5.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(100, 217, 'Best Roofing Materials for Homes 2017, Plus Costs​​​​​​​', 'best-roofing-materials-for-homes-2017-plus-costs', '<p>Overalls bearing the company\'s logo are related to economy and practicality. A preference of corporate style involves a significant increase of costs for development of design solutions, customized tailoring, selection of ...</p>\r\n\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 41, '2019-05-03 10:21:32', 577, '', '2019-07-30 02:58:02', 846, 0, '0000-00-00 00:00:00', '2019-05-03 10:21:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page1-img6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/pages\\/page1-img6.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(101, 218, 'Keeping Hoveowners Nice & Dry for Over a Decade!', 'keeping-hoveowners-nice-dry-for-over-a-decade', '<div class="video_outer">\r\n	<div class="video">\r\n		<div class="video_inner">\r\n			<iframe src="http://player.vimeo.com/video/37582138" width="529" height="313" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>\r\n		</div>\r\n	</div>\r\n</div>\r\n\r\n<h3 class="top">Keeping Hoveowners Nice & Dry for Over a Decade!</h3>\r\n\r\n<p>As it’s now almost a decade since we’ve launched our roofing business, we think the timing is good for making a small overview of our accomplishments so far.</p>\r\n\r\n<a href="#" class="custom_link">view all videos</a>', '', 1, 40, '2014-04-24 14:37:24', 577, '', '2019-07-30 02:53:52', 846, 0, '0000-00-00 00:00:00', '2014-04-24 14:37:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(102, 221, 'Skylights', 'skylights', '<p>Are you bored with your regular roof, which sometimes leaks and creaks loudly if a strong wind is raging outside?</p>', '', 1, 38, '2014-04-24 10:28:32', 577, '', '2019-08-02 08:43:31', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(103, 222, 'Residential Roofing', 'residential-roofing', '<p>While working with fixing residential roofs is not easy at all, repairing  a roof for a commercial building can become a real challenge.</p>', '', 1, 38, '2014-04-24 10:28:32', 577, '', '2019-08-02 08:43:49', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(104, 223, 'Waterproofing​​​​​​​', 'waterproofing', '<p>For residential houses, commercial and office buildings, the issue of the roof leaks stays relevant as long as the rain is still going.</p>', '', 1, 38, '2014-04-24 10:28:32', 577, '', '2019-08-02 08:44:00', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(105, 224, 'Gutter Cleaning​​​​​​​', 'gutter-cleaning', '<p>We offer roof replacement, new roof construction, and roof repairs for homes, offices, and manufacturing.</p>', '', 1, 38, '2014-04-24 10:28:32', 577, '', '2019-08-02 08:44:26', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(106, 225, 'Industrial Roofing​​​​​​​', 'industrial-roofing', '<p>For residential houses, commercial and office buildings, the issue of the roof leaks stays relevant as long as the rain is still going.</p>', '', 1, 38, '2014-04-24 10:28:32', 577, '', '2019-08-02 08:44:37', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(107, 226, 'Commercial Roofing​​​​​​​', 'commercial-roofing', '<p>While working with fixing residential roofs is not easy at all, repairing  a roof for a commercial building can become a real challenge.</p>', '', 1, 38, '2014-04-24 10:28:32', 577, '', '2019-08-02 08:44:47', 846, 0, '0000-00-00 00:00:00', '2014-04-24 10:28:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(108, 229, 'OUR HISTORY', 'our-history', '<p class="subtitle">A FULL-SERVICE ROOFING COMPANY</p>\r\n<p>We Provide High-Quality Services to Our Clients</p>\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 47, '2014-04-25 06:13:30', 577, '', '2019-08-16 12:21:17', 846, 0, '0000-00-00 00:00:00', '2014-04-25 06:13:30', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page1-img1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(109, 230, 'OUR PEOPLE', 'our-people', '<p class="subtitle">TEAM SCUDDER</p>\r\n<p>We think the timing is good for making a small overview of our accomplishments so far.</p>\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 47, '2014-04-25 06:13:30', 577, '', '2019-08-16 12:21:34', 846, 0, '0000-00-00 00:00:00', '2014-04-25 06:13:30', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page1-img2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(110, 231, 'OUR PROMISE', 'our-promise', '<p class="subtitle">WHY SCUDDER ROOFING?</p>\r\n<p>We offer roof replacement, new roof construction, and roof repairs for homes, offices, and manufacturing.</p>\r\n', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 47, '2014-04-25 06:13:30', 577, '', '2019-08-16 12:21:58', 846, 0, '0000-00-00 00:00:00', '2014-04-25 06:13:30', '0000-00-00 00:00:00', '{"image_intro":"images\\/pages\\/page1-img3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(111, 233, 'Quality materials', 'quality-materials', '<p>We know that a quality roofing job starts with the right materials</p>', '', 1, 39, '2014-04-25 06:51:43', 577, '', '2019-07-30 02:47:40', 846, 0, '0000-00-00 00:00:00', '2014-04-25 06:51:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"linearicons-hammer-wrench","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(112, 234, 'Superior workmanship', 'superior-workmanship', '<p>Our team of professional roofers is fully licensed and insured.</p>', '', 1, 39, '2014-04-25 06:51:43', 577, '', '2019-07-30 02:48:18', 846, 0, '0000-00-00 00:00:00', '2014-04-25 06:51:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"linearicons-alarm","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(113, 235, 'Outstanding value', 'outstanding-value', '<p>Our goal is to offer outstanding value for your money.</p>', '', 1, 39, '2014-04-25 06:51:43', 577, '', '2019-07-30 02:48:59', 846, 0, '0000-00-00 00:00:00', '2014-04-25 06:51:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"linearicons-receipt","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(114, 236, 'Support', 'support', '<p>In everything we doo ur staff members are front and center of why we are so efficient.</p>', '', 1, 39, '2014-04-25 06:51:43', 577, '', '2019-07-30 02:49:36', 846, 0, '0000-00-00 00:00:00', '2014-04-25 06:51:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"linearicons-lifebuoy","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(115, 243, 'client1', 'client1', '', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 48, '2019-08-02 09:47:21', 846, '', '2019-08-16 12:09:23', 846, 0, '0000-00-00 00:00:00', '2019-08-02 09:47:21', '0000-00-00 00:00:00', '{"image_intro":"images\\/home\\/client1.png","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(116, 244, 'client2', 'client2', '', '\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 48, '2019-08-02 09:47:46', 846, '', '2019-08-16 12:09:47', 846, 0, '0000-00-00 00:00:00', '2019-08-02 09:47:46', '0000-00-00 00:00:00', '{"image_intro":"images\\/home\\/client2.png","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(117, 245, 'client3', 'client3', '', '\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 48, '2019-08-02 09:48:08', 846, '', '2019-08-16 12:10:02', 846, 0, '0000-00-00 00:00:00', '2019-08-02 09:48:08', '0000-00-00 00:00:00', '{"image_intro":"images\\/home\\/client3.png","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(118, 246, 'client4', 'client4', '', '\r\n\r\n<p>Donec arcu risus, pellentesque ut leo non, luctus commodo ligula. Pellentesque nec iaculis sem. Morbi volutpat, mi a pharetra tempor, justo odio semper ipsum, in rhoncus magna lectus vitae enim. Nunc nec eleifend nisi. Integer tincidunt, dolor in iaculis vestibulum, nisl metus fermentum dui, eget mattis sapien diam sed lacus. Sed risus nisi, convallis at porta at, ultrices sed ante. Nam in tempus enim, eget interdum augue.</p>\r\n\r\n<p>Vivamus condimentum ipsum a enim auctor pulvinar. In lacus urna, consectetur a molestie sed, aliquet vel diam. Suspendisse sit amet venenatis tellus. Praesent ligula mi, porta vel augue a, aliquet aliquet metus. Donec interdum, felis a auctor lobortis, erat tortor mattis neque, in ullamcorper diam erat non mauris. Integer egestas neque massa, vel ultricies quam aliquam eget. Quisque vitae sapien sed turpis ultricies tincidunt quis sit amet lacus.</p>\r\n\r\n<p>Sed ut eros erat. Suspendisse convallis est massa, non imperdiet justo hendrerit sed. Nullam hendrerit placerat leo. Etiam ullamcorper, mi id tristique consequat, nulla lorem pellentesque est, vel posuere orci risus rhoncus odio. Aenean pharetra diam vel laoreet semper. Donec sollicitudin libero eget orci sodales, quis molestie elit eleifend. Duis at risus at eros egestas pulvinar. Ut massa lacus, semper non purus et, interdum suscipit mi. Etiam vel felis fermentum, mollis nunc a, sodales nunc.</p>\r\n\r\n<p>Aenean id euismod mauris. Duis ultricies bibendum nisi, vitae sodales justo dignissim id. Ut dapibus ac libero id semper. Aenean et consequat tortor, at dictum leo. Fusce ultricies, est sed luctus cursus, dui velit vestibulum nibh, vel pharetra nunc diam vel orci. Ut varius tellus sit amet est vestibulum condimentum. Suspendisse sed purus at arcu sollicitudin aliquet. Cras ligula erat, facilisis quis leo vitae, varius dictum massa.</p>\r\n\r\n<p>Praesent molestie malesuada nisl quis feugiat. Nulla facilisi. Quisque pretium mauris ullamcorper nisl accumsan, eu ultricies mi euismod. Vivamus molestie nulla at nulla tristique convallis. Vivamus fermentum orci non augue facilisis convallis id vel libero. Curabitur dignissim aliquam ligula, ut sagittis tortor pulvinar ut. Mauris molestie neque at imperdiet lacinia. Praesent iaculis, odio non laoreet pharetra, est diam facilisis diam, non commodo dolor ante in mi.</p>\r\n\r\n<p>Vivamus ut fermentum nulla. Aliquam dictum diam faucibus sem sollicitudin feugiat. Curabitur ornare et turpis et elementum. Nulla facilisi. Cras lorem eros, hendrerit vel neque commodo, volutpat dictum nisi. Maecenas dapibus velit ipsum, in placerat mi ullamcorper a. Vestibulum eget blandit nulla, vitae auctor purus. Vestibulum tincidunt nec metus non pharetra.</p>', 1, 48, '2019-08-02 09:48:36', 846, '', '2019-08-16 12:19:35', 846, 0, '0000-00-00 00:00:00', '2019-08-02 09:48:36', '0000-00-00 00:00:00', '{"image_intro":"images\\/home\\/client4.png","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');

DROP TABLE IF EXISTS `#__contentitem_tag_map`;
CREATE TABLE IF NOT EXISTS `#__contentitem_tag_map` (
  `type_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `core_content_id` int(10) UNSIGNED NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) UNSIGNED NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Maps items from content tables to tags';

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE IF NOT EXISTS `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(1, 5),
(2, 2),
(3, 3),
(4, 4),
(14, 1);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE IF NOT EXISTS `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `rating_count` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lastip` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__content_rating` (`content_id`, `rating_sum`, `rating_count`, `lastip`) VALUES
(15, 5, 1, '127.0.0.1'),
(16, 1, 1, '127.0.0.1');

DROP TABLE IF EXISTS `#__content_types`;
CREATE TABLE IF NOT EXISTS `#__content_types` (
  `type_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `type_alias` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `table` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `rules` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `field_mappings` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `router` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id", "note":"note"}, "special":{"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', ''),
(2, 'Weblink', 'com_weblinks.weblink', '{"special":{"dbtable":"#__weblinks","key":"id","type":"Weblink","prefix":"WeblinksTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"url", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {}}', 'WeblinksHelperRoute::getWeblinkRoute', ''),
(3, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', ''),
(4, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', ''),
(5, 'User', 'com_users.user', '{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {}}', 'UsersHelperRoute::getUserRoute', ''),
(6, 'Article Category', 'com_content.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', ''),
(7, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', ''),
(8, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', ''),
(9, 'Weblinks Category', 'com_weblinks.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'WeblinksHelperRoute::getCategoryRoute', ''),
(10, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '');

DROP TABLE IF EXISTS `#__core_log_searches`;
CREATE TABLE IF NOT EXISTS `#__core_log_searches` (
  `search_term` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE IF NOT EXISTS `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent package ID for extensions installed as a package.',
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `element` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `folder` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '0',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `params` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `custom_data` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `system_data` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10061 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 0, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":"","filename":"mailto"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 0, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":"","filename":"wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 0, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 0, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":"","filename":"banners"}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 0, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 0, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 0, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"name":"com_checkin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 0, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{"show_contact_category":"hide","show_contact_list":"1","presentation_style":"plain","show_name":"0","show_position":"0","show_email":"0","show_street_address":"0","show_suburb":"0","show_state":"0","show_postcode":"0","show_country":"0","show_telephone":"0","show_mobile":"0","show_fax":"0","show_webpage":"0","show_misc":"1","show_image":"0","image":"","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"0","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"1","show_fax_headings":"1","allow_vcard_headings":"1","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_category_crumb":"0","metakey":"","metadesc":"","robots":"","author":"","rights":"","xreference":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 0, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 0, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 0, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"name":"com_languages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 0, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 0, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html","enable_flash":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 0, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 0, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 0, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 0, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_word_count":"0","show_headings":"1","show_name":"1","show_articles":"0","show_link":"1","show_description":"1","show_description_image":"1","display_num":"","show_pagination_limit":"1","show_pagination":"1","show_pagination_results":"1","show_cat_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 0, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 0, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":"","filename":"search"}', '{"enabled":"0","show_date":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 0, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"0","upload_limit":"2","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css","font_formats":"woff,ttf,otf","compressed_formats":"zip"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(21, 0, 'com_weblinks', 'component', 'com_weblinks', '', 1, 1, 1, 0, '{"name":"com_weblinks","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":""}', '{"show_comp_description":"1","comp_description":"","show_link_hits":"1","show_link_description":"1","show_other_cats":"0","show_headings":"0","show_numbers":"0","show_report":"1","count_clicks":"1","target":"0","link_icons":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 0, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_tags":"1","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"1","show_publishing_options":"1","show_article_options":"1","save_history":"0","history_limit":10,"show_urls_images_frontend":"1","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"none","float_fulltext":"left","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"0","show_empty_categories":"0","show_no_articles":"0","show_subcat_desc":"0","show_cat_num_articles":"0","show_base_description":"0","maxLevelcat":"1","show_empty_categories_cat":"0","show_subcat_desc_cat":"0","show_cat_num_articles_cat":"0","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"0","show_subcategory_content":"-1","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"order","order_date":"published","show_pagination":"0","show_pagination_results":"0","show_feed_link":"0","feed_summary":"0","feed_show_readmore":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 0, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"9":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 0, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 0, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":"","filename":"users"}', '{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"9","sendpassword":"1","useractivation":"1","mail_to_admin":"0","captcha":"","frontend_userparams":"1","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 0, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '{"enabled":"0","show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_autosuggest":"1","show_advanced":"1","show_advanced_tips":"1","expand_advanced":"0","show_date_filters":"0","sort_order":"relevance","sort_direction":"desc","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stem":"1","stemmer":"snowball","enable_logging":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 0, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.2","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 0, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"tag_layout":"_:default","show_tag_title":"0","tag_list_show_tag_image":"1","tag_list_show_tag_description":"1","tag_list_image":"","show_tag_num_items":"0","tag_list_orderby":"title","tag_list_orderby_direction":"ASC","show_headings":"1","tag_list_show_date":"published","tag_list_show_item_image":"1","tag_list_show_item_description":"1","tag_list_item_maximum_characters":10000,"return_any_or_all":"1","include_children":"0","maximum":200,"tag_list_language_filter":"all","tags_layout":"_:default","all_tags_orderby":"publish_up","all_tags_orderby_direction":"ASC","all_tags_show_tag_image":"1","all_tags_show_tag_descripion":"1","all_tags_tag_maximum_characters":10000,"all_tags_show_tag_hits":"0","filter_field":"0","show_pagination_limit":"1","show_pagination":"2","show_pagination_results":"1","tag_field_ajax_mode":"1","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 0, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":"","filename":"contenthistory"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 0, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 1, '{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":"","filename":"ajax"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 0, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(33, 0, 'com_fields', 'component', 'com_fields', '', 1, 1, 1, 0, '{"name":"com_fields","type":"component","creationDate":"March 2016","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(34, 0, 'com_associations', 'component', 'com_associations', '', 1, 1, 1, 0, '{"name":"com_associations","type":"component","creationDate":"January 2017","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_ASSOCIATIONS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(35, 0, 'com_privacy', 'component', 'com_privacy', '', 1, 1, 1, 1, '{"name":"com_privacy","type":"component","creationDate":"May 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"COM_PRIVACY_XML_DESCRIPTION","group":"","filename":"privacy"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(36, 0, 'com_actionlogs', 'component', 'com_actionlogs', '', 1, 1, 1, 1, '{"name":"com_actionlogs","type":"component","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"COM_ACTIONLOGS_XML_DESCRIPTION","group":""}', '{"ip_logging":0,"csv_delimiter":",","loggable_extensions":["com_banners","com_cache","com_categories","com_checkin","com_config","com_contact","com_content","com_installer","com_media","com_menus","com_messages","com_modules","com_newsfeeds","com_plugins","com_redirect","com_tags","com_templates","com_users"]}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(100, 0, 'PHPMailer', 'library', 'phpmailer', '', 0, 1, 1, 1, '{"name":"PHPMailer","type":"library","creationDate":"2001","author":"PHPMailer","copyright":"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2013, Jim Jagielski. All Rights Reserved.","authorEmail":"jimjag@gmail.com","authorUrl":"https:\\/\\/github.com\\/PHPMailer\\/PHPMailer","version":"5.2.6","description":"LIB_PHPMAILER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 0, 'LIB_PHPUTF8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"name":"LIB_PHPUTF8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":"","filename":"phputf8"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 0, 'LIB_JOOMLA', 'library', 'joomla', '', 0, 1, 1, 1, '{"name":"LIB_JOOMLA","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"https:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"mediaversion":"68634bc175c4c5430d92f09ee30e2fb2"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 0, 'LIB_IDNA', 'library', 'idna_convert', '', 0, 1, 1, 1, '{"name":"LIB_IDNA","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":"","filename":"idna_convert"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 0, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{"name":"FOF","type":"library","creationDate":"2015-04-22 13:15:32","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2015 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.4.3","description":"LIB_FOF_XML_DESCRIPTION","group":"","filename":"fof"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(106, 0, 'LIB_PHPASS', 'library', 'phpass', '', 0, 1, 1, 1, '{"name":"LIB_PHPASS","type":"library","creationDate":"2004-2006","author":"Solar Designer","copyright":"","authorEmail":"solar@openwall.com","authorUrl":"http:\\/\\/www.openwall.com\\/phpass\\/","version":"0.3","description":"LIB_PHPASS_XML_DESCRIPTION","group":"","filename":"phpass"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 0, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":"","filename":"mod_articles_archive"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 0, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 0, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_articles_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 0, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":"","filename":"mod_banners"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 0, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":"","filename":"mod_breadcrumbs"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 0, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 0, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 0, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":"","filename":"mod_footer"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 0, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 0, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 0, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_news"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 0, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":"","filename":"mod_random_image"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 0, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":"","filename":"mod_related_items"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 0, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":"","filename":"mod_search"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 0, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 0, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":"","filename":"mod_syndicate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 0, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":"","filename":"mod_users_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(217, 0, 'mod_weblinks', 'module', 'mod_weblinks', '', 0, 1, 1, 0, '{"name":"mod_weblinks","type":"module","creationDate":"July 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 0, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":"","filename":"mod_whosonline"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 0, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":"","filename":"mod_wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 0, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":"","filename":"mod_articles_category"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 0, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":"","filename":"mod_articles_categories"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 0, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":"","filename":"mod_languages"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 0, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":"","filename":"mod_finder"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 0, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 0, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 0, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":"","filename":"mod_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 0, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":"","filename":"mod_logged"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 0, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 0, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 0, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 0, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"name":"mod_quickicon","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":"","filename":"mod_quickicon"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 0, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"name":"mod_status","type":"module","creationDate":"February 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":"","filename":"mod_status"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 0, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"name":"mod_submenu","type":"module","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":"","filename":"mod_submenu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 0, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"name":"mod_title","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":"","filename":"mod_title"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 0, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"name":"mod_toolbar","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":"","filename":"mod_toolbar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 0, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":"","filename":"mod_multilangstatus"}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 0, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":"","filename":"mod_version"}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 0, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats_admin"}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 0, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_tags_popular"}', '{"maximum":"5","timeframe":"alltime","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 0, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":"","filename":"mod_tags_similar"}', '{"maximum":"5","matchtype":"any","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(318, 0, 'mod_sampledata', 'module', 'mod_sampledata', '', 1, 1, 1, 0, '{"name":"mod_sampledata","type":"module","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"MOD_SAMPLEDATA_XML_DESCRIPTION","group":"","filename":"mod_sampledata"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(319, 0, 'mod_latestactions', 'module', 'mod_latestactions', '', 1, 1, 1, 0, '{"name":"mod_latestactions","type":"module","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"MOD_LATESTACTIONS_XML_DESCRIPTION","group":"","filename":"mod_latestactions"}', '{}', '', '', 0, '1970-01-01 00:00:00', 0, 0),
(320, 0, 'mod_privacy_dashboard', 'module', 'mod_privacy_dashboard', '', 1, 1, 1, 0, '{"name":"mod_privacy_dashboard","type":"module","creationDate":"June 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"MOD_PRIVACY_DASHBOARD_XML_DESCRIPTION","group":"","filename":"mod_privacy_dashboard"}', '{}', '', '', 0, '1970-01-01 00:00:00', 0, 0),
(400, 0, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":"","filename":"gmail"}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 0, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 0, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":"","filename":"ldap"}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(403, 0, 'plg_content_contact', 'plugin', 'contact', 'content', 0, 1, 1, 0, '{"name":"plg_content_contact","type":"plugin","creationDate":"January 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.2","description":"PLG_CONTENT_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(404, 0, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":"","filename":"emailcloak"}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(406, 0, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":"","filename":"loadmodule"}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 0, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 0, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":"","filename":"pagenavigation"}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(409, 0, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 0, '{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":"","filename":"vote"}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 0, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"Copyright (C) 2014 - 2017 by Marijn Haverbeke <marijnh@gmail.com> and others","authorEmail":"marijnh@gmail.com","authorUrl":"http:\\/\\/codemirror.net\\/","version":"5.40.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":"","filename":"codemirror"}', '{"linenumbers":"0","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 0, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_none","type":"plugin","creationDate":"September 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":"","filename":"none"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 0, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2019","author":"Tiny Technologies, Inc","copyright":"Tiny Technologies, Inc","authorEmail":"N\\/A","authorUrl":"https:\\/\\/www.tiny.cloud","version":"4.5.11","description":"PLG_TINY_XML_DESCRIPTION","group":"","filename":"tinymce"}', '{"mode":"1","skin":"0","entity_encoding":"raw","lang_mode":"0","lang_code":"en","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","toolbar":"top","toolbar_align":"left","html_height":"550","html_width":"750","resizing":"true","resize_horizontal":"false","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","format_date":"%Y-%m-%d","inserttime":"1","format_time":"%H:%M:%S","colors":"1","table":"1","smilies":"1","media":"1","hr":"1","directionality":"1","fullscreen":"1","style":"1","layer":"1","xhtmlxtras":"1","visualchars":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advimage":"1","advlink":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 0, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 1, '{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":"","filename":"article"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 0, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":"","filename":"image"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 0, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 0, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":"","filename":"readmore"}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 0, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 0, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 0, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 0, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(421, 0, 'plg_search_weblinks', 'plugin', 'weblinks', 'search', 0, 1, 1, 0, '{"name":"plg_search_weblinks","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 0, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":"","filename":"languagefilter"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 0, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 0, '{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":"","filename":"p3p"}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 0, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":"","filename":"cache"}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 0, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":"","filename":"debug"}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 0, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":"","filename":"log"}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 0, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 1, 1, 1, '{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION","group":"","filename":"redirect"}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 0, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":"","filename":"remember"}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 0, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":"","filename":"sef"}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 0, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":"","filename":"logout"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 0, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":"","filename":"contactcreator"}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 0, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 0, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":"","filename":"profile"}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 0, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 0, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 0, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":"","filename":"languagecode"}', '{}', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 0, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":"","filename":"joomlaupdate"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 0, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":"","filename":"extensionupdate"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 0, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":"","filename":"recaptcha"}', '{"public_key":"6LeFttYSAAAAAKtPcuqEhmY9PGz4CP5_QcnuodnQ","private_key":"6LeFttYSAAAAAODtocZNPdx-8FDN9-tKCP6N0FfL","theme":"white"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 0, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":"","filename":"highlight"}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 0, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 1, 1, 0, '{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 0, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 0, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 0, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 0, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(446, 0, 'plg_finder_weblinks', 'plugin', 'weblinks', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_weblinks","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(447, 0, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 0, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":"","filename":"totp"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 0, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":"","filename":"cookie"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 0, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":"","filename":"yubikey"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(452, 0, 'plg_system_updatenotification', 'plugin', 'updatenotification', 'system', 0, 1, 1, 0, '{"name":"plg_system_updatenotification","type":"plugin","creationDate":"May 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION","group":"","filename":"updatenotification"}', '{"lastrun":1567162676}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(453, 0, 'plg_editors-xtd_module', 'plugin', 'module', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_module","type":"plugin","creationDate":"October 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_MODULE_XML_DESCRIPTION","group":"","filename":"module"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(454, 0, 'plg_system_stats', 'plugin', 'stats', 'system', 0, 1, 1, 0, '{"name":"plg_system_stats","type":"plugin","creationDate":"November 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_STATS_XML_DESCRIPTION","group":"","filename":"stats"}', 'null', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(455, 0, 'plg_installer_packageinstaller', 'plugin', 'packageinstaller', 'installer', 0, 1, 1, 1, '{"name":"plg_installer_packageinstaller","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"packageinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(456, 0, 'PLG_INSTALLER_FOLDERINSTALLER', 'plugin', 'folderinstaller', 'installer', 0, 1, 1, 1, '{"name":"PLG_INSTALLER_FOLDERINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"folderinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(457, 0, 'PLG_INSTALLER_URLINSTALLER', 'plugin', 'urlinstaller', 'installer', 0, 1, 1, 1, '{"name":"PLG_INSTALLER_URLINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"urlinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(458, 0, 'plg_quickicon_phpversioncheck', 'plugin', 'phpversioncheck', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_phpversioncheck","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION","group":"","filename":"phpversioncheck"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(459, 0, 'plg_editors-xtd_menu', 'plugin', 'menu', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_menu","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION","group":"","filename":"menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(460, 0, 'plg_editors-xtd_contact', 'plugin', 'contact', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_contact","type":"plugin","creationDate":"October 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(461, 0, 'plg_system_fields', 'plugin', 'fields', 'system', 0, 1, 1, 0, '{"name":"plg_system_fields","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_SYSTEM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(462, 0, 'plg_fields_calendar', 'plugin', 'calendar', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_calendar","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CALENDAR_XML_DESCRIPTION","group":"","filename":"calendar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(463, 0, 'plg_fields_checkboxes', 'plugin', 'checkboxes', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_checkboxes","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION","group":"","filename":"checkboxes"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(464, 0, 'plg_fields_color', 'plugin', 'color', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_color","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_COLOR_XML_DESCRIPTION","group":"","filename":"color"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(465, 0, 'plg_fields_editor', 'plugin', 'editor', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_editor","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_EDITOR_XML_DESCRIPTION","group":"","filename":"editor"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(466, 0, 'plg_fields_imagelist', 'plugin', 'imagelist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_imagelist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION","group":"","filename":"imagelist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(467, 0, 'plg_fields_integer', 'plugin', 'integer', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_integer","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_INTEGER_XML_DESCRIPTION","group":"","filename":"integer"}', '{"multiple":"0","first":"1","last":"100","step":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(468, 0, 'plg_fields_list', 'plugin', 'list', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_list","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_LIST_XML_DESCRIPTION","group":"","filename":"list"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(469, 0, 'plg_fields_media', 'plugin', 'media', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_media","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(470, 0, 'plg_fields_radio', 'plugin', 'radio', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_radio","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_RADIO_XML_DESCRIPTION","group":"","filename":"radio"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(471, 0, 'plg_fields_sql', 'plugin', 'sql', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_sql","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_SQL_XML_DESCRIPTION","group":"","filename":"sql"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(472, 0, 'plg_fields_text', 'plugin', 'text', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_text","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXT_XML_DESCRIPTION","group":"","filename":"text"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(473, 0, 'plg_fields_textarea', 'plugin', 'textarea', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_textarea","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION","group":"","filename":"textarea"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(474, 0, 'plg_fields_url', 'plugin', 'url', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_url","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_URL_XML_DESCRIPTION","group":"","filename":"url"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(475, 0, 'plg_fields_user', 'plugin', 'user', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_user","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USER_XML_DESCRIPTION","group":"","filename":"user"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(476, 0, 'plg_fields_usergrouplist', 'plugin', 'usergrouplist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_usergrouplist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION","group":"","filename":"usergrouplist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(477, 0, 'plg_content_fields', 'plugin', 'fields', 'content', 0, 1, 1, 0, '{"name":"plg_content_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_CONTENT_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(478, 0, 'plg_editors-xtd_fields', 'plugin', 'fields', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(479, 0, 'plg_sampledata_blog', 'plugin', 'blog', 'sampledata', 0, 0, 1, 0, '{"name":"plg_sampledata_blog","type":"plugin","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION","group":"","filename":"blog"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(480, 0, 'plg_system_sessiongc', 'plugin', 'sessiongc', 'system', 0, 1, 1, 0, '{"name":"plg_system_sessiongc","type":"plugin","creationDate":"February 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.6","description":"PLG_SYSTEM_SESSIONGC_XML_DESCRIPTION","group":"","filename":"sessiongc"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(481, 0, 'plg_fields_repeatable', 'plugin', 'repeatable', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_repeatable","type":"plugin","creationDate":"April 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_FIELDS_REPEATABLE_XML_DESCRIPTION","group":"","filename":"repeatable"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(482, 0, 'plg_content_confirmconsent', 'plugin', 'confirmconsent', 'content', 0, 0, 1, 0, '{"name":"plg_content_confirmconsent","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_CONTENT_CONFIRMCONSENT_XML_DESCRIPTION","group":"","filename":"confirmconsent"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(483, 0, 'PLG_SYSTEM_ACTIONLOGS', 'plugin', 'actionlogs', 'system', 0, 0, 1, 0, '{"name":"PLG_SYSTEM_ACTIONLOGS","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_ACTIONLOGS_XML_DESCRIPTION","group":"","filename":"actionlogs"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(484, 0, 'PLG_ACTIONLOG_JOOMLA', 'plugin', 'joomla', 'actionlog', 0, 1, 1, 0, '{"name":"PLG_ACTIONLOG_JOOMLA","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_ACTIONLOG_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(485, 0, 'plg_system_privacyconsent', 'plugin', 'privacyconsent', 'system', 0, 0, 1, 0, '{"name":"plg_system_privacyconsent","type":"plugin","creationDate":"April 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_PRIVACYCONSENT_XML_DESCRIPTION","group":"","filename":"privacyconsent"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(486, 0, 'plg_system_logrotation', 'plugin', 'logrotation', 'system', 0, 1, 1, 0, '{"name":"plg_system_logrotation","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_LOGROTATION_XML_DESCRIPTION","group":"","filename":"logrotation"}', '{"lastrun":1567162677}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(487, 0, 'plg_privacy_user', 'plugin', 'user', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_user","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_USER_XML_DESCRIPTION","group":"","filename":"user"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(488, 0, 'plg_quickicon_privacycheck', 'plugin', 'privacycheck', 'quickicon', 0, 1, 1, 0, '{"name":"plg_quickicon_privacycheck","type":"plugin","creationDate":"June 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_QUICKICON_PRIVACYCHECK_XML_DESCRIPTION","group":"","filename":"privacycheck"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(489, 0, 'plg_user_terms', 'plugin', 'terms', 'user', 0, 0, 1, 0, '{"name":"plg_user_terms","type":"plugin","creationDate":"June 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_USER_TERMS_XML_DESCRIPTION","group":"","filename":"terms"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(490, 0, 'plg_privacy_contact', 'plugin', 'contact', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_contact","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(491, 0, 'plg_privacy_content', 'plugin', 'content', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_content","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(492, 0, 'plg_privacy_message', 'plugin', 'message', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_message","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_MESSAGE_XML_DESCRIPTION","group":"","filename":"message"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(493, 0, 'plg_privacy_actionlogs', 'plugin', 'actionlogs', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_actionlogs","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_ACTIONLOGS_XML_DESCRIPTION","group":"","filename":"actionlogs"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(494, 0, 'plg_captcha_recaptcha_invisible', 'plugin', 'recaptcha_invisible', 'captcha', 0, 0, 1, 0, '{"name":"plg_captcha_recaptcha_invisible","type":"plugin","creationDate":"November 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8","description":"PLG_CAPTCHA_RECAPTCHA_INVISIBLE_XML_DESCRIPTION","group":"","filename":"recaptcha_invisible"}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(495, 0, 'plg_privacy_consents', 'plugin', 'consents', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_consents","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONSENTS_XML_DESCRIPTION","group":"","filename":"consents"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 0, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(506, 0, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(507, 0, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 802, 'English (en-GB)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"August 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.11","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 802, 'English (en-GB)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"August 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.11","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 0, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"name":"files_joomla","type":"file","creationDate":"August 2019","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.11","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(800, 0, 'PKG_JOOMLA', 'package', 'pkg_joomla', '', 0, 1, 1, 1, '{"name":"PKG_JOOMLA","type":"package","creationDate":"2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"2.5.0","description":"PKG_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(802, 0, 'English (en-GB) Language Pack', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB) Language Pack","type":"package","creationDate":"August 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.11.1","description":"en-GB language pack","group":"","filename":"pkg_en-GB"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10000, 0, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats_admin"}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10002, 0, 'mod_superfish_menu', 'module', 'mod_superfish_menu', '', 0, 1, 0, 0, '{"name":"mod_superfish_menu","type":"module","creationDate":"Unknown","author":"Unknown","copyright":"","authorEmail":"","authorUrl":"","version":"3.1.0","description":"MOD_SUPERFISH_MENU_XML_DESCRIPTION","group":""}', '{"startLevel":"1","endLevel":"0","showAllChildren":"1","cache":"1","cache_time":"900","cachemode":"itemid","sf-delay":"500","sf-animation":"opacity:\'show\'","sf-speed":"normal","easing":"swing"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10007, 0, 'mod_articles_single', 'module', 'mod_articles_single', '', 0, 1, 1, 0, '{"name":"mod_articles_single","type":"module","creationDate":"Unknown","author":"Unknown","copyright":"","authorEmail":"","authorUrl":"","version":"1.1.3","description":"MOD_ARTICLES_SINGLE_XML_DESCRIPTION","group":""}', '{"catid":"","image":"0","item_title":"0","item_heading":"h4","showLastSeparator":"1","readmore":"0","count":"5","ordering":"a.publish_up","cache":"1","cache_time":"900","cachemode":"itemid"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10008, 0, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature","backgroundcolor":"#eee"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10010, 0, 'mod_articles_news_adv', 'module', 'mod_articles_news_adv', '', 0, 1, 1, 0, '{"name":"mod_articles_news_adv","type":"module","creationDate":"April 2013","author":"Joomla! Project","copyright":"Copyright (c) 2012-20013 by TemplateMonster - www.templatemonster.com","authorEmail":"","authorUrl":"www.templatemonster.com","version":"1.4.5","description":"MOD_ARTICLES_NEWS_ADV_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10012, 0, 'Joomla3TemplateExtensionsbundle', 'package', 'pkg_Joomla3TemplateExtensionsbundle', '', 0, 1, 1, 0, '{"name":"template_extensions_bundle","type":"package","creationDate":"Unknown","author":"Unknown","copyright":"","authorEmail":"","authorUrl":"","version":"","description":"\\n\\t\\t\\n\\t\\t\\t<p>This package installs the following Joomla extensions:<\\/p>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Module Articles Single<\\/li>\\n\\t\\t\\t\\t<li>Module Camera Slideshow<\\/li>\\n\\t\\t\\t\\t<li>Module ElastiSlide<\\/li>\\n\\t\\t\\t\\t<li>Module Superfish Menu<\\/li>\\n\\t\\t\\t\\t<li>GoogleMap Plugin<\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10013, 0, 'bundle', 'package', 'pkg_bundle', '', 0, 1, 1, 0, '{"name":"bundle","type":"package","creationDate":"Unknown","author":"Unknown","copyright":"","authorEmail":"","authorUrl":"","version":"1.2","description":"\\n\\t\\t\\n\\t\\t\\t<p>This package installs the following Joomla extensions:<\\/p>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Module Articles Single<\\/li>\\n\\t\\t\\t\\t<li>Module Newsflash Advanced<\\/li>\\n\\t\\t\\t\\t<li>Module Camera Slideshow<\\/li>\\n\\t\\t\\t\\t<li>Module ElastiSlide<\\/li>\\n\\t\\t\\t\\t<li>Module Superfish Menu<\\/li>\\n\\t\\t\\t\\t<li>Module Google Map<\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10020, 0, 'Content - TM AddThis', 'plugin', 'tmaddthis', 'content', 0, 1, 1, 0, '{"name":"Content - TM AddThis","type":"plugin","creationDate":"December 2012","author":"TM","copyright":"Copyright (C) 2012 All rights reserved.","authorEmail":"","authorUrl":"","version":"1.0.0","description":"AddThis content plugin","group":""}', '{"addthis_id":"ra-4d89903e1583a34e","google_plus":"1","facebook_like":"1","tweet":"1","pinterest":"1","linkedin":"0","stumbleupon":"0","foursquare":"0","addthis_share":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10022, 0, 'mod_caroufredsel', 'module', 'mod_caroufredsel', '', 0, 1, 0, 0, '{"name":"mod_caroufredsel","type":"module","creationDate":"September 2012","author":"Unknown","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"","version":"1.1.3","description":"MOD_CAROUFREDSEL_XML_DESCRIPTION","group":""}', '{"catid":"","image":"0","item_title":"0","item_heading":"h4","readmore":"0","count":"5","ordering":"a.publish_up","cache":"1","cache_time":"900","cachemode":"itemid","theme":"0","script":"0","direction":"left","max_width":"225","max_items":"5","min_items":"2","fx":"scroll","easing":"swing","duration":"500","navigation":"1","pagination":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10024, 0, 'theme1948', 'template', 'theme1948', '', 0, 1, 1, 0, '{"name":"theme1948","type":"template","creationDate":"September 2012","author":"Unknown","copyright":"Copyright  2003-2012 template-help.com. All Rights Reserved.","authorEmail":"info@template-help.com","authorUrl":"","version":"1.9.8","description":"\\n        \\n            <p>Template for Joomla! 3.x Content Management System provided by <!-- {%TEMPLATE_VENDOR} --><br\\/>\\n            Copyright  2003-2012 template-help.com. All Rights Reserved.<br\\/>\\n            Joomla! CMS files are covered by http:\\/\\/www.gnu.org\\/copyleft\\/gpl.html GNU\\/GPL; <!-- {%LICENCE_LINK} --><\\/p>\\n            <p>Please check detailed tutorials on how to work with our templates at <a href=\\"http:\\/\\/info.template-help.com\\/help\\/cms-blog-templates\\/joomla\\/joomla-tutorials\\/\\">info.template-help.com<\\/a>.<\\/p>\\n        \\n    ","group":""}', '{"themeLayout":"0","logoFile":"","featuredPageHeading":"h1","featuredItemHeading":"h3","categoryPageHeading":"h1","categoryItemHeading":"h3","blogPageHeading":"h1","blogItemHeading":"h3","itemItemHeading":"h3","totop":"1","totop_text":"Back to top"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10025, 0, 'mod_tm_templates', 'module', 'mod_tm_templates', '', 1, 1, 2, 0, '{"name":"mod_tm_templates","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"1.0.0","description":"MOD_TM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10026, 0, 'Content - Komento', 'plugin', 'komento', 'content', 0, 1, 1, 0, '{"name":"Content - Komento","type":"plugin","creationDate":"01\\/01\\/2012","author":"StackIdeas","copyright":"Copyright (C) 2012 StackIdeas. All rights reserved.","authorEmail":"support@stackideas.com","authorUrl":"http:\\/\\/www.stackideas.com","version":"1.0","description":"This plugin adds a discussion\\/comment interface at the bottom of the article","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10027, 0, 'System - Komento', 'plugin', 'komento', 'system', 0, 1, 1, 0, '{"name":"System - Komento","type":"plugin","creationDate":"07\\/01\\/2012","author":"StackIdeas","copyright":"Copyright (C) 2012 StackIdeas. All rights reserved.","authorEmail":"support@stackideas.com","authorUrl":"http:\\/\\/www.stackideas.com","version":"1.0","description":"This plugin adds a discussion\\/comment interface at the bottom of the article","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10028, 0, 'User - Komento Users', 'plugin', 'komentousers', 'user', 0, 1, 1, 0, '{"name":"User - Komento Users","type":"plugin","creationDate":"February 2012","author":"StackIdeas","copyright":"Copyright 2012 StackIdeas. All rights reserved.","authorEmail":"support@stackideas.com","authorUrl":"http:\\/\\/www.stackideas.com","version":"1.0.0","description":"Komento user plugin. This plugin is responsible to delete user\'s related records.","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10029, 0, 'Komento Activities', 'module', 'mod_komento_activities', '', 0, 1, 0, 0, '{"name":"Komento Activities","type":"module","creationDate":"May 2012","author":"StackIdeas","copyright":"Copyright 2009 - 2012 Stack Ideas. All rights reserved.","authorEmail":"support@stackideas.com","authorUrl":"http:\\/\\/www.stackideas.com","version":"1.0.4","description":"Display activities from Komento","group":""}', '{"limit":"5","component":"all","includelikes":"1","includecomments":"1","includereplies":"1","showcomment":"1","maxcommentlength":"100","maxtitlelength":"30"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10030, 0, 'Komento Comments', 'module', 'mod_komento_comments', '', 0, 1, 0, 0, '{"name":"Komento Comments","type":"module","creationDate":"May 2012","author":"StackIdeas","copyright":"Copyright 2009 - 2012 Stack Ideas. All rights reserved.","authorEmail":"support@stackideas.com","authorUrl":"http:\\/\\/www.stackideas.com","version":"1.0.7","description":"Display comments from Komento","group":""}', '{"limit":"5","component":"all","category":"","sort":"latest","random":"0","filtersticked":"0","showtitle":"1","showcomponent":"1","showavatar":"1","showauthor":"1","maxcommentlength":"100","maxtitlelength":"30"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10031, 0, 'com_komento', 'component', 'com_komento', '', 1, 1, 0, 0, '{"name":"com_komento","type":"component","creationDate":"Jan 2012","author":"Stack Ideas","copyright":"Copyright 2012 Stack Ideas. All rights reserved","authorEmail":"support@stackideas.com","authorUrl":"http:\\/\\/www.stackideas.com","version":"1.7.5","description":"\\n\\t\\tKomento is a Joomla! comment component.\\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10032, 0, 'mod_image_swoop', 'module', 'mod_image_swoop', '', 0, 1, 0, 0, '{"name":"mod_image_swoop","type":"module","creationDate":"September 2012","author":"Template Monster","copyright":"Copyright (c) 2012-20013 by TemplateMonster - www.templatemonster.com ","authorEmail":"","authorUrl":"www.templatemonster.com","version":"1.1.1","description":"MOD_IMAGE_SWOOP_XML_DESCRIPTION","group":""}', '{"catid":"","image":"0","item_title":"0","item_heading":"h4","published":"0","readmore":"0","count":"5","ordering":"a.publish_up","target":"self","cache":"1","cache_time":"900","cachemode":"itemid","theme":"0","skin":"default","script":"0","alignment":"center","autoAdvance":"false","mobileAutoAdvance":"false","height":"50%","minHeight":"200px","imagePath":"images\\/","overlayer":"false","pattern":"1","portrait":"true","loader":"pie","pieDiameter":"38","piePosition":"rightTop","barDirection":"leftToRight","barPosition":"bottom","loaderColor":"#eeeeee","loaderBgColor":"#222222","loaderOpacity":".8","loaderPadding":"2","loaderStroke":"7","cols":"6","rows":"4","slicedCols":"6","slicedRows":"4","easing":"easeInOutExpo","mobileEasing":"easeInOutExpo","fx":"random","mobileFx":"simpleFade","gridDifference":"250","opacityOnGrid":"false","time":"7000","transperiod":"1500","hover":"false","navigation":"true","navigationHover":"true","mobileNavHover":"true","pagination":"false","playPause":"false","pauseOnClick":"false","thumbnails":"false","show_caption":"1","captionEffect":"fadeIn"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10043, 0, 'plg_installer_webinstaller', 'plugin', 'webinstaller', 'installer', 0, 1, 1, 0, '{"name":"plg_installer_webinstaller","type":"plugin","creationDate":"28 April 2017","author":"Joomla! Project","copyright":"Copyright (C) 2013 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.0.1","description":"PLG_INSTALLER_WEBINSTALLER_XML_DESCRIPTION","group":"","filename":"webinstaller"}', '{"tab_position":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10044, 0, 'plg_system_kunena', 'plugin', 'kunena', 'system', 0, 1, 1, 0, '{"name":"plg_system_kunena","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_SYSTEM_KUNENA_DESC","group":""}', '{"jcontentevents":"0","jcontentevent_target":"body"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10045, 0, 'plg_quickicon_kunena', 'plugin', 'kunena', 'quickicon', 0, 1, 1, 0, '{"name":"plg_quickicon_kunena","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_QUICKICON_KUNENA_DESC","group":""}', '{"context":"mod_quickicon"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10047, 0, 'Kunena Media Files', 'file', 'kunena_media', '', 0, 1, 0, 0, '{"name":"Kunena Media Files","type":"file","creationDate":"2014-03-09","author":"Kunena Team","copyright":"(C) 2008 - 2013 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"Kunena media files.","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10048, 0, 'com_kunena', 'component', 'com_kunena', '', 1, 1, 0, 0, '{"name":"com_kunena","type":"component","creationDate":"2014-03-09","author":"Kunena Team","copyright":"(C) 2008 - 2013 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"COM_KUNENA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10049, 0, 'kunena', 'package', 'pkg_kunena', '', 0, 1, 1, 0, '{"name":"Kunena Forum Package","type":"package","creationDate":"2014-03-09","author":"Kunena Team","copyright":"(C) 2008 - 2013 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"Kunena Forum Package.","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10050, 0, 'plg_kunena_alphauserpoints', 'plugin', 'alphauserpoints', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_alphauserpoints","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_KUNENA_ALPHAUSERPOINTS_DESCRIPTION","group":""}', '{"activity":"1","avatar":"1","profile":"1","activity_points_limit":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10051, 0, 'plg_kunena_community', 'plugin', 'community', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_community","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_KUNENA_COMMUNITY_DESCRIPTION","group":""}', '{"access":"1","login":"1","activity":"1","avatar":"1","profile":"1","private":"1","activity_points_limit":"0","activity_stream_limit":"0"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10052, 0, 'plg_kunena_comprofiler', 'plugin', 'comprofiler', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_comprofiler","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_KUNENA_COMPROFILER_DESCRIPTION","group":""}', '{"access":"1","login":"1","activity":"1","avatar":"1","profile":"1","private":"1"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(10053, 0, 'plg_kunena_gravatar', 'plugin', 'gravatar', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_gravatar","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_KUNENA_GRAVATAR_DESCRIPTION","group":""}', '{"avatar":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(10054, 0, 'plg_kunena_uddeim', 'plugin', 'uddeim', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_uddeim","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_KUNENA_UDDEIM_DESCRIPTION","group":""}', '{"private":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(10055, 0, 'plg_kunena_kunena', 'plugin', 'kunena', 'kunena', 0, 1, 1, 0, '{"name":"plg_kunena_kunena","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_KUNENA_KUNENA_DESCRIPTION","group":""}', '{"avatar":"1","profile":"1"}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(10056, 0, 'plg_kunena_joomla', 'plugin', 'joomla', 'kunena', 0, 1, 1, 0, '{"name":"plg_kunena_joomla","type":"plugin","creationDate":"2014-03-09","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"PLG_KUNENA_JOOMLA_25_30_DESCRIPTION","group":""}', '{"access":"1","login":"1"}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(10057, 0, 'Kunena Framework', 'library', 'kunena', '', 0, 1, 1, 0, '{"name":"Kunena Framework","type":"library","creationDate":"2014-03-09","author":"Kunena Team","copyright":"(C) 2008 - 2013 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.5","description":"Kunena Framework.","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10059, 0, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 0, 1, 0, '{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"search_limit":"50","show_tagged_items":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10060, 0, 'TM Google map', 'module', 'mod_tm_google_map', '', 0, 1, 0, 0, '{"name":"TM Google map","type":"module","creationDate":"December, 2017","author":"TemplateMonster http:\\/\\/www.templatemonster.com","copyright":"Copyright (c) 2012-2017 by TemplateMonster - www.templatemonster.com","authorEmail":"","authorUrl":"www.templatemonster.com","version":"1.0.0","description":"Thanks for installing TM Google map","group":"","filename":"mod_tm_google_map"}', '{"api_key":"","map_height":"400px","map_zoom_level":"15","items_data":"{\\"item_x\\":[\\"-73.9874068\\"],\\"item_y\\":[\\"40.643180\\"],\\"item_label\\":[\\"2130 Fulton Street San Diego, CA 94117-1080 USA\\"], \\"item_image\\": [\\"\\"]}","map_styles":"[{\\"featureType\\":\\"administrative.country\\",\\"elementType\\":\\"labels.text\\",\\"stylers\\":[{\\"visibility\\":\\"on\\"}]}]","moduleclass_sfx":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__fields`;
CREATE TABLE IF NOT EXISTS `#__fields` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `context` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `group_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `label` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `default_value` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'text',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `fieldparams` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_user_id` (`created_user_id`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__fields_categories`;
CREATE TABLE IF NOT EXISTS `#__fields_categories` (
  `field_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`field_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__fields_groups`;
CREATE TABLE IF NOT EXISTS `#__fields_groups` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `context` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__fields_values`;
CREATE TABLE IF NOT EXISTS `#__fields_values` (
  `field_id` int(10) UNSIGNED NOT NULL,
  `item_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Allow references to items which have strings as ids, eg. none db systems.',
  `value` text COLLATE utf8mb4_unicode_ci NOT NULL,
  KEY `idx_field_id` (`field_id`),
  KEY `idx_item_id` (`item_id`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__komento_acl`;
CREATE TABLE IF NOT EXISTS `#__komento_acl` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cid` varchar(255) NOT NULL,
  `component` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `rules` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `komento_acl_content_type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__komento_acl` (`id`, `cid`, `component`, `type`, `rules`) VALUES
(1, '1', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"edit_own_comment":false,"delete_own_comment":false,"author_edit_comment":false,"author_delete_comment":false,"author_publish_comment":false,"author_unpublish_comment":false,"edit_all_comment":false,"delete_all_comment":false,"publish_all_comment":false,"unpublish_all_comment":false,"like_comment":false,"report_comment":false,"share_comment":false,"reply_comment":false,"stick_all_comment":false,"upload_attachment":false,"download_attachment":true,"delete_own_attachment":false}'),
(2, '9', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"like_comment":true,"report_comment":true,"share_comment":true,"reply_comment":true,"upload_attachment":true,"download_attachment":true,"edit_own_comment":false,"delete_own_comment":false,"delete_own_attachment":false,"author_edit_comment":false,"author_delete_comment":false,"author_publish_comment":false,"author_unpublish_comment":false,"author_stick_comment":false,"author_delete_attachment":false,"edit_all_comment":false,"delete_all_comment":false,"publish_all_comment":false,"unpublish_all_comment":false,"stick_all_comment":false,"delete_all_attachment":false}'),
(3, '6', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"edit_own_comment":true,"delete_own_comment":true,"author_edit_comment":false,"author_delete_comment":false,"author_publish_comment":false,"author_unpublish_comment":false,"edit_all_comment":false,"delete_all_comment":false,"publish_all_comment":false,"unpublish_all_comment":false,"like_comment":true,"report_comment":true,"share_comment":true,"reply_comment":true,"stick_all_comment":true,"upload_attachment":true,"download_attachment":true,"delete_own_attachment":false}'),
(4, '7', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"edit_own_comment":true,"delete_own_comment":true,"author_edit_comment":false,"author_delete_comment":false,"author_publish_comment":false,"author_unpublish_comment":false,"edit_all_comment":true,"delete_all_comment":false,"publish_all_comment":true,"unpublish_all_comment":true,"like_comment":true,"report_comment":true,"share_comment":true,"reply_comment":true,"stick_all_comment":true,"upload_attachment":true,"download_attachment":true,"delete_own_attachment":true}'),
(5, '2', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"edit_own_comment":false,"delete_own_comment":false,"author_edit_comment":false,"author_delete_comment":false,"author_publish_comment":false,"author_unpublish_comment":false,"edit_all_comment":false,"delete_all_comment":false,"publish_all_comment":false,"unpublish_all_comment":false,"like_comment":true,"report_comment":true,"share_comment":true,"reply_comment":true,"stick_all_comment":false,"upload_attachment":true,"download_attachment":true,"delete_own_attachment":false}'),
(6, '3', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"edit_own_comment":true,"delete_own_comment":false,"author_edit_comment":true,"author_delete_comment":false,"author_publish_comment":true,"author_unpublish_comment":true,"edit_all_comment":false,"delete_all_comment":false,"publish_all_comment":false,"unpublish_all_comment":false,"like_comment":true,"report_comment":true,"share_comment":true,"reply_comment":true,"stick_all_comment":false,"upload_attachment":true,"download_attachment":true,"delete_own_attachment":false}'),
(7, '4', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"edit_own_comment":true,"delete_own_comment":false,"author_edit_comment":true,"author_delete_comment":false,"author_publish_comment":true,"author_unpublish_comment":true,"edit_all_comment":false,"delete_all_comment":false,"publish_all_comment":false,"unpublish_all_comment":false,"like_comment":true,"report_comment":true,"share_comment":true,"reply_comment":true,"stick_all_comment":false,"upload_attachment":true,"download_attachment":true,"delete_own_attachment":false}'),
(8, '5', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"edit_own_comment":true,"delete_own_comment":false,"author_edit_comment":true,"author_delete_comment":false,"author_publish_comment":true,"author_unpublish_comment":true,"edit_all_comment":false,"delete_all_comment":false,"publish_all_comment":false,"unpublish_all_comment":false,"like_comment":true,"report_comment":true,"share_comment":true,"reply_comment":true,"stick_all_comment":false,"upload_attachment":true,"download_attachment":true,"delete_own_attachment":false}'),
(9, '8', 'com_content', 'usergroup', '{"read_comment":true,"read_stickies":true,"read_lovies":true,"add_comment":true,"edit_own_comment":true,"delete_own_comment":true,"author_edit_comment":true,"author_delete_comment":true,"author_publish_comment":true,"author_unpublish_comment":true,"edit_all_comment":true,"delete_all_comment":true,"publish_all_comment":true,"unpublish_all_comment":true,"like_comment":true,"report_comment":true,"share_comment":true,"reply_comment":true,"stick_all_comment":true,"upload_attachment":true,"download_attachment":true,"delete_own_attachment":true}');

DROP TABLE IF EXISTS `#__komento_actions`;
CREATE TABLE IF NOT EXISTS `#__komento_actions` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type` varchar(20) NOT NULL,
  `comment_id` bigint(20) UNSIGNED NOT NULL,
  `action_by` bigint(20) UNSIGNED NOT NULL DEFAULT '0',
  `actioned` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `komento_actions` (`type`,`comment_id`,`action_by`),
  KEY `komento_actions_comment_id` (`comment_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__komento_actions` (`id`, `type`, `comment_id`, `action_by`, `actioned`) VALUES
(3, 'likes', 1, 846, '2014-03-13 10:15:05');

DROP TABLE IF EXISTS `#__komento_activities`;
CREATE TABLE IF NOT EXISTS `#__komento_activities` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `type` varchar(20) NOT NULL,
  `comment_id` bigint(20) NOT NULL,
  `uid` bigint(20) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__komento_activities` (`id`, `type`, `comment_id`, `uid`, `created`, `published`) VALUES
(1, 'comment', 2, 846, '2013-04-01 13:47:39', 1),
(2, 'comment', 1, 846, '2013-04-01 13:47:39', 1),
(3, 'reply', 3, 846, '2013-04-01 13:48:32', 1),
(4, 'like', 1, 846, '2013-04-01 13:50:01', 1),
(5, 'like', 1, 0, '2014-03-13 10:15:05', 1);

DROP TABLE IF EXISTS `#__komento_captcha`;
CREATE TABLE IF NOT EXISTS `#__komento_captcha` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `response` varchar(5) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__komento_comments`;
CREATE TABLE IF NOT EXISTS `#__komento_comments` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `component` varchar(255) NOT NULL,
  `cid` bigint(20) UNSIGNED NOT NULL,
  `comment` text,
  `name` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `email` varchar(255) DEFAULT '',
  `url` varchar(255) DEFAULT '',
  `ip` varchar(255) DEFAULT '',
  `created_by` bigint(20) UNSIGNED DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` bigint(20) UNSIGNED DEFAULT '0',
  `modified` datetime DEFAULT '0000-00-00 00:00:00',
  `deleted_by` bigint(20) UNSIGNED DEFAULT '0',
  `deleted` datetime DEFAULT '0000-00-00 00:00:00',
  `flag` tinyint(1) DEFAULT '0',
  `published` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `publish_up` datetime DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime DEFAULT '0000-00-00 00:00:00',
  `sticked` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `sent` tinyint(1) DEFAULT '0',
  `parent_id` int(11) UNSIGNED DEFAULT '0',
  `lft` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `rgt` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `depth` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `latitude` varchar(255) DEFAULT NULL,
  `longitude` varchar(255) DEFAULT NULL,
  `address` text,
  `params` text,
  PRIMARY KEY (`id`),
  KEY `komento_threaded` (`component`,`cid`,`published`,`lft`,`rgt`),
  KEY `komento_threaded_reverse` (`component`,`cid`,`published`,`rgt`),
  KEY `komento_module_comments` (`component`,`cid`,`published`,`created`),
  KEY `komento_backend` (`parent_id`,`created`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__komento_comments` (`id`, `component`, `cid`, `comment`, `name`, `title`, `email`, `url`, `ip`, `created_by`, `created`, `modified_by`, `modified`, `deleted_by`, `deleted`, `flag`, `published`, `publish_up`, `publish_down`, `sticked`, `sent`, `parent_id`, `lft`, `rgt`, `depth`, `latitude`, `longitude`, `address`, `params`) VALUES
(1, 'com_content', 37, 'In neque arcu, vulputate vitae dignissim id, placerat adipiscing lorem. Nulla consectetur adipiscing metus vel pulvinar. Aenean molestie mauris non diam tincidunt faucibus. Integer odio dui, iaculis in congue eleifend, faucibus nec diam. Maecenas ac est odio, at dignissim dolor. Quisque gravida, purus vitae varius sagittis, odio erat venenatis nibh, eu interdum diam est eu sem. Vivamus luctus lectus sit amet lectus egestas cursus.', 'James Bernard', '', 'james_bernard@gmail.com', 'http://demolink.org', '127.0.0.1', 0, '2013-04-01 13:46:55', 846, '2014-03-13 10:36:15', 0, '0000-00-00 00:00:00', 0, 1, '2013-04-01 13:47:39', '0000-00-00 00:00:00', 0, 0, 0, 1, 4, 0, '', '', '', '{}'),
(2, 'com_content', 37, 'Vivamus congue turpis in augue pellentesque scelerisque. Pellentesque aliquam laoreet sem nec ultrices. Fusce blandit nunc vehicula massa vehicula tincidunt. Nam venenatis cursus urna sed gravida. Ut tincidunt elit ut quam malesuada consequat. Sed semper purus sit amet lorem elementum faucibus. Aenean nec semper sem. Ut quis ligula eget purus mollis dictum eu vel odio. Curabitur eu dignissim velit. Duis aliquet bibendum libero, eu tristique arcu dapibus vitae. Pellentesque pellentesque enim eget leo viverra sed egestas dolor pulvinar. Quisque in sollicitudin lacus. Mauris congue mi eu nunc tempor volutpat. Nulla facilisi.', 'Bill Brown', '', 'bill_brown@gmail.com', 'http://demolink.org', '127.0.0.1', 0, '2013-04-01 13:47:20', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, 1, '2013-04-01 13:47:39', '0000-00-00 00:00:00', 0, 0, 0, 5, 8, 0, '', '', '', '{}'),
(3, 'com_content', 37, 'Ut sit amet dui erat, et iaculis justo. Vestibulum commodo mollis ullamcorper. Aliquam arcu leo, mattis sed laoreet ac, ultrices eu orci. Curabitur congue eros ac turpis ultrices mattis. Etiam iaculis aliquam ornare. Donec tincidunt, tellus a ultricies consequat, purus est fringilla turpis, ac vestibulum enim tellus a eros. Fusce ipsum magna, placerat sed molestie ac, semper eget mauris.', 'Demo User', '', 'demo@demoolink.org', '', '127.0.0.1', 846, '2013-04-01 13:48:32', 0, '2013-04-01 13:48:32', 0, '0000-00-00 00:00:00', 0, 1, '2013-04-01 13:48:32', '0000-00-00 00:00:00', 0, 0, 2, 6, 7, 1, '', '', '', '{}');

DROP TABLE IF EXISTS `#__komento_configs`;
CREATE TABLE IF NOT EXISTS `#__komento_configs` (
  `component` varchar(255) NOT NULL,
  `params` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__komento_configs` (`component`, `params`) VALUES
('com_komento_comments_columns', '{"column_comment":1,"column_published":1,"column_sticked":1,"column_link":1,"column_edit":1,"column_component":1,"column_article":1,"column_date":1,"column_author":1,"column_id":1}'),
('com_komento', '{"database_clearcaptchaonpageload":"0","componentSelection":"all","articleSelection":"all","profile_enable":"1","profile_tab_comments":"1","profile_tab_activities":"1","profile_tab_popular":"1","profile_tab_sticked":"1","name_type":"default","layout_avatar_integration":"gravatar","layout_phpbb_path":"","layout_phpbb_url":"","profile_activities_comments":"1","profile_activities_replies":"1","profile_activities_likes":"1","enable_schema":"1","komento_environment":"static","komento_mode":"compressed","enable_inline_reply":"1","enable_ajax_permalink":"1","enable_ajax_load_list":"1","enable_ajax_load_stickies":"1","enforce_live_stickies":"1","enable_ajax_load_lovies":"1","enforce_live_lovies":"1","enable_shorten_link":"1","parent_preload":"1","enable_live_notification":"1","live_notification_interval":"30","enable_js_form_validation":"1","enable_live_form_validation":"1","enable_admin_mode":"0","enable_warning_messages":"1","enable_language_fallback":"1","disable_mailq":"0"}'),
('com_content', '{"enable_komento":"1","disable_komento_on_tmpl_component":"1","allowed_categories_mode":"1","allowed_categories":["2","12","13","14","15","16","17","19"],"enable_orphanitem_convert":"0","orphanitem_ownership":"0","enable_login_form":"0","login_provider":"joomla","enable_moderation":"1","requires_moderation":["1","9","2"],"subscription_auto":"0","subscription_confirmation":"0","pagebreak_load":"last","antispam_akismet":"0","antispam_akismet_key":"","antispam_akismet_trackback":"0","antispam_flood_control":"0","antispam_flood_interval":"10","antispam_min_length_enable":"0","antispam_min_length":"10","antispam_max_length_enable":"0","antispam_max_length":"300","filter_word":"0","filter_word_text":"","antispam_captcha_enable":"0","antispam_captcha_type":"0","show_captcha":["1"],"antispam_recaptcha_ssl":"0","antispam_recaptcha_public_key":"","antispam_recaptcha_private_key":"","antispam_recaptcha_theme":"clean","antispam_recaptcha_lang":"en","layout_theme":"kuro","enable_responsive":"1","tabbed_comments":"0","max_threaded_level":"5","enable_threaded":"1","thread_indentation":"20","show_sort_buttons":"0","default_sort":"oldest","load_previous":"0","max_comments_per_page":"10","layout_template_override":"1","layout_component_override":"1","layout_inherit_kuro_css":"0","layout_css_admin":"kmt-comment-item-admin","layout_css_registered":"kmt-comment-item-registered","layout_css_author":"kmt-comment-item-author","layout_css_public":"kmt-comment-item-public","name_type":"default","guest_label":"1","auto_hyperlink":"1","links_nofollow":"1","datetime_permalink":"1","date_format":"l, M j Y g:i:sa","max_image_width":"200","max_image_height":"200","allow_video":"1","bbcode_video_width":"200","bbcode_video_height":"200","layout_frontpage_comment":"1","layout_frontpage_readmore":"1","layout_frontpage_readmore_use_joomla":"1","layout_frontpage_hits":"0","layout_frontpage_alignment":"left","enable_lapsed_time":"1","layout_avatar_enable":"1","enable_guest_link":"0","enable_permalink":"0","enable_share":"1","enable_likes":"1","enable_reply":"1","enable_report":"0","enable_location":"0","enable_info":"0","enable_syntax_highlighting":"1","enable_id":"0","enable_reply_reference":"1","enable_rank_bar":"1","form_position":"0","form_toggle_button":"0","autohide_form_notification":"1","form_show_moderate_message":"1","scroll_to_comment":"1","show_location":"0","enable_bbcode":"1","enable_subscription":"0","show_tnc":["9"],"tnc_text":"Before submitting the comment, you agree that:\\r\\n\\r\\na. To accept full responsibility for the comment that you submit.\\r\\nb. To use this function only for lawful purposes.\\r\\nc. Not to post defamatory, abusive, offensive, racist, sexist, threatening, vulgar, obscene, hateful or otherwise inappropriate comments, or to post comments which will constitute a criminal offense or give rise to civil liability.\\r\\nd. Not to post or make available any material which is protected by copyright, trade mark or other proprietary right without the express permission of the owner of the copyright, trade mark or any other proprietary right.\\r\\ne. To evaluate for yourself the accuracy of any opinion, advice or other content.","show_name":"1","show_email":"1","show_website":"0","require_name":"1","require_email":"1","require_website":"0","enable_email_regex":"1","email_regex":["%5CS%2B%40%5CS%2B"],"enable_website_regex":"1","website_regex":["%28http%3A%2F%2F%7Cftp%3A%2F%2F%7Cwww%29%5CS%2B"],"layout_avatar_integration":"gravatar","use_komento_profile":"1","easysocial_profile_popbox":"0","gravatar_default_avatar":"mm","layout_phpbb_path":"","layout_phpbb_url":"","bbcode_bold":"1","bbcode_italic":"1","bbcode_underline":"1","bbcode_link":"1","bbcode_picture":"1","bbcode_video":"1","bbcode_bulletlist":"1","bbcode_numericlist":"1","bbcode_bullet":"1","bbcode_quote":"1","bbcode_code":"1","bbcode_clean":"1","bbcode_smile":"1","bbcode_happy":"1","bbcode_surprised":"1","bbcode_tongue":"1","bbcode_unhappy":"1","bbcode_wink":"1","smileycode":[],"smileypath":[],"share_facebook":"1","share_twitter":"1","share_googleplus":"1","share_linkedin":"1","share_tumblr":"1","share_digg":"1","share_delicious":"1","share_reddit":"1","share_stumbleupon":"1","enable_conversation_bar":"0","conversation_bar_max_authors":"10","conversation_bar_include_guest":"0","enable_stickies":"0","max_stickies":"5","enable_lovies":"0","minimum_likes_lovies":"0","max_lovies":"5","syntaxhighlighter_theme":"default","notification_enable":"0","notification_sendmailonpageload":"0","notification_sendmailinhtml":"0","notification_event_new_comment":"0","notification_event_new_reply":"0","notification_event_new_pending":"0","notification_event_reported_comment":"0","notification_to_author":"0","notification_to_subscribers":"0","activities_comment":"1","activities_reply":"1","activities_like":"1","trigger_method":"component","target":"com_content","tnc":"","notification_to_usergroup_comment":[],"notification_to_usergroup_reply":[],"notification_to_usergroup_pending":[],"notification_to_usergroup_reported":[],"notification_es_to_usergroup_comment":[],"notification_es_to_usergroup_reply":[],"notification_es_to_usergroup_like":[]}'),
('com_komento_pending_columns', '{"column_comment":1,"column_published":1,"column_link":1,"column_edit":1,"column_component":1,"column_article":1,"column_date":1,"column_author":1,"column_id":1}'),
('com_komento_reports_columns', '{"column_comment":1,"column_published":1,"column_link":1,"column_edit":1,"column_component":1,"column_article":1,"column_date":1,"column_author":1,"column_id":1}');

DROP TABLE IF EXISTS `#__komento_hashkeys`;
CREATE TABLE IF NOT EXISTS `#__komento_hashkeys` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `uid` bigint(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `key` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__komento_ipfilter`;
CREATE TABLE IF NOT EXISTS `#__komento_ipfilter` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `component` varchar(255) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `rules` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `komento_ipfilter` (`component`,`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__komento_mailq`;
CREATE TABLE IF NOT EXISTS `#__komento_mailq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mailfrom` varchar(255) DEFAULT NULL,
  `fromname` varchar(255) DEFAULT NULL,
  `recipient` varchar(255) NOT NULL,
  `subject` text NOT NULL,
  `body` text NOT NULL,
  `created` datetime NOT NULL,
  `type` varchar(10) NOT NULL DEFAULT 'text',
  `status` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `komento_mailq_status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__komento_subscription`;
CREATE TABLE IF NOT EXISTS `#__komento_subscription` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type` varchar(20) NOT NULL,
  `component` varchar(255) NOT NULL,
  `cid` bigint(20) UNSIGNED NOT NULL,
  `userid` bigint(20) UNSIGNED NOT NULL DEFAULT '0',
  `fullname` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `komento_subscription` (`type`,`component`,`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__komento_uploads`;
CREATE TABLE IF NOT EXISTS `#__komento_uploads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) DEFAULT NULL,
  `filename` text NOT NULL,
  `hashname` text NOT NULL,
  `path` text,
  `created` datetime NOT NULL,
  `created_by` bigint(20) UNSIGNED DEFAULT '0',
  `published` tinyint(1) NOT NULL,
  `mime` text NOT NULL,
  `size` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_aliases`;
CREATE TABLE IF NOT EXISTS `#__kunena_aliases` (
  `alias` varchar(255) NOT NULL,
  `type` varchar(10) NOT NULL,
  `item` varchar(32) NOT NULL,
  `state` tinyint(4) NOT NULL DEFAULT '0',
  UNIQUE KEY `alias` (`alias`),
  KEY `state` (`state`),
  KEY `item` (`item`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_aliases` (`alias`, `type`, `item`, `state`) VALUES
('announcement', 'view', 'announcement', 1),
('category', 'view', 'category', 1),
('category/create', 'layout', 'category.create', 1),
('category/default', 'layout', 'category.default', 1),
('category/edit', 'layout', 'category.edit', 1),
('category/manage', 'layout', 'category.manage', 1),
('category/moderate', 'layout', 'category.moderate', 1),
('category/user', 'layout', 'category.user', 1),
('common', 'view', 'common', 1),
('create', 'layout', 'category.create', 0),
('credits', 'view', 'credits', 1),
('default', 'layout', 'category.default', 0),
('donec-eu-elit', 'catid', '5', 0),
('edit', 'layout', 'category.edit', 0),
('home', 'view', 'home', 1),
('in-neque-arcu-vulputate-vitae', 'catid', '6', 0),
('lorem-ipsum', 'catid', '4', 0),
('main-forum', 'catid', '1', 1),
('manage', 'layout', 'category.manage', 0),
('misc', 'view', 'misc', 1),
('moderate', 'layout', 'category.moderate', 0),
('search', 'view', 'search', 1),
('statistics', 'view', 'statistics', 1),
('suggestion-box', 'catid', '3', 1),
('topic', 'view', 'topic', 1),
('topics', 'view', 'topics', 1),
('user', 'view', 'user', 1),
('welcome-mat', 'catid', '2', 1);

DROP TABLE IF EXISTS `#__kunena_announcement`;
CREATE TABLE IF NOT EXISTS `#__kunena_announcement` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `title` tinytext NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `sdescription` text NOT NULL,
  `description` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` tinyint(4) NOT NULL DEFAULT '0',
  `showdate` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_attachments`;
CREATE TABLE IF NOT EXISTS `#__kunena_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mesid` int(11) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `hash` char(32) DEFAULT NULL,
  `size` int(11) DEFAULT NULL,
  `folder` varchar(255) NOT NULL,
  `filetype` varchar(20) NOT NULL,
  `filename` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `mesid` (`mesid`),
  KEY `userid` (`userid`),
  KEY `hash` (`hash`),
  KEY `filename` (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_categories`;
CREATE TABLE IF NOT EXISTS `#__kunena_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT '0',
  `name` tinytext,
  `alias` varchar(255) NOT NULL,
  `icon_id` tinyint(4) NOT NULL DEFAULT '0',
  `locked` tinyint(4) NOT NULL DEFAULT '0',
  `accesstype` varchar(20) NOT NULL DEFAULT 'joomla.level',
  `access` int(11) NOT NULL DEFAULT '0',
  `pub_access` int(11) NOT NULL DEFAULT '1',
  `pub_recurse` tinyint(4) DEFAULT '1',
  `admin_access` int(11) NOT NULL DEFAULT '0',
  `admin_recurse` tinyint(4) DEFAULT '1',
  `ordering` smallint(6) NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL DEFAULT '0',
  `channels` text,
  `checked_out` tinyint(4) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review` tinyint(4) NOT NULL DEFAULT '0',
  `allow_anonymous` tinyint(4) NOT NULL DEFAULT '0',
  `post_anonymous` tinyint(4) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `headerdesc` text NOT NULL,
  `class_sfx` varchar(20) NOT NULL,
  `allow_polls` tinyint(4) NOT NULL DEFAULT '0',
  `topic_ordering` varchar(16) NOT NULL DEFAULT 'lastpost',
  `numTopics` mediumint(8) NOT NULL DEFAULT '0',
  `numPosts` mediumint(8) NOT NULL DEFAULT '0',
  `last_topic_id` int(11) NOT NULL DEFAULT '0',
  `last_post_id` int(11) NOT NULL DEFAULT '0',
  `last_post_time` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `category_access` (`accesstype`,`access`),
  KEY `published_pubaccess_id` (`published`,`pub_access`,`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_categories` (`id`, `parent_id`, `name`, `alias`, `icon_id`, `locked`, `accesstype`, `access`, `pub_access`, `pub_recurse`, `admin_access`, `admin_recurse`, `ordering`, `published`, `channels`, `checked_out`, `checked_out_time`, `review`, `allow_anonymous`, `post_anonymous`, `hits`, `description`, `headerdesc`, `class_sfx`, `allow_polls`, `topic_ordering`, `numTopics`, `numPosts`, `last_topic_id`, `last_post_id`, `last_post_time`, `params`) VALUES
(1, 0, 'Main Forum', 'main-forum', 0, 0, 'joomla.group', 0, 1, 1, 0, 1, 1, 1, NULL, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'This is the main forum section. It serves as a container for categories for your topics.', 'The section header is used to display additional information about the categories of topics that it contains.', '', 0, 'lastpost', 0, 0, 0, 0, 0, ''),
(2, 1, 'Welcome Mat', 'welcome-mat', 0, 0, 'joomla.group', 0, 1, 1, 0, 1, 1, 1, NULL, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'We encourage new members to introduce themselves here. Get to know one another and share your interests.', '[b]Welcome to the Kunena forum![/b] \n\n Tell us and our members who you are, what you like and why you became a member of this site. \n We welcome all new members and hope to see you around a lot!', '', 0, 'lastpost', 1, 1, 1, 1, 1393423114, '{}'),
(3, 1, 'Suggestion Box', 'suggestion-box', 0, 0, 'joomla.group', 0, 1, 1, 0, 1, 2, 1, NULL, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Have some feedback and input to share? \n Don\'t be shy and drop us a note. We want to hear from you and strive to make our site better and more user friendly for our guests and members a like.', 'This is the optional category header for the Suggestion Box.', '', 1, 'lastpost', 0, 0, 0, 0, 0, ''),
(4, 0, 'Lorem Ipsum', 'lorem-ipsum', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 2, 1, NULL, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'In neque arcu, vulputate vitae dignissim id, placerat adipiscing lorem. Nulla consectetur adipiscing metus vel pulvinar. Aenean molestie mauris non diam tincidunt faucibus.', 'In neque arcu, vulputate vitae dignissim id, placerat adipiscing lorem. Nulla consectetur adipiscing metus vel pulvinar. Aenean molestie mauris non diam tincidunt faucibus.', '', 0, 'lastpost', 0, 0, 0, 0, 0, '{}'),
(5, 4, 'Donec eu elit', 'donec-eu-elit', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 1, 1, NULL, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Donec eu elit in nisi placerat tincidunt in eu sapien. Proin odio nunc, interdum vel malesuada pretium, fringilla sit amet metus', 'Donec eu elit in nisi placerat tincidunt in eu sapien. Proin odio nunc, interdum vel malesuada pretium, fringilla sit amet metus', '', 0, 'lastpost', 0, 0, 0, 0, 0, '{}'),
(6, 4, 'In neque arcu, vulputate vitae', 'in-neque-arcu-vulputate-vitae', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 2, 1, NULL, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Vivamus congue turpis in augue pellentesque scelerisque. Pellentesque aliquam laoreet sem nec ultrices. Fusce blandit nunc vehicula massa vehicula tincidunt.', 'Vivamus congue turpis in augue pellentesque scelerisque. Pellentesque aliquam laoreet sem nec ultrices. Fusce blandit nunc vehicula massa vehicula tincidunt.', '', 0, 'lastpost', 0, 0, 0, 0, 0, '{}');

DROP TABLE IF EXISTS `#__kunena_configuration`;
CREATE TABLE IF NOT EXISTS `#__kunena_configuration` (
  `id` int(11) NOT NULL DEFAULT '0',
  `params` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_configuration` (`id`, `params`) VALUES
(1, '{"board_title":"Kunena","email":"","board_offline":0,"offline_message":"<h2>The Forum is currently offline for maintenance.<\\/h2>\\n<div>Check back soon!<\\/div>","enablerss":1,"threads_per_page":20,"messages_per_page":6,"messages_per_page_search":15,"showhistory":1,"historylimit":6,"shownew":1,"disemoticons":0,"template":"custom","showannouncement":1,"avataroncat":0,"catimagepath":"category_images","showchildcaticon":1,"rtewidth":450,"rteheight":300,"enableforumjump":1,"reportmsg":1,"username":1,"askemail":0,"showemail":0,"showuserstats":1,"showkarma":1,"useredit":1,"useredittime":0,"useredittimegrace":600,"editmarkup":1,"allowsubscriptions":1,"subscriptionschecked":1,"allowfavorites":1,"maxsubject":50,"maxsig":300,"regonly":0,"pubwrite":0,"floodprotection":0,"mailmod":0,"mailadmin":0,"captcha":0,"mailfull":1,"allowavatarupload":1,"allowavatargallery":1,"avatarquality":75,"avatarsize":2048,"imageheight":800,"imagewidth":800,"imagesize":150,"filetypes":"txt,rtf,pdf,zip,tar.gz,tgz,tar.bz2","filesize":120,"showranking":1,"rankimages":1,"userlist_rows":30,"userlist_online":1,"userlist_avatar":1,"userlist_name":1,"userlist_posts":1,"userlist_karma":1,"userlist_email":0,"userlist_joindate":1,"userlist_lastvisitdate":1,"userlist_userhits":1,"latestcategory":"","showstats":1,"showwhoisonline":1,"showgenstats":1,"showpopuserstats":1,"popusercount":5,"showpopsubjectstats":1,"popsubjectcount":5,"usernamechange":0,"showspoilertag":1,"showvideotag":1,"showebaytag":1,"trimlongurls":1,"trimlongurlsfront":40,"trimlongurlsback":20,"autoembedyoutube":1,"autoembedebay":1,"ebaylanguagecode":"en-us","sessiontimeout":1800,"highlightcode":0,"rss_type":"topic","rss_timelimit":"month","rss_limit":100,"rss_included_categories":"","rss_excluded_categories":"","rss_specification":"rss2.0","rss_allow_html":1,"rss_author_format":"name","rss_author_in_title":1,"rss_word_count":"0","rss_old_titles":1,"rss_cache":900,"defaultpage":"recent","default_sort":"asc","sef":1,"showimgforguest":1,"showfileforguest":1,"pollnboptions":4,"pollallowvoteone":1,"pollenabled":1,"poppollscount":5,"showpoppollstats":1,"polltimebtvotes":"00:15:00","pollnbvotesbyuser":100,"pollresultsuserslist":1,"maxpersotext":50,"ordering_system":"mesid","post_dateformat":"ago","post_dateformat_hover":"datetime","hide_ip":1,"imagetypes":"jpg,jpeg,gif,png","checkmimetypes":1,"imagemimetypes":"image\\/jpeg,image\\/jpg,image\\/gif,image\\/png","imagequality":50,"thumbheight":32,"thumbwidth":32,"hideuserprofileinfo":"put_empty","boxghostmessage":0,"userdeletetmessage":0,"latestcategory_in":1,"topicicons":1,"debug":0,"catsautosubscribed":0,"showbannedreason":0,"version_check":1,"showthankyou":1,"showpopthankyoustats":1,"popthankscount":5,"mod_see_deleted":0,"bbcode_img_secure":"text","listcat_show_moderators":1,"lightbox":1,"show_list_time":720,"show_session_type":0,"show_session_starttime":0,"userlist_allowed":0,"userlist_count_users":1,"enable_threaded_layouts":0,"category_subscriptions":"post","topic_subscriptions":"every","pubprofile":1,"thankyou_max":10,"email_recipient_count":0,"email_recipient_privacy":"bcc","email_visible_address":"","captcha_post_limit":0,"recaptcha_publickey":"","recaptcha_privatekey":"","recaptcha_theme":"white","keywords":0,"userkeywords":0,"image_upload":"registered","file_upload":"registered","topic_layout":"flat","time_to_create_page":1,"show_imgfiles_manage_profile":1,"hold_newusers_posts":0,"hold_guest_posts":0,"attachment_limit":8,"pickup_category":0,"article_display":"intro","send_emails":1,"stopforumspam_key":"","fallback_english":1,"cache":1,"cache_time":60,"ebay_affiliate_id":5337089937,"iptracking":1,"rss_feedburner_url":"","autolink":1,"access_component":1,"statslink_allowed":1,"plugins":[]}');

DROP TABLE IF EXISTS `#__kunena_keywords`;
CREATE TABLE IF NOT EXISTS `#__kunena_keywords` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(40) NOT NULL,
  `public_count` int(11) NOT NULL,
  `total_count` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `public_count` (`public_count`),
  KEY `total_count` (`total_count`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_keywords_map`;
CREATE TABLE IF NOT EXISTS `#__kunena_keywords_map` (
  `keyword_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `topic_id` int(11) NOT NULL,
  UNIQUE KEY `keyword_user_topic` (`keyword_id`,`user_id`,`topic_id`),
  KEY `user_id` (`user_id`),
  KEY `topic_user` (`topic_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_messages`;
CREATE TABLE IF NOT EXISTS `#__kunena_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) DEFAULT '0',
  `thread` int(11) DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `name` tinytext,
  `userid` int(11) NOT NULL DEFAULT '0',
  `email` tinytext,
  `subject` tinytext,
  `time` int(11) NOT NULL DEFAULT '0',
  `ip` varchar(128) DEFAULT NULL,
  `topic_emoticon` int(11) NOT NULL DEFAULT '0',
  `locked` tinyint(4) NOT NULL DEFAULT '0',
  `hold` tinyint(4) NOT NULL DEFAULT '0',
  `ordering` int(11) DEFAULT '0',
  `hits` int(11) DEFAULT '0',
  `moved` tinyint(4) DEFAULT '0',
  `modified_by` int(7) DEFAULT NULL,
  `modified_time` int(11) DEFAULT NULL,
  `modified_reason` tinytext,
  PRIMARY KEY (`id`),
  KEY `thread` (`thread`),
  KEY `ip` (`ip`),
  KEY `userid` (`userid`),
  KEY `time` (`time`),
  KEY `locked` (`locked`),
  KEY `hold_time` (`hold`,`time`),
  KEY `parent_hits` (`parent`,`hits`),
  KEY `catid_parent` (`catid`,`parent`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_messages` (`id`, `parent`, `thread`, `catid`, `name`, `userid`, `email`, `subject`, `time`, `ip`, `topic_emoticon`, `locked`, `hold`, `ordering`, `hits`, `moved`, `modified_by`, `modified_time`, `modified_reason`) VALUES
(1, 0, 1, 2, 'Kunena', 846, NULL, 'Welcome to Kunena!', 1393423114, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, NULL);

DROP TABLE IF EXISTS `#__kunena_messages_text`;
CREATE TABLE IF NOT EXISTS `#__kunena_messages_text` (
  `mesid` int(11) NOT NULL DEFAULT '0',
  `message` text NOT NULL,
  PRIMARY KEY (`mesid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_messages_text` (`mesid`, `message`) VALUES
(1, '[size=4][b]Welcome to Kunena![/b][/size] \n\n Thank you for choosing Kunena for your community forum needs in Joomla. \n\n Kunena, translated from Swahili meaning “to speak”, is built by a team of open source professionals with the goal of providing a top quality, tightly unified forum solution for Joomla. \n\n\n [size=4][b]Additional Kunena Resources[/b][/size] \n\n [b]Kunena Documentation:[/b] [url]http://www.kunena.org/docs[/url] \n\n [b]Kunena Support Forum[/b]: [url]http://www.kunena.org/forum[/url] \n\n [b]Kunena Downloads:[/b] [url]http://www.kunena.org/download[/url] \n\n [b]Kunena Blog:[/b] [url]http://www.kunena.org/blog[/url] \n\n [b]Follow Kunena on Twitter:[/b] [url]http://www.kunena.org/twitter[/url]');

DROP TABLE IF EXISTS `#__kunena_polls`;
CREATE TABLE IF NOT EXISTS `#__kunena_polls` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `threadid` int(11) NOT NULL,
  `polltimetolive` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `threadid` (`threadid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_polls_options`;
CREATE TABLE IF NOT EXISTS `#__kunena_polls_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pollid` int(11) DEFAULT NULL,
  `text` varchar(100) DEFAULT NULL,
  `votes` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pollid` (`pollid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_polls_users`;
CREATE TABLE IF NOT EXISTS `#__kunena_polls_users` (
  `pollid` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `votes` int(11) DEFAULT NULL,
  `lasttime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvote` int(11) DEFAULT NULL,
  UNIQUE KEY `pollid` (`pollid`,`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_ranks`;
CREATE TABLE IF NOT EXISTS `#__kunena_ranks` (
  `rank_id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `rank_title` varchar(255) NOT NULL DEFAULT '',
  `rank_min` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  `rank_special` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `rank_image` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`rank_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_special`, `rank_image`) VALUES
(1, 'New Member', 0, 0, 'rank1.gif'),
(2, 'Junior Member', 20, 0, 'rank2.gif'),
(3, 'Senior Member', 40, 0, 'rank3.gif'),
(4, 'Premium Member', 80, 0, 'rank4.gif'),
(5, 'Elite Member', 160, 0, 'rank5.gif'),
(6, 'Platinum Member', 320, 0, 'rank6.gif'),
(7, 'Administrator', 0, 1, 'rankadmin.gif'),
(8, 'Moderator', 0, 1, 'rankmod.gif'),
(9, 'Spammer', 0, 1, 'rankspammer.gif'),
(10, 'Banned', 0, 1, 'rankbanned.gif');

DROP TABLE IF EXISTS `#__kunena_sessions`;
CREATE TABLE IF NOT EXISTS `#__kunena_sessions` (
  `userid` int(11) NOT NULL DEFAULT '0',
  `allowed` text,
  `lasttime` int(11) NOT NULL DEFAULT '0',
  `readtopics` text,
  `currvisit` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`userid`),
  KEY `currvisit` (`currvisit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_sessions` (`userid`, `allowed`, `lasttime`, `readtopics`, `currvisit`) VALUES
(846, 'na', 1395730870, '0', 1395846490);

DROP TABLE IF EXISTS `#__kunena_smileys`;
CREATE TABLE IF NOT EXISTS `#__kunena_smileys` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `code` varchar(12) NOT NULL DEFAULT '',
  `location` varchar(50) NOT NULL DEFAULT '',
  `greylocation` varchar(60) NOT NULL DEFAULT '',
  `emoticonbar` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=67 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_smileys` (`id`, `code`, `location`, `greylocation`, `emoticonbar`) VALUES
(1, 'B)', 'cool.png', 'cool-grey.png', 1),
(2, '8)', 'cool.png', 'cool-grey.png', 0),
(3, '8-)', 'cool.png', 'cool-grey.png', 0),
(4, ':-(', 'sad.png', 'sad-grey.png', 0),
(5, ':(', 'sad.png', 'sad-grey.png', 1),
(6, ':sad:', 'sad.png', 'sad-grey.png', 0),
(7, ':cry:', 'sad.png', 'sad-grey.png', 0),
(8, ':)', 'smile.png', 'smile-grey.png', 1),
(9, ':-)', 'smile.png', 'smile-grey.png', 0),
(10, ':cheer:', 'cheerful.png', 'cheerful-grey.png', 1),
(11, ';)', 'wink.png', 'wink-grey.png', 1),
(12, ';-)', 'wink.png', 'wink-grey.png', 0),
(13, ':wink:', 'wink.png', 'wink-grey.png', 0),
(14, ';-)', 'wink.png', 'wink-grey.png', 0),
(15, ':P', 'tongue.png', 'tongue-grey.png', 1),
(16, ':p', 'tongue.png', 'tongue-grey.png', 0),
(17, ':-p', 'tongue.png', 'tongue-grey.png', 0),
(18, ':-P', 'tongue.png', 'tongue-grey.png', 0),
(19, ':razz:', 'tongue.png', 'tongue-grey.png', 0),
(20, ':angry:', 'angry.png', 'angry-grey.png', 1),
(21, ':mad:', 'angry.png', 'angry-grey.png', 0),
(22, ':unsure:', 'unsure.png', 'unsure-grey.png', 1),
(23, ':o', 'shocked.png', 'shocked-grey.png', 0),
(24, ':-o', 'shocked.png', 'shocked-grey.png', 0),
(25, ':O', 'shocked.png', 'shocked-grey.png', 0),
(26, ':-O', 'shocked.png', 'shocked-grey.png', 0),
(27, ':eek:', 'shocked.png', 'shocked-grey.png', 0),
(28, ':ohmy:', 'shocked.png', 'shocked-grey.png', 1),
(29, ':huh:', 'wassat.png', 'wassat-grey.png', 1),
(30, ':?', 'confused.png', 'confused-grey.png', 0),
(31, ':-?', 'confused.png', 'confused-grey.png', 0),
(32, ':???', 'confused.png', 'confused-grey.png', 0),
(33, ':dry:', 'ermm.png', 'ermm-grey.png', 1),
(34, ':ermm:', 'ermm.png', 'ermm-grey.png', 0),
(35, ':lol:', 'grin.png', 'grin-grey.png', 1),
(36, ':X', 'sick.png', 'sick-grey.png', 0),
(37, ':x', 'sick.png', 'sick-grey.png', 0),
(38, ':sick:', 'sick.png', 'sick-grey.png', 1),
(39, ':silly:', 'silly.png', 'silly-grey.png', 1),
(40, ':y32b4:', 'silly.png', 'silly-grey.png', 0),
(41, ':blink:', 'blink.png', 'blink-grey.png', 1),
(42, ':blush:', 'blush.png', 'blush-grey.png', 1),
(43, ':oops:', 'blush.png', 'blush-grey.png', 1),
(44, ':kiss:', 'kissing.png', 'kissing-grey.png', 1),
(45, ':rolleyes:', 'blink.png', 'blink-grey.png', 0),
(46, ':roll:', 'blink.png', 'blink-grey.png', 0),
(47, ':woohoo:', 'w00t.png', 'w00t-grey.png', 1),
(48, ':side:', 'sideways.png', 'sideways-grey.png', 1),
(49, ':S', 'dizzy.png', 'dizzy-grey.png', 1),
(50, ':s', 'dizzy.png', 'dizzy-grey.png', 0),
(51, ':evil:', 'devil.png', 'devil-grey.png', 1),
(52, ':twisted:', 'devil.png', 'devil-grey.png', 0),
(53, ':whistle:', 'whistling.png', 'whistling-grey.png', 1),
(54, ':pinch:', 'pinch.png', 'pinch-grey.png', 1),
(55, ':D', 'laughing.png', 'laughing-grey.png', 0),
(56, ':-D', 'laughing.png', 'laughing-grey.png', 0),
(57, ':grin:', 'laughing.png', 'laughing-grey.png', 0),
(58, ':laugh:', 'laughing.png', 'laughing-grey.png', 0),
(59, ':|', 'neutral.png', 'neutral-grey.png', 0),
(60, ':-|', 'neutral.png', 'neutral-grey.png', 0),
(61, ':neutral:', 'neutral.png', 'neutral-grey.png', 0),
(62, ':mrgreen:', 'mrgreen.png', 'mrgreen-grey.png', 0),
(63, ':?:', 'question.png', 'question-grey.png', 0),
(64, ':!:', 'exclamation.png', 'exclamation-grey.png', 0),
(65, ':arrow:', 'arrow.png', 'arrow-grey.png', 0),
(66, ':idea:', 'idea.png', 'idea-grey.png', 0);

DROP TABLE IF EXISTS `#__kunena_thankyou`;
CREATE TABLE IF NOT EXISTS `#__kunena_thankyou` (
  `postid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `targetuserid` int(11) NOT NULL,
  `time` datetime NOT NULL,
  UNIQUE KEY `postid` (`postid`,`userid`),
  KEY `userid` (`userid`),
  KEY `targetuserid` (`targetuserid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_topics`;
CREATE TABLE IF NOT EXISTS `#__kunena_topics` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL DEFAULT '0',
  `subject` tinytext,
  `icon_id` int(11) NOT NULL DEFAULT '0',
  `locked` tinyint(4) NOT NULL DEFAULT '0',
  `hold` tinyint(4) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `posts` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `attachments` int(11) NOT NULL DEFAULT '0',
  `poll_id` int(11) NOT NULL DEFAULT '0',
  `moved_id` int(11) NOT NULL DEFAULT '0',
  `first_post_id` int(11) NOT NULL DEFAULT '0',
  `first_post_time` int(11) NOT NULL DEFAULT '0',
  `first_post_userid` int(11) NOT NULL DEFAULT '0',
  `first_post_message` text,
  `first_post_guest_name` tinytext,
  `last_post_id` int(11) NOT NULL DEFAULT '0',
  `last_post_time` int(11) NOT NULL DEFAULT '0',
  `last_post_userid` int(11) NOT NULL DEFAULT '0',
  `last_post_message` text,
  `last_post_guest_name` tinytext,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `locked` (`locked`),
  KEY `hold` (`hold`),
  KEY `posts` (`posts`),
  KEY `hits` (`hits`),
  KEY `first_post_userid` (`first_post_userid`),
  KEY `last_post_userid` (`last_post_userid`),
  KEY `first_post_time` (`first_post_time`),
  KEY `last_post_time` (`last_post_time`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_topics` (`id`, `category_id`, `subject`, `icon_id`, `locked`, `hold`, `ordering`, `posts`, `hits`, `attachments`, `poll_id`, `moved_id`, `first_post_id`, `first_post_time`, `first_post_userid`, `first_post_message`, `first_post_guest_name`, `last_post_id`, `last_post_time`, `last_post_userid`, `last_post_message`, `last_post_guest_name`, `params`) VALUES
(1, 2, 'Welcome to Kunena!', 0, 0, 0, 0, 1, 4, 0, 0, 0, 1, 1393423114, 846, '[size=4][b]Welcome to Kunena![/b][/size] \n\n Thank you for choosing Kunena for your community forum needs in Joomla. \n\n Kunena, translated from Swahili meaning “to speak”, is built by a team of open source professionals with the goal of providing a top quality, tightly unified forum solution for Joomla. \n\n\n [size=4][b]Additional Kunena Resources[/b][/size] \n\n [b]Kunena Documentation:[/b] [url]http://www.kunena.org/docs[/url] \n\n [b]Kunena Support Forum[/b]: [url]http://www.kunena.org/forum[/url] \n\n [b]Kunena Downloads:[/b] [url]http://www.kunena.org/download[/url] \n\n [b]Kunena Blog:[/b] [url]http://www.kunena.org/blog[/url] \n\n [b]Follow Kunena on Twitter:[/b] [url]http://www.kunena.org/twitter[/url]', 'Kunena', 1, 1393423114, 846, '[size=4][b]Welcome to Kunena![/b][/size] \n\n Thank you for choosing Kunena for your community forum needs in Joomla. \n\n Kunena, translated from Swahili meaning “to speak”, is built by a team of open source professionals with the goal of providing a top quality, tightly unified forum solution for Joomla. \n\n\n [size=4][b]Additional Kunena Resources[/b][/size] \n\n [b]Kunena Documentation:[/b] [url]http://www.kunena.org/docs[/url] \n\n [b]Kunena Support Forum[/b]: [url]http://www.kunena.org/forum[/url] \n\n [b]Kunena Downloads:[/b] [url]http://www.kunena.org/download[/url] \n\n [b]Kunena Blog:[/b] [url]http://www.kunena.org/blog[/url] \n\n [b]Follow Kunena on Twitter:[/b] [url]http://www.kunena.org/twitter[/url]', 'Kunena', '');

DROP TABLE IF EXISTS `#__kunena_users`;
CREATE TABLE IF NOT EXISTS `#__kunena_users` (
  `userid` int(11) NOT NULL DEFAULT '0',
  `view` varchar(8) NOT NULL DEFAULT '',
  `signature` text,
  `moderator` int(11) DEFAULT '0',
  `banned` datetime DEFAULT NULL,
  `ordering` int(11) DEFAULT '0',
  `posts` int(11) DEFAULT '0',
  `avatar` varchar(255) DEFAULT NULL,
  `karma` int(11) DEFAULT '0',
  `karma_time` int(11) DEFAULT '0',
  `group_id` int(4) DEFAULT '1',
  `uhits` int(11) DEFAULT '0',
  `personalText` tinytext,
  `gender` tinyint(4) NOT NULL DEFAULT '0',
  `birthdate` date NOT NULL DEFAULT '0001-01-01',
  `location` varchar(50) DEFAULT NULL,
  `icq` varchar(50) DEFAULT NULL,
  `aim` varchar(50) DEFAULT NULL,
  `yim` varchar(50) DEFAULT NULL,
  `msn` varchar(50) DEFAULT NULL,
  `skype` varchar(50) DEFAULT NULL,
  `twitter` varchar(50) DEFAULT NULL,
  `facebook` varchar(50) DEFAULT NULL,
  `gtalk` varchar(50) DEFAULT NULL,
  `myspace` varchar(50) DEFAULT NULL,
  `linkedin` varchar(50) DEFAULT NULL,
  `delicious` varchar(50) DEFAULT NULL,
  `friendfeed` varchar(50) DEFAULT NULL,
  `digg` varchar(50) DEFAULT NULL,
  `blogspot` varchar(50) DEFAULT NULL,
  `flickr` varchar(50) DEFAULT NULL,
  `bebo` varchar(50) DEFAULT NULL,
  `websitename` varchar(50) DEFAULT NULL,
  `websiteurl` varchar(50) DEFAULT NULL,
  `rank` tinyint(4) NOT NULL DEFAULT '0',
  `hideEmail` tinyint(1) NOT NULL DEFAULT '1',
  `showOnline` tinyint(1) NOT NULL DEFAULT '1',
  `thankyou` int(11) DEFAULT '0',
  PRIMARY KEY (`userid`),
  KEY `group_id` (`group_id`),
  KEY `posts` (`posts`),
  KEY `uhits` (`uhits`),
  KEY `banned` (`banned`),
  KEY `moderator` (`moderator`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_users` (`userid`, `view`, `signature`, `moderator`, `banned`, `ordering`, `posts`, `avatar`, `karma`, `karma_time`, `group_id`, `uhits`, `personalText`, `gender`, `birthdate`, `location`, `icq`, `aim`, `yim`, `msn`, `skype`, `twitter`, `facebook`, `gtalk`, `myspace`, `linkedin`, `delicious`, `friendfeed`, `digg`, `blogspot`, `flickr`, `bebo`, `websitename`, `websiteurl`, `rank`, `hideEmail`, `showOnline`, `thankyou`) VALUES
(160, '', NULL, 0, NULL, 0, 0, NULL, 0, 0, 1, 0, NULL, 0, '0001-01-01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, 0),
(297, '', NULL, 0, NULL, 0, 0, NULL, 0, 0, 1, 0, NULL, 0, '0001-01-01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, 0),
(846, '', NULL, 0, NULL, 0, 1, NULL, 0, 0, 1, 10, NULL, 0, '0001-01-01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, 0),
(847, '', NULL, 0, NULL, 0, 0, NULL, 0, 0, 1, 0, NULL, 0, '0001-01-01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, 0);

DROP TABLE IF EXISTS `#__kunena_users_banned`;
CREATE TABLE IF NOT EXISTS `#__kunena_users_banned` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) DEFAULT NULL,
  `ip` varchar(128) DEFAULT NULL,
  `blocked` tinyint(4) NOT NULL DEFAULT '0',
  `expiration` datetime DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_time` datetime NOT NULL,
  `reason_private` text,
  `reason_public` text,
  `modified_by` int(11) DEFAULT NULL,
  `modified_time` datetime DEFAULT NULL,
  `comments` text,
  `params` text,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`),
  KEY `ip` (`ip`),
  KEY `expiration` (`expiration`),
  KEY `created_time` (`created_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_user_categories`;
CREATE TABLE IF NOT EXISTS `#__kunena_user_categories` (
  `user_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `role` tinyint(4) NOT NULL DEFAULT '0',
  `allreadtime` datetime DEFAULT NULL,
  `subscribed` tinyint(4) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`user_id`,`category_id`),
  KEY `category_subscribed` (`category_id`,`subscribed`),
  KEY `role` (`role`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__kunena_user_read`;
CREATE TABLE IF NOT EXISTS `#__kunena_user_read` (
  `user_id` int(11) NOT NULL,
  `topic_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `message_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  UNIQUE KEY `user_topic_id` (`user_id`,`topic_id`),
  KEY `category_user_id` (`category_id`,`user_id`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_user_read` (`user_id`, `topic_id`, `category_id`, `message_id`, `time`) VALUES
(846, 1, 2, 1, 1394186068);

DROP TABLE IF EXISTS `#__kunena_user_topics`;
CREATE TABLE IF NOT EXISTS `#__kunena_user_topics` (
  `user_id` int(11) NOT NULL DEFAULT '0',
  `topic_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL,
  `posts` mediumint(8) NOT NULL DEFAULT '0',
  `last_post_id` int(11) NOT NULL DEFAULT '0',
  `owner` tinyint(4) NOT NULL DEFAULT '0',
  `favorite` tinyint(4) NOT NULL DEFAULT '0',
  `subscribed` tinyint(4) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  UNIQUE KEY `user_topic_id` (`user_id`,`topic_id`),
  KEY `topic_id` (`topic_id`),
  KEY `posts` (`posts`),
  KEY `owner` (`owner`),
  KEY `favorite` (`favorite`),
  KEY `subscribed` (`subscribed`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_user_topics` (`user_id`, `topic_id`, `category_id`, `posts`, `last_post_id`, `owner`, `favorite`, `subscribed`, `params`) VALUES
(846, 1, 2, 1, 1, 1, 0, 0, '');

DROP TABLE IF EXISTS `#__kunena_version`;
CREATE TABLE IF NOT EXISTS `#__kunena_version` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` varchar(20) NOT NULL,
  `versiondate` date NOT NULL,
  `installdate` date NOT NULL,
  `build` varchar(20) NOT NULL,
  `versionname` varchar(40) DEFAULT NULL,
  `state` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_version` (`id`, `version`, `versiondate`, `installdate`, `build`, `versionname`, `state`) VALUES
(1, '3.0.4', '2013-12-22', '2014-02-26', '', 'Ukko', ''),
(2, '3.0.5', '2014-03-09', '2014-03-12', '', 'Invecchiato', '');

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE IF NOT EXISTS `#__languages` (
  `lang_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lang_code` char(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `title` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title_native` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sef` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL,
  `metakey` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `sitename` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__languages` (`lang_id`, `asset_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 0, 'en-GB', 'English (UK)', 'English (UK)', 'en', 'en', '', '', '', '', 1, 0, 1);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE IF NOT EXISTS `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `path` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `params` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_path` (`path`(100))
) ENGINE=InnoDB AUTO_INCREMENT=372 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 297, 0, '*', 0),
(2, 'main', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 1, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 1, 10, 0, '*', 1),
(3, 'main', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 2, 3, 0, '*', 1),
(4, 'main', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 1, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 4, 5, 0, '*', 1),
(5, 'main', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 6, 7, 0, '*', 1),
(6, 'main', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 8, 9, 0, '*', 1),
(7, 'main', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 133, 138, 0, '*', 1),
(8, 'main', 'com_contact_contacts', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 1, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 134, 135, 0, '*', 1),
(9, 'main', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 1, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 136, 137, 0, '*', 1),
(10, 'main', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 1, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 141, 144, 0, '*', 1),
(11, 'main', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 1, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 142, 143, 0, '*', 1),
(13, 'main', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 147, 152, 0, '*', 1),
(14, 'main', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 148, 149, 0, '*', 1),
(15, 'main', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 1, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 150, 151, 0, '*', 1),
(16, 'main', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 1, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 163, 164, 0, '*', 1),
(17, 'main', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 1, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 155, 156, 0, '*', 1),
(18, 'main', 'com_weblinks', 'Weblinks', '', 'Weblinks', 'index.php?option=com_weblinks', 'component', 1, 1, 1, 21, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 157, 162, 0, '*', 1),
(19, 'main', 'com_weblinks_links', 'Links', '', 'Weblinks/Links', 'index.php?option=com_weblinks', 'component', 1, 18, 2, 21, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 158, 159, 0, '*', 1),
(20, 'main', 'com_weblinks_categories', 'Categories', '', 'Weblinks/Categories', 'index.php?option=com_categories&extension=com_weblinks', 'component', 1, 18, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks-cat', 0, '', 160, 161, 0, '*', 1),
(21, 'main', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 1, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 153, 154, 0, '*', 1),
(22, 'main', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 1, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 139, 140, 0, '*', 1),
(23, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 1, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 145, 146, 0, '', 1),
(101, 'mainmenu', 'About Us', 'about-us', '', 'about-us', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"0","num_columns":"0","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"0","show_pagination_results":"0","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 31, 32, 1, '*', 0),
(102, 'mainmenu', 'Contacts', 'contacts', '', 'contacts', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"presentation_style":"plain","show_contact_category":"","show_contact_list":"","show_name":"","show_tags":"","show_info":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","allow_vcard":"","show_misc":"","show_articles":"","articles_display_num":"","show_profile":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 51, 52, 0, '*', 0),
(103, 'system-menu', 'Privacy policy', 'privacy-policy', '', 'privacy-policy', 'index.php?option=com_content&view=article&id=5', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 65, 66, 0, '*', 0),
(104, 'system-menu', 'Terms of use', 'terms-of-use', '', 'terms-of-use', 'index.php?option=com_content&view=article&id=6', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 63, 64, 0, '*', 0),
(105, 'user-menu', 'Sign in', 'sign-in', '', 'sign-in', '#modal', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 5, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"modalToggle","menu_image":"","menu_text":1}', 165, 166, 0, '*', 0),
(106, 'user-menu', 'Sign out', 'sign-out', '', 'sign-out', '#modal', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"modalToggle","menu_image":"","menu_text":1}', 167, 168, 0, '*', 0),
(107, 'user-menu', 'Profile', 'profile', '', 'profile', 'index.php?option=com_users&view=profile', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 169, 170, 0, '*', 0),
(108, 'user-menu', 'Register', 'register', '', 'register', 'index.php?option=com_users&view=registration', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 5, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 171, 172, 0, '*', 0),
(109, 'mainmenu', 'Blog', 'blog', '', 'blog', 'index.php?option=com_content&view=category&layout=blog&id=12', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"none","orderby_sec":"rdate","order_date":"","show_pagination":"1","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"1","show_item_navigation":"","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 53, 54, 0, '*', 0),
(110, 'user-menu', 'Submit article', 'submit-article', '', 'submit-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"enable_category":"0","catid":"2","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Submit Article","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 173, 174, 0, '*', 0),
(146, 'social-media', 'Facebook', '2012-09-25-14-22-39', '', '2012-09-25-14-22-39', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"fa fa-facebook-f","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":0,"menu_show":1}', 55, 56, 0, '*', 0),
(148, 'social-media', 'Twitter', '2012-09-25-14-22-41', '', '2012-09-25-14-22-41', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"fa fa-twitter","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":0,"menu_show":1}', 57, 58, 0, '*', 0),
(149, 'social-media', 'Linkedin', '2012-09-25-14-22-42', '', '2012-09-25-14-22-42', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"fa fa-linkedin","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":0,"menu_show":1}', 59, 60, 0, '*', 0),
(150, 'social-media', 'Mail', '2012-09-25-14-31-58', '', '2012-09-25-14-31-58', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"fa fa-envelope","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":0,"menu_show":1}', 61, 62, 0, '*', 0),
(167, 'mainmenu', 'Services', 'services', '', 'services', 'index.php?option=com_content&view=category&layout=theme1948:category&id=42', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"3","num_columns":"3","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"0","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Residential roofing services","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 33, 46, 0, '*', 0),
(168, 'mainmenu', 'FAQs', 'faqs', '', 'services/faqs', 'index.php?option=com_content&view=category&layout=theme1948:category&id=35', 'component', 1, 167, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Frequently asked questions","pageclass_sfx":"faqs","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 40, 41, 0, '*', 0),
(169, 'mainmenu', 'Gallery', 'gallery', '', 'gallery', 'index.php?option=com_content&view=category&layout=theme1948:gallery&id=29', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"100","num_columns":"3","num_links":"0","multi_column_order":"1","show_subcategory_content":"-1","show_filter":"1","show_sort":"1","sort_effects":"\'fade\',\'scale\',\'rotateZ\'","show_layout_mode":"1","image_float":"left","orderby_pri":"order","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"1","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","user_hover":"1","hover_style":"style1","limt_introtext":"10","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"gallery","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 47, 48, 0, '*', 0),
(170, 'mainmenu', 'Team', 'team', '', 'services/team', 'index.php?option=com_content&view=category&layout=theme1948:category&id=34', 'component', 1, 167, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"8","num_columns":"2","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"team","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 36, 39, 0, '*', 0),
(171, 'mainmenu', 'Testimonials', 'testimonials', '', 'services/team/testimonials', 'index.php?option=com_content&view=category&layout=theme1948:category&id=36', 'component', 1, 170, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"0","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Testimonials","pageclass_sfx":"testimonials","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 37, 38, 0, '*', 0),
(172, 'mainmenu', 'History', 'history', '', 'services/history', 'index.php?option=com_content&view=category&layout=theme1948:category&id=33', 'component', 1, 167, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"10","num_columns":"2","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"order","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"History","pageclass_sfx":"history","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 34, 35, 0, '*', 0),
(173, 'mainmenu', 'Testimonials', 'testimonials', '', 'testimonials', 'index.php?option=com_content&view=category&layout=theme1948:category&id=36', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"0","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Testimonials","pageclass_sfx":"testimonials","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 49, 50, 0, '*', 0),
(176, 'system-menu', 'First gallery', 'first-gallery', '', 'gallery-categories/first-gallery', 'index.php?option=com_content&view=category&layout=theme1948:gallery&id=30', 'component', 1, 177, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"1","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"10","num_columns":"4","num_links":"0","multi_column_order":"","show_subcategory_content":"","show_filter":"0","image_float":"left","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"1","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","user_hover":"1","hover_style":"style1","limt_introtext":"10","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 68, 69, 0, '*', 0),
(177, 'system-menu', 'Gallery categories', 'gallery-categories', '', 'gallery-categories', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1}', 67, 74, 0, '*', 0),
(178, 'system-menu', 'Third gallery', 'third-gallery', '', 'gallery-categories/third-gallery', 'index.php?option=com_content&view=category&layout=theme1948:gallery&id=32', 'component', 1, 177, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"1","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"10","num_columns":"4","num_links":"0","multi_column_order":"","show_subcategory_content":"","show_filter":"0","image_float":"left","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"1","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","user_hover":"1","hover_style":"style1","limt_introtext":"10","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 72, 73, 0, '*', 0),
(179, 'system-menu', 'Second gallery', 'second-gallery', '', 'gallery-categories/second-gallery', 'index.php?option=com_content&view=category&layout=theme1948:gallery&id=31', 'component', 1, 177, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"1","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"10","num_columns":"4","num_links":"0","multi_column_order":"","show_subcategory_content":"","show_filter":"0","image_float":"left","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"1","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","user_hover":"1","hover_style":"style1","limt_introtext":"10","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 70, 71, 0, '*', 0),
(181, 'system-menu', 'Blog categories', 'blog-categories', '', 'blog-categories', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1}', 75, 88, 0, '*', 0),
(182, 'system-menu', 'Donec eu elit in nisi', 'donec-eu-elit-in-nisi', '', 'blog-categories/donec-eu-elit-in-nisi', 'index.php?option=com_content&view=category&layout=blog&id=13', 'component', 1, 181, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"rdate","order_date":"","show_pagination":"1","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"1","show_item_navigation":"","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Blog","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 76, 77, 0, '*', 0),
(183, 'system-menu', 'In neque arcu vulputate', 'in-neque-arcu-vulputate', '', 'blog-categories/in-neque-arcu-vulputate', 'index.php?option=com_content&view=category&layout=blog&id=14', 'component', 1, 181, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"rdate","order_date":"","show_pagination":"1","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"1","show_item_navigation":"","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Blog","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 78, 79, 0, '*', 0),
(184, 'system-menu', 'Quisque gravida purus vitae', 'quisque-gravida-purus-vitae', '', 'blog-categories/quisque-gravida-purus-vitae', 'index.php?option=com_content&view=category&layout=blog&id=15', 'component', 1, 181, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"rdate","order_date":"","show_pagination":"1","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"1","show_item_navigation":"","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Blog","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 80, 81, 0, '*', 0),
(185, 'system-menu', 'Vivamus luctus lectus sit', 'vivamus-luctus-lectus-sit', '', 'blog-categories/vivamus-luctus-lectus-sit', 'index.php?option=com_content&view=category&layout=blog&id=16', 'component', 1, 181, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"rdate","order_date":"","show_pagination":"1","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"1","show_item_navigation":"","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Blog","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 82, 83, 0, '*', 0),
(186, 'system-menu', 'Vivamus congue turpis in augue', 'vivamus-congue-turpis-in-augue', '', 'blog-categories/vivamus-congue-turpis-in-augue', 'index.php?option=com_content&view=category&layout=blog&id=17', 'component', 1, 181, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"rdate","order_date":"","show_pagination":"1","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"1","show_item_navigation":"","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Blog","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 84, 85, 0, '*', 0),
(187, 'system-menu', 'Curabitur eu dignissim velit', 'curabitur-eu-dignissim-velit', '', 'blog-categories/curabitur-eu-dignissim-velit', 'index.php?option=com_content&view=category&layout=blog&id=19', 'component', 1, 181, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"rdate","order_date":"","show_pagination":"1","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"1","show_item_navigation":"","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Blog","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 86, 87, 0, '*', 0),
(198, 'system-menu', 'Login form', 'login-form', '', 'login-form', 'index.php?option=com_users&view=login', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Login Form","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 121, 122, 0, '*', 0),
(200, 'system-menu', 'Username reminder request', 'username-reminder-request', '', 'username-reminder-request', 'index.php?option=com_users&view=remind', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 123, 124, 0, '*', 0),
(201, 'system-menu', 'Password reset', 'password-reset', '', 'password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 125, 126, 0, '*', 0),
(232, 'system-menu', 'Lorem', 'lorem', '', 'tags/lorem', 'index.php?option=com_tags&view=tag&id[0]=5&tag_list_language_filter=&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"hide","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 90, 91, 0, '*', 0),
(233, 'system-menu', 'Ipsum', 'ipsum', '', 'tags/ipsum', 'index.php?option=com_tags&view=tag&id[0]=6&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 92, 93, 0, '*', 0),
(234, 'system-menu', 'Dolor', 'dolor', '', 'tags/dolor', 'index.php?option=com_tags&view=tag&id[0]=7&tag_list_language_filter=&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"hide","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 94, 95, 0, '*', 0),
(235, 'system-menu', 'Archives', 'archives', '', 'archives', 'index.php?option=com_content&view=archive', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"rdate","order_date":"published","display_num":"5","filter_field":"hide","introtext_limit":"10000","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","link_titles":"","show_author":"1","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"1","show_item_navigation":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Archives","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 127, 128, 0, '*', 0),
(246, 'system-menu', 'User registration', 'user-registration', '', 'user-registration', 'index.php?option=com_users&view=registration', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":0,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 129, 130, 0, '*', 0),
(262, 'system-menu', 'Template settings', 'template-settings', '', 'template-settings', 'index.php?option=com_content&view=article&id=71', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 131, 132, 0, '*', 0),
(263, 'mainmenu', 'Template settings', 'template-settings', '', 'services/template-settings', 'index.php?Itemid=', 'alias', 1, 167, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"262","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 42, 43, 0, '*', 0),
(264, 'system-menu', 'Lopersium', 'lopersium', '', 'tags/lopersium', 'index.php?option=com_tags&view=tag&id[0]=8&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"0","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 96, 97, 0, '*', 0),
(265, 'system-menu', 'Polery', 'polery', '', 'tags/polery', 'index.php?option=com_tags&view=tag&id[0]=9&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"0","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 98, 99, 0, '*', 0),
(266, 'system-menu', 'Tags', 'tags', '', 'tags', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1}', 89, 120, 0, '*', 0),
(267, 'system-menu', 'Imilorety', 'imilorety', '', 'tags/imilorety', 'index.php?option=com_tags&view=tag&id[0]=10&types[0]=1&tag_list_language_filter=', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"hide","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 100, 101, 0, '*', 0),
(268, 'system-menu', 'Porews', 'porews', '', 'tags/porews', 'index.php?option=com_tags&view=tag&id[0]=11&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 102, 103, 0, '*', 0),
(269, 'system-menu', 'Poreyni', 'poreyni', '', 'tags/poreyni', 'index.php?option=com_tags&view=tag&id[0]=12&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 104, 105, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(270, 'system-menu', 'Neem', 'neem', '', 'tags/neem', 'index.php?option=com_tags&view=tag&id[0]=13&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 106, 107, 0, '*', 0),
(271, 'system-menu', 'Zoopew', 'zoopew', '', 'tags/zoopew', 'index.php?option=com_tags&view=tag&id[0]=14&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 108, 109, 0, '*', 0),
(272, 'system-menu', 'Desh', 'desh', '', 'tags/desh', 'index.php?option=com_tags&view=tag&id[0]=15&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 110, 111, 0, '*', 0),
(273, 'system-menu', 'Poireus', 'poireus', '', 'tags/poireus', 'index.php?option=com_tags&view=tag&id[0]=16&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 112, 113, 0, '*', 0),
(274, 'system-menu', 'Iulorew', 'iulorew', '', 'tags/iulorew', 'index.php?option=com_tags&view=tag&id[0]=17&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 114, 115, 0, '*', 0),
(275, 'system-menu', 'Uller', 'uller', '', 'tags/uller', 'index.php?option=com_tags&view=tag&id[0]=18&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 116, 117, 0, '*', 0),
(276, 'system-menu', 'Qwuu', 'qwuu', '', 'tags/qwuu', 'index.php?option=com_tags&view=tag&id[0]=19&types[0]=1', 'component', 1, 266, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"0","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 118, 119, 0, '*', 0),
(289, 'kunenamenu', 'Forum', 'forum', '', 'forum', 'index.php?option=com_kunena&view=home&defaultmenu=291', 'component', 1, 1, 1, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"catids":0}', 175, 192, 0, '*', 0),
(290, 'kunenamenu', 'Index', 'index', '', 'forum/index', 'index.php?option=com_kunena&view=category&layout=list', 'component', 1, 289, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 176, 177, 0, '*', 0),
(291, 'kunenamenu', 'Recent Topics', 'recent', '', 'forum/recent', 'index.php?option=com_kunena&view=topics&mode=replies', 'component', 1, 289, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"topics_catselection":"","topics_categories":"","topics_time":720}', 178, 179, 0, '*', 0),
(292, 'kunenamenu', 'New Topic', 'newtopic', '', 'forum/newtopic', 'index.php?option=com_kunena&view=topic&layout=create', 'component', 1, 289, 2, 10048, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 180, 181, 0, '*', 0),
(293, 'kunenamenu', 'No Replies', 'noreplies', '', 'forum/noreplies', 'index.php?option=com_kunena&view=topics&mode=noreplies', 'component', 1, 289, 2, 10048, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"topics_catselection":"","topics_categories":"","topics_time":-1}', 182, 183, 0, '*', 0),
(294, 'kunenamenu', 'My Topics', 'mylatest', '', 'forum/mylatest', 'index.php?option=com_kunena&view=topics&layout=user&mode=default', 'component', 1, 289, 2, 10048, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"topics_catselection":"2","topics_categories":"0","topics_time":-1}', 184, 185, 0, '*', 0),
(295, 'kunenamenu', 'Profile', 'profile', '', 'forum/profile', 'index.php?option=com_kunena&view=user', 'component', 1, 289, 2, 10048, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"integration":1}', 186, 187, 0, '*', 0),
(296, 'kunenamenu', 'Help', 'help', '', 'forum/help', 'index.php?option=com_kunena&view=misc', 'component', 1, 289, 2, 10048, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"body":"This help page is a menu item inside [b]Kunena Menu[\\/b], which allows easy navigation in your forum. \\n\\n You can use Joomla Menu Manager to edit items in this menu. Please go to [b]Administration[\\/b] >> [b]Menus[\\/b] >> [b]Kunena Menu[\\/b] >> [b]Help[\\/b] to edit or remove this menu item. \\n\\n In this menu item you can use Plain Text, BBCode or HTML. If you want to bind article into this page, you may use article BBCode (with article id): [code][article=full]123[\\/article][\\/code] \\n\\n If you want to create your own menu for Kunena, please start by creating [b]Home Page[\\/b] first. In that page you can select default menu item, which is shown when you enter to Kunena.","body_format":"bbcode"}', 188, 189, 0, '*', 0),
(297, 'kunenamenu', 'Search', 'search', '', 'forum/search', 'index.php?option=com_kunena&view=search', 'component', 1, 289, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 190, 191, 0, '*', 0),
(299, 'mainmenu', 'Forum', 'forum', '', 'services/forum', 'index.php?option=com_kunena&view=home&defaultmenu=289', 'component', 1, 167, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"catids":["0"],"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 44, 45, 0, '*', 0),
(300, 'main', 'Komento', 'komento', '', 'komento', 'index.php?option=com_komento', 'component', 1, 1, 1, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/komento-favicon.png', 0, '', 193, 212, 0, '', 1),
(301, 'main', 'COM_KOMENTO_MENU_COMMENTS', 'com-komento-menu-comments', '', 'komento/com-komento-menu-comments', 'index.php?option=com_komento&view=comments', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/comments-favicon.png', 0, '', 194, 195, 0, '', 1),
(302, 'main', 'COM_KOMENTO_MENU_PENDINGS', 'com-komento-menu-pendings', '', 'komento/com-komento-menu-pendings', 'index.php?option=com_komento&view=pending', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/pending-favicon.png', 0, '', 196, 197, 0, '', 1),
(303, 'main', 'COM_KOMENTO_MENU_REPORTS', 'com-komento-menu-reports', '', 'komento/com-komento-menu-reports', 'index.php?option=com_komento&view=reports', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/reports-favicon.png', 0, '', 198, 199, 0, '', 1),
(304, 'main', 'COM_KOMENTO_MENU_SUBSCRIBERS', 'com-komento-menu-subscribers', '', 'komento/com-komento-menu-subscribers', 'index.php?option=com_komento&view=subscribers', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/subscribers-favicon.png', 0, '', 200, 201, 0, '', 1),
(305, 'main', 'COM_KOMENTO_MENU_INTEGRATIONS', 'com-komento-menu-integrations', '', 'komento/com-komento-menu-integrations', 'index.php?option=com_komento&view=integrations', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/integrations-favicon.png', 0, '', 202, 203, 0, '', 1),
(306, 'main', 'COM_KOMENTO_MENU_CONFIGURATION', 'com-komento-menu-configuration', '', 'komento/com-komento-menu-configuration', 'index.php?option=com_komento&view=system', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/system-favicon.png', 0, '', 204, 205, 0, '', 1),
(307, 'main', 'COM_KOMENTO_MENU_ACL', 'com-komento-menu-acl', '', 'komento/com-komento-menu-acl', 'index.php?option=com_komento&view=acl', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/acls-favicon.png', 0, '', 206, 207, 0, '', 1),
(308, 'main', 'COM_KOMENTO_MENU_MIGRATORS', 'com-komento-menu-migrators', '', 'komento/com-komento-menu-migrators', 'index.php?option=com_komento&view=migrators', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/migrators-favicon.png', 0, '', 208, 209, 0, '', 1),
(309, 'main', 'COM_KOMENTO_MENU_MAILQ', 'com-komento-menu-mailq', '', 'komento/com-komento-menu-mailq', 'index.php?option=com_komento&view=mailq', 'component', 1, 300, 2, 10031, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_komento/assets/images/mailq-favicon.png', 0, '', 210, 211, 0, '', 1),
(310, 'main', 'COM_KUNENA', 'com-kunena', '', 'com-kunena', 'index.php?option=com_kunena', 'component', 1, 1, 1, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-logo-white.png', 0, '', 213, 236, 0, '', 1),
(311, 'main', 'COM_KUNENA_DASHBOARD', 'com-kunena-dashboard', '', 'com-kunena/com-kunena-dashboard', 'index.php?option=com_kunena&view=cpanel', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-logo-white.png', 0, '', 214, 215, 0, '', 1),
(312, 'main', 'COM_KUNENA_CATEGORY_MANAGER', 'com-kunena-category-manager', '', 'com-kunena/com-kunena-category-manager', 'index.php?option=com_kunena&view=categories', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-categories.png', 0, '', 216, 217, 0, '', 1),
(313, 'main', 'COM_KUNENA_USER_MANAGER', 'com-kunena-user-manager', '', 'com-kunena/com-kunena-user-manager', 'index.php?option=com_kunena&view=users', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-users.png', 0, '', 218, 219, 0, '', 1),
(314, 'main', 'COM_KUNENA_FILE_MANAGER', 'com-kunena-file-manager', '', 'com-kunena/com-kunena-file-manager', 'index.php?option=com_kunena&view=attachments', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-files.png', 0, '', 220, 221, 0, '', 1),
(315, 'main', 'COM_KUNENA_EMOTICON_MANAGER', 'com-kunena-emoticon-manager', '', 'com-kunena/com-kunena-emoticon-manager', 'index.php?option=com_kunena&view=smilies', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-smileys.png', 0, '', 222, 223, 0, '', 1),
(316, 'main', 'COM_KUNENA_RANK_MANAGER', 'com-kunena-rank-manager', '', 'com-kunena/com-kunena-rank-manager', 'index.php?option=com_kunena&view=ranks', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-ranks.png', 0, '', 224, 225, 0, '', 1),
(317, 'main', 'COM_KUNENA_TEMPLATE_MANAGER', 'com-kunena-template-manager', '', 'com-kunena/com-kunena-template-manager', 'index.php?option=com_kunena&view=templates', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-templates.png', 0, '', 226, 227, 0, '', 1),
(318, 'main', 'COM_KUNENA_CONFIGURATION', 'com-kunena-configuration', '', 'com-kunena/com-kunena-configuration', 'index.php?option=com_kunena&view=config', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-prune.png', 0, '', 228, 229, 0, '', 1),
(319, 'main', 'COM_KUNENA_PLUGIN_MANAGER', 'com-kunena-plugin-manager', '', 'com-kunena/com-kunena-plugin-manager', 'index.php?option=com_kunena&view=plugins', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-plugins.png', 0, '', 230, 231, 0, '', 1),
(320, 'main', 'COM_KUNENA_FORUM_TOOLS', 'com-kunena-forum-tools', '', 'com-kunena/com-kunena-forum-tools', 'index.php?option=com_kunena&view=tools', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-config.png', 0, '', 232, 233, 0, '', 1),
(321, 'main', 'COM_KUNENA_TRASH_MANAGER', 'com-kunena-trash-manager', '', 'com-kunena/com-kunena-trash-manager', 'index.php?option=com_kunena&view=trash', 'component', 1, 310, 2, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-trash.png', 0, '', 234, 235, 0, '', 1),
(322, 'footer-menu-1', 'Additional Links', 'additional-links', '', 'additional-links', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 11, 12, 0, '*', 0),
(323, 'footer-menu-1', 'Latest Posts', 'latest-posts', '', 'latest-posts', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 13, 14, 0, '*', 0),
(324, 'footer-menu-1', 'Coming Soon', 'coming-soon', '', 'coming-soon', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 15, 16, 0, '*', 0),
(325, 'footer-menu-1', 'About Us – Parallax', 'about-us-parallax', '', 'about-us-parallax', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 17, 18, 0, '*', 0),
(326, 'footer-menu-1', 'Cart', 'cart', '', 'cart', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 19, 20, 0, '*', 0),
(327, 'footer-menu-1', 'Checkout', 'checkout', '', 'checkout', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 21, 22, 0, '*', 0),
(328, 'footer-menu-1', 'Pricing Plans', 'pricing-plans', '', 'pricing-plans', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 29, 30, 0, '*', 0),
(329, 'footer-menu-1', 'Useful Information', 'useful-information', '', 'useful-information', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 23, 24, 0, '*', 0),
(330, 'footer-menu-1', 'Contact Us', 'contact-us', '', 'contact-us', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 25, 26, 0, '*', 0),
(331, 'footer-menu-1', 'Our Clients', 'our-clients', '', 'our-clients', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 27, 28, 0, '*', 0),
(332, 'footer-menu-2', 'Technology', 'technology', '', 'technology', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1}', 237, 238, 0, '*', 0),
(333, 'footer-menu-2', 'Vatus error sivolu', '2014-04-24-10-50-61', '', '2014-04-24-10-50-61', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 239, 240, 0, '*', 0),
(334, 'footer-menu-2', 'Tatem accus', '2014-04-24-10-50-62', '', '2014-04-24-10-50-62', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 241, 242, 0, '*', 0),
(335, 'footer-menu-2', 'Information', 'information', '', 'information', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1}', 243, 244, 0, '*', 0),
(336, 'footer-menu-2', 'Press', '2014-04-24-10-50-63', '', '2014-04-24-10-50-63', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 245, 246, 0, '*', 0),
(337, 'footer-menu-2', 'Terms', '2014-04-24-10-50-64', '', '2014-04-24-10-50-64', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 247, 248, 0, '*', 0),
(338, 'footer-menu-2', 'Clients', '2014-04-24-10-50-65', '', '2014-04-24-10-50-65', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 249, 250, 0, '*', 0),
(339, 'footer-menu-2', 'Partners', '2014-04-24-10-50-66', '', '2014-04-24-10-50-66', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 251, 252, 0, '*', 0),
(340, 'footer-menu-2', 'Reseller', '2014-04-24-10-50-67', '', '2014-04-24-10-50-67', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 253, 254, 0, '*', 0),
(341, 'footer-menu-2', 'Support', '2014-04-24-10-50-68', '', '2014-04-24-10-50-68', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 255, 256, 0, '*', 0),
(342, 'footer-menu-3', 'Company', 'company', '', 'company', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1}', 257, 258, 0, '*', 0),
(343, 'footer-menu-3', 'About Us', '2014-04-24-11-02-58', '', '2014-04-24-11-02-58', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"101","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 259, 260, 0, '*', 0),
(344, 'footer-menu-3', 'Services', '2014-04-24-11-03-05', '', '2014-04-24-11-03-05', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 261, 262, 0, '*', 0),
(345, 'footer-menu-3', 'Gallery', '2014-04-24-10-50-71', '', '2014-04-24-10-50-71', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"169","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 263, 264, 0, '*', 0),
(346, 'footer-menu-3', 'Testimonials', '2014-04-24-10-50-72', '', '2014-04-24-10-50-72', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"173","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 265, 266, 0, '*', 0),
(347, 'footer-menu-3', 'Contacts', '2014-04-24-10-50-73', '', '2014-04-24-10-50-73', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"102","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 267, 268, 0, '*', 0),
(348, 'footer-menu-3', 'Blog', '2014-04-24-10-50-74', '', '2014-04-24-10-50-74', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"109","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 269, 270, 0, '*', 0),
(349, 'footer-menu-3', 'Follow us', 'follow-us', '', 'follow-us', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1}', 271, 272, 0, '*', 0),
(350, 'footer-menu-3', 'Google +', '2014-04-24-10-50-75', '', '2014-04-24-10-50-75', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 273, 274, 0, '*', 0),
(351, 'footer-menu-3', 'Twitter', '2014-04-24-10-50-76', '', '2014-04-24-10-50-76', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 275, 276, 0, '*', 0),
(352, 'footer-menu-3', 'Facebook', '2014-04-24-10-50-77', '', '2014-04-24-10-50-77', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 277, 278, 0, '*', 0),
(353, 'footer-menu-3', 'LinkedIn', '2014-04-24-10-50-78', '', '2014-04-24-10-50-78', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 279, 280, 0, '*', 0),
(354, 'footer-menu-3', 'RSS', '2014-04-24-10-50-79', '', '2014-04-24-10-50-79', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 281, 282, 0, '*', 0),
(355, 'copyright-menu', 'Sed ut', '2014-04-24-11-46-11', '', '2014-04-24-11-46-11', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 283, 284, 0, '*', 0),
(356, 'copyright-menu', 'Perspiciatis unde', '2014-04-24-11-46-12', '', '2014-04-24-11-46-12', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 285, 286, 0, '*', 0),
(357, 'copyright-menu', 'Omnis iste natus', '2014-04-24-11-46-13', '', '2014-04-24-11-46-13', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 287, 288, 0, '*', 0),
(358, 'copyright-menu', 'Sit voluptatem', '2014-04-24-11-46-14', '', '2014-04-24-11-46-14', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 289, 290, 0, '*', 0),
(359, 'copyright-menu', 'Accusantium', '2014-04-24-11-46-15', '', '2014-04-24-11-46-15', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 291, 292, 0, '*', 0),
(360, 'copyright-menu', 'Doloremque laudantium', '2014-04-24-11-46-16', '', '2014-04-24-11-46-16', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 293, 294, 0, '*', 0),
(371, 'main', 'com_associations', 'multilingual-associations', '', 'multilingual-associations', 'index.php?option=com_associations', 'component', 1, 1, 1, 34, 0, '0000-00-00 00:00:00', 0, 1, 'class:associations', 0, '{}', 295, 296, 0, '*', 1);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE IF NOT EXISTS `#__menu_types` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `menutype` varchar(24) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(48) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES
(1, 0, 'mainmenu', 'Main Menu', 'The main menu for the site', 0),
(2, 0, 'system-menu', 'System Menu', '', 0),
(3, 0, 'user-menu', 'User menu', '', 0),
(5, 0, 'social-media', 'Social Media', '', 0),
(6, 0, 'kunenamenu', 'Kunena Menu', 'This is the default Kunena menu. It is used as the top navigation for Kunena. It can be publish in any module position. Simply unpublish items that are not required.', 0),
(8, 0, 'footer-menu-1', 'Footer menu 1', '', 0),
(9, 0, 'footer-menu-2', 'Footer menu 2', '', 0),
(10, 0, 'footer-menu-3', 'Footer menu 3', '', 0),
(11, 0, 'footer-menu-4', 'Footer menu 4', '', 0),
(12, 0, 'copyright-menu', 'Copyright menu', '', 0);

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE IF NOT EXISTS `#__messages` (
  `message_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `user_id_to` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `subject` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__messages` (`message_id`, `user_id_from`, `user_id_to`, `folder_id`, `date_time`, `state`, `priority`, `subject`, `message`) VALUES
(1, 27, 27, 0, '2013-04-25 08:00:42', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: fvdtryvty'),
(2, 27, 27, 0, '2013-04-25 08:01:52', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: yu89yu9k0'),
(3, 0, 0, 0, '2014-03-04 09:57:09', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: khrj');

DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE IF NOT EXISTS `#__messages_cfg` (
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `cfg_value` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE IF NOT EXISTS `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `params` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=147 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(2, 0, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 0, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 0, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(8, 0, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 0, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 0, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 0, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 0, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 0, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 0, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(16, 161, 'Login form', '', '', 1, 'modal', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"101","logout":"101","greeting":"1","name":"0","usesecure":"0","usetext":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","module_tag":"div","bootstrap_size":"4","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(79, 0, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(86, 0, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(88, 168, 'Search', '', '', 2, 'navigation', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 0, '{"label":"","width":20,"text":" ","button":1,"button_pos":"right","imagebutton":0,"button_text":"","opensearch":1,"opensearch_title":"","set_itemid":0,"layout":"_:default","moduleclass_sfx":"search-block","cache":1,"cache_time":900,"cachemode":"itemid","module_tag":"div","bootstrap_size":"2","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(103, 151, 'Superfish menu', '', '', 1, 'navigation', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_superfish_menu', 1, 0, '{"menutype":"mainmenu","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"navigation","cache":"1","cache_time":"900","cachemode":"itemid","sf-delay":"500","sf-animation":"opacity:\'show\', height:\'show\'","sf-speed":"normal","sf-speed-out":"fast","supersubs":"0","layouttype":"hor","useClick":"0","easing":"swing","enableSelect":"1","defaultText":"Navigate to...","className":"select-menu","subMenuClass":"sub-menu","enableSticky":"0","enableStickyMobile":"0","module_tag":"nav","bootstrap_size":"7","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(109, 158, 'Social media', '', '', 1, 'top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"social-media","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"social","window_open":"","layout":"theme1948:social","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"5","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(115, 157, 'Login form', '', '', 5, 'aside-right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","usetext":"0","layout":"_:default","moduleclass_sfx":"aside","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(116, 0, 'Search', '', '', 6, 'aside-right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 1, '{"label":"","width":"20","text":"","button":"1","button_pos":"bottom","imagebutton":"","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"","layout":"_:default","moduleclass_sfx":"aside","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(119, 160, 'Roof systems', '', '', 1, 'content-bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 1, '{"catid":["43"],"show_child_category_articles":"0","levels":"1","count":"100","columns":"2","ordering":"a.publish_up","article_ordering_direction":"ASC","mod_button":"0","custom_link_title":"View All","custom_link_route":"1","custom_link_url":"http:\\/\\/","custom_link_menu":"170","pretext":"","item_title":"1","link_titles":"1","item_heading":"h4","show_introtext":"1","introtext_limit":"200","show_tags":"0","published":"0","createdby":"0","intro_image":"1","intro_image_align":"left","image":"0","readmore":"1","layout":"theme1948:roof","masonry":"0","moduleclass_sfx":"team","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"section","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(120, 167, 'Our latest projects', '', '', 1, 'content-top', 846, '2019-08-16 12:29:29', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_caroufredsel', 1, 1, '{"catid":["27"],"image":"1","item_title":"1","link_titles":"1","published":"0","item_heading":"h4","show_tags":"0","intro_image":"1","intro_image_align":"none","readmore":"0","count":"100","ordering":"a.ordering","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","theme":"1","script":"0","direction":"left","max_width":"288","max_items":"4","min_items":"1","fx":"scroll","easing":"swing","duration":"500","navigation":"1","pagination":"0","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(121, 162, 'Top menu', '', '', 1, 'top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_single', 1, 0, '{"article_id":"72","item_heading":"h4","item_title":"0","link_titles":"","published_on":"0","show_intro_image":"0","readmore":"0","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"101","layout":"_:default","moduleclass_sfx":"contact","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"section","bootstrap_size":"7","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(122, 0, 'Recent templates', '', '', 5, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tm_templates', 1, 1, '', 1, '*'),
(125, 155, 'Footer menu 1', '', '', 3, 'bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"footer-menu-1","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"footer","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"3","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(126, 150, 'Image swoop', '', '', 1, 'header', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_image_swoop', 1, 0, '{"catid":["26"],"image":"1","item_title":"0","link_titles":"","item_heading":"h4","published":"0","readmore":"1","count":"100","ordering":"a.ordering","item_url":"","target":"self","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","theme":"1","skin":"default","script":"0","load_easing":"false","load_jquery_mobile":"false","alignment":"center","autoAdvance":"true","mobileAutoAdvance":"true","height":"26.1979%","minHeight":"320px","imagePath":"images\\/","overlayer":"false","pattern":"1","portrait":"false","loader":"none","pieDiameter":"38","piePosition":"rightTop","barDirection":"leftToRight","barPosition":"bottom","loaderColor":"#eeeeee","loaderBgColor":"#222222","loaderOpacity":".8","loaderPadding":"2","loaderStroke":"7","cols":"6","rows":"4","slicedCols":"6","slicedRows":"4","easing":"swing","mobileEasing":"swing","fx":"simpleFade","mobileFx":"simpleFade","gridDifference":"250","opacityOnGrid":"false","time":"7000","transperiod":"1500","hover":"true","navigation":"false","navigationHover":"false","mobileNavHover":"false","pagination":"true","playPause":"false","pauseOnClick":"false","thumbnails":"false","show_caption":"1","captionEffect":"fadeIn","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(128, 169, 'Search', '', '', 1, '404-search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 0, '{"label":"","width":"20","text":"","button":"1","button_pos":"right","imagebutton":"0","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(129, 181, 'What’s new?', '', '', 1, 'maintop', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 1, '{"catid":["44"],"show_child_category_articles":"0","levels":"1","count":"3","columns":"3","ordering":"a.publish_up","article_ordering_direction":"DESC","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"289","pretext":"","item_title":"1","link_titles":"0","item_heading":"h4","show_introtext":"1","introtext_limit":"0","show_tags":"0","published":"0","createdby":"0","intro_image":"1","intro_image_align":"left","image":"0","readmore":"0","layout":"_:default","masonry":"0","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(130, 191, 'Services', '', '', 0, 'maintop', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 0, '{"catid":["28"],"show_child_category_articles":"0","levels":"1","count":"6","columns":"3","ordering":"a.publish_up","article_ordering_direction":"DESC","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"289","pretext":"","item_title":"1","link_titles":"0","item_heading":"h4","show_introtext":"1","introtext_limit":"0","show_tags":"0","published":"0","createdby":"0","intro_image":"1","intro_image_align":"left","image":"0","readmore":"0","layout":"_:default","masonry":"0","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(131, 196, 'Footer menu 2', '', '', 4, 'bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"footer-menu-2","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"footer","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"3","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(132, 197, 'Footer menu 3', '', '', 5, 'bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"footer-menu-3","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"footer","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"3","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(133, 199, 'Contacts', '', '', 6, 'bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_single', 1, 0, '{"article_id":"89","item_heading":"h4","item_title":"0","link_titles":"","published_on":"0","show_intro_image":"0","readmore":"0","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"322","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"3","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(137, 213, 'Blockquote', '', '', 2, 'bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 0, '{"catid":["46"],"show_child_category_articles":"0","levels":"1","count":"1","columns":"1","ordering":"a.publish_up","article_ordering_direction":"DESC","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"355","pretext":"","item_title":"1","link_titles":"0","item_heading":"h4","show_introtext":"1","introtext_limit":"0","show_tags":"0","published":"0","createdby":"0","intro_image":"1","intro_image_align":"left","image":"0","readmore":"0","layout":"theme1948:blockquote","masonry":"0","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(138, 214, 'Years of experience in all the aspects  of roofing services', '', '', 1, 'bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 1, '{"catid":["41"],"show_child_category_articles":"0","levels":"1","count":"3","columns":"3","ordering":"a.publish_up","article_ordering_direction":"DESC","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"355","pretext":"","item_title":"1","link_titles":"1","item_heading":"h4","show_introtext":"1","introtext_limit":"0","show_tags":"0","published":"1","createdby":"0","intro_image":"1","intro_image_align":"none","image":"0","readmore":"1","layout":"theme1948:posts","masonry":"0","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(139, 219, 'Our Roofing experts say', '', '', 1, 'content-bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_single', 1, 0, '{"article_id":"101","item_heading":"h4","item_title":"0","link_titles":"","published_on":"0","show_intro_image":"0","readmore":"0","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"355","layout":"_:default","moduleclass_sfx":"video","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(140, 220, 'Home posts', '', '', 1, 'showcase', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 0, '{"catid":["38"],"show_child_category_articles":"0","levels":"1","count":"6","columns":"3","ordering":"a.publish_up","article_ordering_direction":"DESC","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"289","pretext":"","item_title":"1","link_titles":"0","item_heading":"h4","show_introtext":"1","introtext_limit":"0","show_tags":"0","published":"0","createdby":"0","intro_image":"0","intro_image_align":"left","image":"0","readmore":"0","layout":"theme1948:top","masonry":"0","moduleclass_sfx":"home-posts","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(142, 232, 'Top posts', '', '', 1, 'showcase2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 0, '{"catid":["47"],"show_child_category_articles":"0","levels":"1","count":"3","columns":"3","ordering":"a.publish_up","article_ordering_direction":"DESC","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"355","pretext":"","item_title":"1","link_titles":"1","item_heading":"h4","show_introtext":"1","introtext_limit":"0","show_tags":"0","published":"0","createdby":"0","intro_image":"1","intro_image_align":"none","image":"0","readmore":"0","layout":"_:default","masonry":"0","moduleclass_sfx":"top","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(143, 237, 'Icon posts', '', '', 1, 'feature2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 0, '{"catid":["39"],"show_child_category_articles":"0","levels":"1","count":"4","columns":"4","ordering":"a.publish_up","article_ordering_direction":"DESC","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"355","pretext":"","item_title":"1","link_titles":"0","item_heading":"h4","show_introtext":"1","introtext_limit":"0","show_tags":"0","published":"0","createdby":"0","intro_image":"0","intro_image_align":"none","image":"0","readmore":"0","layout":"theme1948:icons","masonry":"0","moduleclass_sfx":"center home-icons","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(144, 247, 'Clients We Work With', '', '', 1, 'feature', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news_adv', 1, 1, '{"catid":["48"],"show_child_category_articles":"1","levels":"1","count":"4","columns":"4","ordering":"a.publish_up","article_ordering_direction":"ASC","mod_button":"0","custom_link_title":"","custom_link_route":"0","custom_link_url":"http:\\/\\/","custom_link_menu":"355","pretext":"","item_title":"0","link_titles":"1","item_heading":"h4","show_introtext":"0","introtext_limit":"0","show_tags":"0","published":"0","createdby":"0","intro_image":"1","intro_image_align":"none","image":"0","readmore":"0","layout":"theme1948:clients","masonry":"0","moduleclass_sfx":"home-clients","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"Theme1948-themeHtml5"}', 0, '*'),
(145, 248, 'Home map', '', '', 1, 'copyright', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tm_google_map', 1, 0, '{"pretext":"","api_key":"","map_height":"453px","map_zoom_level":"15","marker-base":"","marker-active":"","items_data":"{\\"item_x\\":[\\"-73.9874068\\"],\\"item_y\\":[\\"40.643180\\"],\\"item_label\\":[\\"2130 Fulton Street San Diego, CA 94117-1080 USA\\"], \\"item_image\\": [\\"\\"]}","map_styles":"[{\\"featureType\\":\\"administrative.country\\",\\"elementType\\":\\"labels.text\\",\\"stylers\\":[{\\"visibility\\":\\"on\\"}]}]","layout":"_:default","moduleclass_sfx":"","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(146, 249, 'Contacts', '', '', 1, 'content-top', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tm_google_map', 1, 1, '{"pretext":"","api_key":"","map_height":"358px","map_zoom_level":"15","marker-base":"","marker-active":"","items_data":"{\\"item_x\\":[\\"-73.9874068\\"],\\"item_y\\":[\\"40.643180\\"],\\"item_label\\":[\\"2130 Fulton Street San Diego, CA 94117-1080 USA\\"], \\"item_image\\": [\\"\\"]}","map_styles":"[{\\"featureType\\":\\"administrative.country\\",\\"elementType\\":\\"labels.text\\",\\"stylers\\":[{\\"visibility\\":\\"on\\"}]}]","layout":"_:default","moduleclass_sfx":"","module_tag":"div","bootstrap_size":"12","header_tag":"h3","header_class":"","style":"0"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE IF NOT EXISTS `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(16, 0),
(79, 0),
(86, 0),
(88, 0),
(103, 0),
(109, 0),
(115, 168),
(115, 171),
(116, 168),
(116, 171),
(119, 167),
(120, 101),
(121, 101),
(121, 102),
(121, 103),
(121, 104),
(121, 105),
(121, 106),
(121, 107),
(121, 108),
(121, 109),
(121, 110),
(121, 146),
(121, 148),
(121, 149),
(121, 150),
(121, 167),
(121, 168),
(121, 169),
(121, 170),
(121, 171),
(121, 172),
(121, 173),
(121, 176),
(121, 177),
(121, 178),
(121, 179),
(121, 181),
(121, 182),
(121, 183),
(121, 184),
(121, 185),
(121, 186),
(121, 187),
(121, 198),
(121, 200),
(121, 201),
(121, 232),
(121, 233),
(121, 234),
(121, 235),
(121, 246),
(121, 262),
(121, 263),
(121, 264),
(121, 265),
(121, 266),
(121, 267),
(121, 268),
(121, 269),
(121, 270),
(121, 271),
(121, 272),
(121, 273),
(121, 274),
(121, 275),
(121, 276),
(121, 289),
(121, 290),
(121, 291),
(121, 292),
(121, 293),
(121, 294),
(121, 295),
(121, 296),
(121, 297),
(121, 299),
(122, 0),
(125, 0),
(126, 101),
(128, 0),
(129, 173),
(129, 263),
(130, 167),
(131, 0),
(132, 0),
(133, 0),
(137, 101),
(138, 101),
(139, 101),
(140, 101),
(141, 101),
(142, 101),
(143, 101),
(144, 101),
(145, 101),
(146, 102);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE IF NOT EXISTS `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `link` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `cache_time` int(10) UNSIGNED NOT NULL DEFAULT '3600',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `params` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `metakey` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `xreference` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `images` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`, `description`, `version`, `hits`, `images`) VALUES
(21, 1, 'Newsfeed 1', 'newsfeed-1', 'http://http://#', 1, 5, 3600, 0, '0000-00-00 00:00:00', 1, 0, 1, '*', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2012-09-19 12:04:16', 577, '', '2012-09-19 12:04:28', 400, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '<p>Curabitur iaculis quam in metus hendrerit non pretium felis gravida. Aliquam dictum lacus sit amet nisl malesuada non fermentum ipsum cursus. Mauris vitae dolor quis sapien varius sodales. Sed turpis nisi, mollis ac porttitor a, posuere eget ligula. Aenean commodo vehicula vehicula. Curabitur ut tortor libero. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n<p>Nullam accumsan ipsum eu dolor lacinia sed pretium eros vulputate. Fusce luctus, ligula id tempus eleifend, enim velit consequat dui, ut ullamcorper metus justo at justo. Cras in arcu eget libero congue porta non id odio. Phasellus vel tortor magna. Nullam non lorem a felis lacinia accumsan. Maecenas luctus, dolor placerat porta pulvinar, diam nunc luctus ligula, sed egestas erat metus sit amet augue. Vivamus et odio massa. Quisque lacinia mattis luctus. Phasellus venenatis ante eu est porttitor lacinia. Phasellus vulputate nisi sem.</p>', 2, 0, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}');

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE IF NOT EXISTS `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `string` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `file` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__postinstall_messages`;
CREATE TABLE IF NOT EXISTS `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `language_extension` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_MSG_EACCELERATOR_TITLE', 'COM_CPANEL_MSG_EACCELERATOR_BODY', 'COM_CPANEL_MSG_EACCELERATOR_BUTTON', 'com_cpanel', 1, 'action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_condition', '3.2.0', 1),
(3, 700, 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.2.0', 1),
(5, 700, 'COM_CPANEL_MSG_STATS_COLLECTION_TITLE', 'COM_CPANEL_MSG_STATS_COLLECTION_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/statscollection.php', 'admin_postinstall_statscollection_condition', '3.5.0', 1),
(6, 700, 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_BODY', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_ACTION', 'plg_system_updatenotification', 1, 'action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_condition', '3.6.3', 1),
(7, 700, 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_TITLE', 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/joomla40checks.php', 'admin_postinstall_joomla40checks_condition', '3.7.0', 1),
(8, 700, 'TPL_HATHOR_MESSAGE_POSTINSTALL_TITLE', 'TPL_HATHOR_MESSAGE_POSTINSTALL_BODY', 'TPL_HATHOR_MESSAGE_POSTINSTALL_ACTION', 'tpl_hathor', 1, 'action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_condition', '3.7.0', 1),
(9, 700, 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_TITLE', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_BODY', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_ACTION', 'plg_captcha_recaptcha', 1, 'action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_condition', '3.8.6', 1),
(10, 700, 'COM_CPANEL_MSG_UPDATEDEFAULTSETTINGS_TITLE', 'COM_CPANEL_MSG_UPDATEDEFAULTSETTINGS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/updatedefaultsettings.php', 'admin_postinstall_updatedefaultsettings_condition', '3.8.8', 1),
(11, 700, 'COM_ACTIONLOGS_POSTINSTALL_TITLE', 'COM_ACTIONLOGS_POSTINSTALL_BODY', '', 'com_actionlogs', 1, 'message', '', '', '', '', '3.9.0', 1),
(12, 700, 'COM_PRIVACY_POSTINSTALL_TITLE', 'COM_PRIVACY_POSTINSTALL_BODY', '', 'com_privacy', 1, 'message', '', '', '', '', '3.9.0', 1),
(13, 700, 'COM_CPANEL_MSG_ADDNOSNIFF_TITLE', 'COM_CPANEL_MSG_ADDNOSNIFF_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/addnosniff.php', 'admin_postinstall_addnosniff_condition', '3.9.3', 1);

DROP TABLE IF EXISTS `#__privacy_consents`;
CREATE TABLE IF NOT EXISTS `#__privacy_consents` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `state` int(10) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subject` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `body` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `remind` tinyint(4) NOT NULL DEFAULT '0',
  `token` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__privacy_requests`;
CREATE TABLE IF NOT EXISTS `#__privacy_requests` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `requested_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` tinyint(4) NOT NULL DEFAULT '0',
  `request_type` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `confirm_token` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `confirm_token_created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__redirect_links`;
CREATE TABLE IF NOT EXISTS `#__redirect_links` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `old_url` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL,
  `new_url` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referer` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `header` smallint(3) NOT NULL DEFAULT '301',
  PRIMARY KEY (`id`),
  KEY `idx_link_modifed` (`modified_date`),
  KEY `idx_old_url` (`old_url`(100))
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `hits`, `published`, `created_date`, `modified_date`, `header`) VALUES
(1, 'http://192.168.9.17/joomla/000/index.php/gallery-albums', '', 'http://192.168.9.17/joomla/000/index.php/gallery-albums/third-gallery', '', 1, 0, '2013-10-28 09:14:44', '0000-00-00 00:00:00', 301),
(2, 'http://192.168.9.17/joomla/000/index.php/dolor', '', 'http://192.168.9.17/joomla/000/index.php/lorem/7-dolor', '', 1, 0, '2013-10-29 12:37:45', '0000-00-00 00:00:00', 301),
(3, 'http://192.168.9.17/framework/3.2.0/index.php/about', '', 'http://192.168.9.17/framework/3.2.0/index.php/about', '', 1, 0, '2013-12-03 08:35:06', '0000-00-00 00:00:00', 301),
(4, 'http://192.168.9.17/framework/3.2.0/index.php/ab', '', '', '', 1, 0, '2013-12-21 12:05:46', '0000-00-00 00:00:00', 301),
(5, 'http://192.168.9.17/framework/3.2.3/index.php/blog-categories/index.php', '', 'http://192.168.9.17/framework/3.2.3/index.php/blog-categories/blog-vivamus-luctus-lectus-sit', '', 1, 0, '2014-03-12 11:25:56', '0000-00-00 00:00:00', 301),
(6, 'http://192.168.9.17/framework/3.2.3/index.php/ser', '', '', '', 1, 0, '2014-03-14 12:04:09', '0000-00-00 00:00:00', 301);

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE IF NOT EXISTS `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '3.9.10-2019-07-09'),
(10031, '1.6.3949');

DROP TABLE IF EXISTS `#__tags`;
CREATE TABLE IF NOT EXISTS `#__tags` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `path` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `params` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `urls` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_alias` (`alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 31, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 0, '2011-01-01 00:00:01', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(5, 1, 1, 2, 1, 'lorem', 'lorem', 'lorem', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:24:10', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 1, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(6, 1, 3, 4, 1, 'ipsum', 'ipsum', 'ipsum', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:25:15', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(7, 1, 5, 6, 1, 'dolor', 'dolor', 'dolor', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:25:21', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(8, 1, 7, 8, 1, 'lopersium', 'lopersium', 'lopersium', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:25:27', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(9, 1, 9, 10, 1, 'polery', 'polery', 'polery', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:25:34', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(10, 1, 11, 12, 1, 'imilorety', 'imilorety', 'imilorety', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:25:41', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(11, 1, 13, 14, 1, 'porews', 'porews', 'porews', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:25:47', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(12, 1, 15, 16, 1, 'poreyni', 'poreyni', 'poreyni', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:25:53', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(13, 1, 17, 18, 1, 'neem', 'neem', 'neem', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:25:59', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(14, 1, 19, 20, 1, 'zoopew', 'zoopew', 'zoopew', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:26:05', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(15, 1, 21, 22, 1, 'desh', 'desh', 'desh', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:26:11', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(16, 1, 23, 24, 1, 'poireus', 'poireus', 'poireus', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:26:18', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(17, 1, 25, 26, 1, 'iulorew', 'iulorew', 'iulorew', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:26:25', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 28, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(18, 1, 27, 28, 1, 'uller', 'uller', 'uller', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:26:32', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(19, 1, 29, 30, 1, 'qwuu', 'qwuu', 'qwuu', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', '', '', '{"author":"","robots":""}', 846, '2013-09-05 14:26:38', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE IF NOT EXISTS `#__template_styles` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `template` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `client_id` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `home` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `params` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_client_id` (`client_id`),
  KEY `idx_client_id_home` (`client_id`,`home`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(4, 'beez_20', 0, '0', 'Beez2 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(6, 'beez5', 0, '0', 'Beez5 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/sampledata\\/fruitshop\\/fruits.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","html5":"0"}'),
(7, 'protostar', 0, '0', 'protostar - Default', '{"templateColor":"#08C","templateBackgroundColor":"#F4F6F7","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(8, 'isis', 1, '1', 'isis - Default', '{"templateColor":"","logoFile":""}'),
(12, 'theme1948', 0, '1', 'theme1948 - Default', '{"themeLayout":"1","logoFile":"images\\/logo.png","logoBlockWidth":"3","footerLogo":"0","footerLogoFile":"images\\/logo.png","footerWidth":"12","footerTheme":"1","footerCopy":"1","footerYear":"1","privacyLink":"1","privacy_link_menu":"103","privacy_link_title":"Privacy policy","termsLink":"0","terms_link_menu":"104","terms_link_title":"Terms of use","asideLeftWidth":"4","asideRightWidth":"4","featuredPageHeading":"h2","featuredItemHeading":"h4","categoryPageHeading":"h3","categoryItemHeading":"h4","blogPageHeading":"h3","blogItemHeading":"h4","itemItemHeading":"h3","itemBlogItemHeading":"h4","totop":"1","totop_text":" ","todesktop":"1","todesktop_text":"Back to desktop version","tomobile_text":"Back to mobile version","blackandwhite":"1","invertHoverEffect":"1","fadeIn":"500","fadeOut":"500"}'),
(13, 'beez3', 0, '0', 'beez3 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature","backgroundcolor":"#eee"}');

DROP TABLE IF EXISTS `#__ucm_base`;
CREATE TABLE IF NOT EXISTS `#__ucm_base` (
  `ucm_id` int(10) UNSIGNED NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES
(4, 11, 1, 0);

DROP TABLE IF EXISTS `#__ucm_content`;
CREATE TABLE IF NOT EXISTS `#__ucm_content` (
  `core_content_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `core_alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `core_body` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_checked_out_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_access` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `core_featured` tinyint(4) UNSIGNED NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `core_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_content_item_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'ID from the individual type table',
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `core_images` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `core_urls` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `core_hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `core_metadesc` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `core_catid` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_language` (`core_language`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`),
  KEY `idx_alias` (`core_alias`(100)),
  KEY `idx_title` (`core_title`(100)),
  KEY `idx_content_type` (`core_type_alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Contains core content data in name spaced fields';

INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES
(4, 'com_content.article', 'Archive. Cras ligula nisi, interdum et vulputate nec', 'archive-cras-ligula-nisi-interdum-et-vulputate-nec', '<p>Sed justo felis, lacinia at scelerisque a, semper et ante. Fusce posuere lacus eu mi lacinia et fringilla elit sollicitudin. Maecenas non odio nunc. In ut sollicitudin magna. Sed sit amet tincidunt odio. Mauris pharetra adipiscing urna ut accumsan. Suspendisse nec risus in felis fermentum blandit.</p>\r\n<p>Nullam commodo blandit nunc id luctus. Morbi tincidunt sodales neque eu rutrum. Aliquam imperdiet ante nec augue aliquet eu rutrum eros tempor. Nulla sit amet risus eu ante dapibus malesuada. Donec volutpat dolor nec eros elementum ornare. Phasellus nec fringilla lectus. Nam eget sagittis nisl. Morbi erat metus, accumsan ultricies pharetra sodales, sagittis eu mi. Donec felis sapien, rutrum commodo viverra vel, ullamcorper id nunc. Fusce tristique nibh in leo egestas tristique. Phasellus elementum pharetra est, sed sollicitudin sapien vulputate nec. Praesent consectetur adipiscing egestas. Vivamus interdum imperdiet augue, pretium sagittis lacus imperdiet quis.</p>\r\n', 2, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"theme1948:blog","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"tags":[2],"robots":"","author":"","rights":"","xreference":""}', 846, '', '2012-03-01 13:43:03', 846, '2013-04-26 10:59:30', '*', '2012-03-01 13:43:03', '0000-00-00 00:00:00', 11, 140, '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', 7, 9, 0, '', '', 2, '', 1);

DROP TABLE IF EXISTS `#__ucm_history`;
CREATE TABLE IF NOT EXISTS `#__ucm_history` (
  `version_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) UNSIGNED NOT NULL,
  `ucm_type_id` int(10) UNSIGNED NOT NULL,
  `version_note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `character_count` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` longtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE IF NOT EXISTS `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `element` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `folder` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `data` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `detailsurl` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `infourl` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `extra_query` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB AUTO_INCREMENT=156 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Available Updates';

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(12, 3, 0, 'Armenian', '', 'pkg_hy-AM', 'package', '', 0, '3.4.4.1', '', 'https://update.joomla.org/language/details3/hy-AM_details.xml', '', ''),
(13, 3, 0, 'Malay', '', 'pkg_ms-MY', 'package', '', 0, '3.4.1.2', '', 'https://update.joomla.org/language/details3/ms-MY_details.xml', '', ''),
(14, 3, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '3.9.7.1', '', 'https://update.joomla.org/language/details3/ro-RO_details.xml', '', ''),
(15, 3, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/nl-BE_details.xml', '', ''),
(16, 3, 0, 'Chinese Traditional', '', 'pkg_zh-TW', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/zh-TW_details.xml', '', ''),
(17, 3, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(18, 3, 0, 'Galician', '', 'pkg_gl-ES', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/gl-ES_details.xml', '', ''),
(19, 3, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(20, 3, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.9.7.1', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(21, 3, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(22, 3, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/he-IL_details.xml', '', ''),
(23, 3, 0, 'Bengali', '', 'pkg_bn-BD', 'package', '', 0, '3.8.10.1', '', 'https://update.joomla.org/language/details3/bn-BD_details.xml', '', ''),
(24, 3, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/hu-HU_details.xml', '', ''),
(25, 3, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(26, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(27, 3, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/be-BY_details.xml', '', ''),
(28, 3, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '3.6.5.2', '', 'https://update.joomla.org/language/details3/bg-BG_details.xml', '', ''),
(29, 3, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(30, 3, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.9.9.1', '', 'https://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(31, 3, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.8.5.1', '', 'https://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(32, 3, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(33, 3, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.9.7.1', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(34, 3, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(35, 3, 0, 'Esperanto', '', 'pkg_eo-XX', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/eo-XX_details.xml', '', ''),
(36, 3, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '3.8.10.1', '', 'https://update.joomla.org/language/details3/et-EE_details.xml', '', ''),
(37, 3, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(38, 3, 0, 'Khmer', '', 'pkg_km-KH', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/km-KH_details.xml', '', ''),
(39, 3, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '3.8.9.1', '', 'https://update.joomla.org/language/details3/ko-KR_details.xml', '', ''),
(40, 3, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '3.7.3.1', '', 'https://update.joomla.org/language/details3/lv-LV_details.xml', '', ''),
(41, 3, 0, 'Lithuanian', '', 'pkg_lt-LT', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/lt-LT_details.xml', '', ''),
(42, 3, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/mk-MK_details.xml', '', ''),
(43, 3, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/nb-NO_details.xml', '', ''),
(44, 3, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '3.4.2.1', '', 'https://update.joomla.org/language/details3/nn-NO_details.xml', '', ''),
(45, 3, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(46, 3, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(47, 3, 0, 'Portuguese', '', 'pkg_pt-PT', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/pt-PT_details.xml', '', ''),
(48, 3, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.9.8.1', '', 'https://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(49, 3, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(50, 3, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(51, 3, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(52, 3, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(53, 3, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/sy-IQ_details.xml', '', ''),
(54, 3, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(55, 3, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(56, 3, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '3.9.4.1', '', 'https://update.joomla.org/language/details3/tr-TR_details.xml', '', ''),
(57, 3, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '3.7.1.1', '', 'https://update.joomla.org/language/details3/uk-UA_details.xml', '', ''),
(58, 3, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/ug-CN_details.xml', '', ''),
(59, 3, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/sq-AL_details.xml', '', ''),
(60, 3, 0, 'Basque', '', 'pkg_eu-ES', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/eu-ES_details.xml', '', ''),
(61, 3, 0, 'Hindi', '', 'pkg_hi-IN', 'package', '', 0, '3.3.6.2', '', 'https://update.joomla.org/language/details3/hi-IN_details.xml', '', ''),
(62, 3, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(63, 3, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.9.8.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(64, 3, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(65, 3, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.9.5.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(66, 3, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(67, 3, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(68, 3, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/vi-VN_details.xml', '', ''),
(69, 3, 0, 'Bahasa Indonesia', '', 'pkg_id-ID', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/id-ID_details.xml', '', ''),
(70, 3, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.9.6.1', '', 'https://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(71, 3, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(72, 3, 0, 'Montenegrin', '', 'pkg_srp-ME', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/srp-ME_details.xml', '', ''),
(73, 3, 0, 'English CA', '', 'pkg_en-CA', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/en-CA_details.xml', '', ''),
(74, 3, 0, 'French CA', '', 'pkg_fr-CA', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/fr-CA_details.xml', '', ''),
(75, 3, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(76, 3, 0, 'Sinhala', '', 'pkg_si-LK', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/si-LK_details.xml', '', ''),
(77, 3, 0, 'Dari Persian', '', 'pkg_prs-AF', 'package', '', 0, '3.4.4.2', '', 'https://update.joomla.org/language/details3/prs-AF_details.xml', '', ''),
(78, 3, 0, 'Turkmen', '', 'pkg_tk-TM', 'package', '', 0, '3.5.0.2', '', 'https://update.joomla.org/language/details3/tk-TM_details.xml', '', ''),
(79, 3, 0, 'Irish', '', 'pkg_ga-IE', 'package', '', 0, '3.8.13.1', '', 'https://update.joomla.org/language/details3/ga-IE_details.xml', '', ''),
(80, 3, 0, 'Dzongkha', '', 'pkg_dz-BT', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/dz-BT_details.xml', '', ''),
(81, 3, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(82, 3, 0, 'Spanish CO', '', 'pkg_es-CO', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/es-CO_details.xml', '', ''),
(83, 3, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(84, 3, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(85, 3, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(86, 3, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(87, 3, 0, 'English NZ', '', 'pkg_en-NZ', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/en-NZ_details.xml', '', ''),
(88, 3, 0, 'Kazakh', '', 'pkg_kk-KZ', 'package', '', 0, '3.9.8.1', '', 'https://update.joomla.org/language/details3/kk-KZ_details.xml', '', ''),
(89, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(90, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(91, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(92, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(93, 3, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.9.10.2', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(95, 3, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(96, 3, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(97, 3, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(98, 3, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(99, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(100, 3, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(101, 3, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(102, 3, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(103, 3, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(104, 3, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(105, 3, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(106, 3, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(107, 3, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(108, 3, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(109, 3, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(110, 3, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(111, 3, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(112, 3, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(113, 3, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(114, 3, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(115, 3, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(116, 3, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(117, 3, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(118, 3, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(119, 3, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(120, 3, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(121, 3, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(122, 3, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(123, 3, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(124, 3, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(125, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.10.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(126, 3, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(127, 3, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(128, 3, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(129, 3, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(130, 3, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(131, 3, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(132, 3, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(133, 3, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(134, 3, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(135, 3, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(136, 3, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(137, 3, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(138, 3, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(139, 3, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(140, 3, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(141, 3, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(142, 3, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(143, 3, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(144, 3, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(145, 3, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(146, 3, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(147, 3, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(148, 3, 0, 'English CA', '', 'pkg_en-CA', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/en-CA_details.xml', '', ''),
(149, 3, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(150, 3, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(151, 3, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(152, 3, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(153, 3, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(154, 3, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(155, 3, 0, 'English NZ', '', 'pkg_en-NZ', 'package', '', 0, '3.9.11.1', '', 'https://update.joomla.org/language/details3/en-NZ_details.xml', '', '');

DROP TABLE IF EXISTS `#__update_categories`;
CREATE TABLE IF NOT EXISTS `#__update_categories` (
  `categoryid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) DEFAULT '',
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `updatesite` int(11) DEFAULT '0',
  PRIMARY KEY (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Update Categories';

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE IF NOT EXISTS `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `location` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Update Sites';

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla! Core', 'collection', 'https://update.joomla.org/core/list.xml', 1, 1567162677, ''),
(3, 'Accredited Joomla! Translations', 'collection', 'https://update.joomla.org/language/translationlist_3.xml', 1, 1567162697, ''),
(5, 'WebInstaller Update Site', 'extension', 'http://appscdn.joomla.org/webapps/jedapps/webinstaller.xml', 1, 1567162697, ''),
(7, 'WebInstaller Update Site', 'extension', 'https://appscdn.joomla.org/webapps/jedapps/webinstaller.xml', 1, 1567162698, '');

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE IF NOT EXISTS `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Links extensions to update sites';

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(3, 802),
(5, 10043),
(7, 10043);

DROP TABLE IF EXISTS `#__user_keys`;
CREATE TABLE IF NOT EXISTS `#__user_keys` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` varchar(150) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `series` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `uastring` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE IF NOT EXISTS `#__user_notes` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `catid` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `subject` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `body` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) UNSIGNED NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE IF NOT EXISTS `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `profile_value` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Simple user profile storage table';

DROP TABLE IF EXISTS `#__utf8_conversion`;
CREATE TABLE IF NOT EXISTS `#__utf8_conversion` (
  `converted` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__utf8_conversion` (`converted`) VALUES
(2);

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE IF NOT EXISTS `#__viewlevels` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]'),
(5, 'Guest', 0, '[9]');

DROP TABLE IF EXISTS `#__weblinks`;
CREATE TABLE IF NOT EXISTS `#__weblinks` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__weblinks` (`id`, `catid`, `title`, `alias`, `url`, `description`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `images`) VALUES
(1, 25, 'Template-help.com', 'template-help-com', 'http://info.template-help.com', '', 0, 1, 0, '0000-00-00 00:00:00', 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-09-19 12:11:43', 577, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}'),
(2, 24, 'TemplateMonster', 'templatemonster', 'http://templatemonster.com', '', 0, 1, 0, '0000-00-00 00:00:00', 2, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-09-19 12:12:01', 577, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}');

INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`) VALUES
(846, 'Demo User', 'demo', 'demo@demoolink.org', 'ad358a48fb2891854aa8b547c7b151be:jGftU2FbdRXUNikAQrKKeAQl9Is104QE', 0, 0, '2012-10-17 10:56:12', '0000-00-00 00:00:00', '', '{"admin_style":"","admin_language":"","language":"","editor":"none","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0);

INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES
(846, 8);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
